2011-02-15  Petr Mladek  <pmladek@suse.cz>  [813ab345bc19f9018f50fffe8c63f59ec8d260e9]

Version 3.3.1.2, tag libreoffice-3.3.1.2 (3.3.1-rc2)


2011-02-14  Miklos Vajna  <vmiklos@frugalware.org>  [48a0a30a07fdf301c7c52eaebd5867beecfb1c8a]

RtfExport::HackIsWW8OrHigher(): return true (closes fdo#33478)

This makes the exporter use unicode unconditionally when exporting
accents. This is needed because in case we don't do unicode, we need
special fonts (see SwWW8AttrIter::OutAttr()), while in RTF we need to
output the font table before exporting the docuent.

Agreed-by: Caolán McNamara <caolanm@redhat.com>
Signed-off-by: Caolán McNamara <caolanm@redhat.com>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Cedric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-02-10  Luke Dixon  <6b8b4567@gmail.com>  [e959ec8af33edb13221a89cb253e73b386321fcf]

Fix for bugs 32759 and 32755 on freedesktop bugzilla

Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Jonas Finnemann Jensen <jopsen@gmail.com>

2011-02-08  Petr Mladek  <pmladek@suse.cz>  [bb2d8bb585f9c91b8ce3a9e0317b6987f5e95ef4]

Version 3.3.1.1, tag libreoffice-3.3.1.1 (3.3.1-rc1)


2011-02-07  Jan Holesovsky  <kendy@suse.cz>  [f58dcf55d8fca8240c459f74b8e819a5a3dda6d4]

Branch libreoffice-3-3-1

This is 'libreoffice-3-3-1' - the stable branch for the 3.3.1 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-02-07  Noel Power  <noel.power@novell.com>  [8ab96261731432608bbcf733775a4fc84afa75e5]

fix for bnc#655763

cherry picked from 7c85cd305fcfaa4d714d5d83a7a1f22000a57a8f
reviewed in bug https://bugzilla.novell.com/show_bug.cgi?id=655763#c6

Signed-off-by: Cedric Bosdonnat <cbosdonnat@novell.com>

2011-02-07  Caolán McNamara  <caolanm@redhat.com>  [5632452090c2cf97e1700abb41684ceab4d04839]

Resolves: #i25247#, #i25561#, #i48064#, #i92341# CTL/Other Default Font

Signed-off-by: Cédric Bosdonnat <cedricbosdo@openoffice.org>

2011-02-02  Petr Mladek  <pmladek@suse.cz>  [b36353099d6c2518fcbe0c86e1254249b7114650]

RTF export crasher (bnc#656503)

Signed off by Cedric

2011-02-02  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b61d4e3e3d519672f908f87ad1987b02cf14c40e]

Fixed an infinite loop while exporting some files in doc/docx/rtf


2011-01-26  Andras Timar  <timar@fsf.hu>  [60fc5e3665587389888e83c8970f1f216a72efbc]

translations need more space on word count dialog


2011-01-21  Noel Power  <noel.power@novell.com>  [8b28483538dc426475d651687b5505cf94149d22]

bnc#660816 improve formfield checkbox binary export ( and import )


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [866e4b44f7d5ea75ba31ad78b6c8b58067627788]

Remove pesky on-line registration menu entry. (fdo#33112)


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [0bc34a89434f97f5c25fae9d3529c292aba8e9e6]

Resolves: fdo#32633 use standard Edit button width of 50 (cherry picked from commit a3c9ea96b2deee09060fae80d673e262b27872bb)


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [6d54edb9fa96fd915a90b06886781827acd2fcde]

fix this to build


2011-01-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8d9cf3fdfda0bf4b2ae2464edc0397b0e296f015]

n#657135: Enhanced fields fixes (key inputs, and 0-length fields import)


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [bc6fea9e91ce63236322a1725a725f7fb98aab47]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [a6d2bb18dd88894c92080214ff7a5c6178ad92cc]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [6824fd06ee8b6d4b1f783e82d61d453a5fd72ef7]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-09  Kohei Yoshida  <kyoshida@novell.com>  [6bd559789d5867b9a5adf56ec33660539c589a04]

We need to move to the next record during mail merge. (fdo#32790)

I believe this code change was unintentional.  We shouldn't be
skipping MoveResultSet call or else all the emails would be sent to
the first person unintentionally. ;-)
(cherry picked from commit 20b3b54b246159baeac941fe0acdeb61cc5cd112)

2011-01-07  Petr Mladek  <pmladek@suse.cz>  [b44161cba1b34f9513034561a206768c029bde5b]

remove commented code


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [04a1bae024326f04cbcd0698eb81c0f4adb3a4ba]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [918d4322d8cedadcebaa3b5f57dd465cd15856a8]

CWS-TOOLING: integrate CWS ooo33gsl13


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [d45b32b52f21c6078b2a945bf84864b046dd3a0b]

Resolves: fdo#32633 stretch title dialog to get translations to fix (cherry picked from commit c75a9e280e3f1282c25d7c1f572cfa4bad3f8ba8)


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [3748bdef44c7e1649a5db723fad762d314b84646]

Resolves: fdo#32633 rearrange title dialog to get translations to fix (cherry picked from commit 049b8e51b06f64fa8b353d65589b55d60ce5b83e)


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [77db4e7e28cd861c07c442bc0c0cf5d2f0346fb3]

Resolves: rhbz#660342 Undo/Redo crash with postits (cherry picked from commit 1b58066892daa9365d23b39d7439fbbe7d562b13)


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [3f54712412e94dc8ecf5c04ca52dbca89aa3fb49]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-15  os  <os@openoffice.org>  [3c703a627697aa5f302af2e4890568371e5fa2f9]

#i115956# token translation fixed


2010-12-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4c8a903f074a3230f78ea0a829a0bdb9ecf18b47]

ooo33gsl13: #i116085# adjust PageRange handling in writer PDF export


2010-12-09  obo  <obo@openoffice.org>  [450deef7af2e6150493f9f584bf08600884ca098]

CWS-TOOLING: integrate CWS calc33stopper3


2010-12-08  os  <os@openoffice.org>  [7580b9ec86dbfdf78f70c49159b3e5a17de02e66]

#i115956# token translation fixed


2010-12-03  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1db43df96c97a2f61ca74df154500553b35ebdd8]

fdo#32039: Missing outline feature in new RTF export filter


2010-12-03  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2c29bb06b76097d6cf745b87a481bda450bc0178]

fdo#31190: Use the same method to getthe DBData than the mail merge


2010-12-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c972a97ab7c7e36f2190d1b89e3e49f9d23c7846]

Added some more infos to the layout dump


2010-12-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d74a4b9d1a9dbaf3e4327ea83dddd1e99b493431]

SwBodyFrm::Paint needs to call the parent method in any case


2010-12-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c5e72df55b787568e8cb45e3b0afc517f594cb3a]

Layout debugging: the SwBodyFrm::Paint shouldn't paint in non-debug mode


2010-12-01  Florian Reuter  <freuter@novell.com>  [54e3f214f58830e52a1276cca42dd16f1cd3b2ce]

Added a layout dump hidden feature for dbglevel>1


2010-12-01  Caolán McNamara  <caolanm@redhat.com>  [f3b47ff0c59c046e390cf433004fe6d3f03100ee]

Resolves: rhbz#657718# Crash in SwObjectFormatterTxtFrm::CreateObjFormatter (cherry picked from commit 7f75773f59f4e755c8e18b8f604d3ac56d94914e)


2010-11-30  Miklos Vajna  <vmiklos@frugalware.org>  [43eda75d48ecf27b8ad433460892da26c0655f5e]

RTF: port last changes from CWS

Conflicts:

	sw/source/filter/ww8/rtfattributeoutput.cxx

2010-11-29  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fcfaeb75eff8c18faaf8bc7f0df14ae703d2b2ec]

n#636367: Table alignment set to "From Left" when moving the right

When moving the right end of a table, the table alignment came to
Manual but this caused size weirdness when switching from web to print
layout. Using the "From left" option for the alignment keeps the size.

2010-11-27  David Tardon  <dtardon@redhat.com>  [60f8ef2cbe116da6810f83f177f827bf18d69c1a]

Resolves: rhbz#657541# avoid null ptr. deref. when iterating through empty itemset


2010-11-26  Rene Engelhard  <rene@debian.org>  [580a800a1d059ec54d54298db71765fafb2872a8]

Merge commit 'ooo/OOO330_m17' into libreoffice-3-3


2010-11-26  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [56a6681b4292702677a9bfc3ee0b8903a4bbc99e]

Fix n#653526: Some section was added after having written the SEPX

The real problem is probably more on the docx import side, but it can't
hurt to have some guards on the export as well.

2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [c4cb9ca53070293f6be4b1fffbd551829bf558a3]

Put show credits entry into all app ui configs


2010-11-25  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [df07d391d83966cf2369ac7fec8d0b88cbe49bcf]

Removed DBG_UTIL from sw

* Fixed the different dbglevel builds
* This needed to change all the sw local ASSERT to OSL_ENSURE...

2010-11-24  David Tardon  <dtardon@redhat.com>  [228904385d4b23962361bbd2753a46256fba1ad9]

replace DBG_UTIL -> OSL_DEBUG_LEVEL > 1

Breaks build when configured with both --enable-debug and
--enable-dbgutil and built with dbglevel=1 .
(cherry picked from commit c3d0c4ec39417cdb1f6d7e4e23d6cd79e16d8299)

2010-11-24  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [9516ff4331f2c8349de55773279c4f218d533410]

Fixed DBG_UTIL vs. OSL_DEBUG_LEVEL mixup. (cherry picked from commit 9771daa4e13ceef4917fb230cd72a2aa098f1400)


2010-11-24  David Tardon  <dtardon@redhat.com>  [2fe4ed26217dc3f02937d7b1edd9a58bc6167920]

fixed DBG_UTIL vs. OSL_DEBUG_LEVEL mixup (cherry picked from commit f19fb8630f6dbf4b525bdd4ba775f05bb9d7e1a0)


2010-11-24  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [9d706ee42d6fdc4a4d815842f76bf302840ee01f]

n#652204: Font color selection didn't effect new text

Fixed the font color selection behavior: selecting a color when no
text is selected doesn't turn the paintbrush mode anymore.

2010-11-23  Kurt Zenker  <kz@openoffice.org>  [e2bbfbc07382adcac481920e1c4cec9fa89557b5]

CWS-TOOLING: integrate CWS os145


2010-11-23  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [de10bd16e3a632b8326e5b6c88ea4131c2937d7b]

n#652364: Fixed a ww8 column break import problem.

When a column section break was inserted in word, it was transformed
into a page break.

2010-11-22  os  <os@openoffice.org>  [51e16dd567de56d3a84abeb5f1fc5eee274993d8]

#b7001883# exit if sprm array is invalid


2010-11-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e93181f05d42705b4d205aef0881340fd5ae985e]

Enhanced fields navigation enhancements

Fixes the following bugs:
* n#423729: Select the first field by default
* n#639288: When double-clicking in an enhanced field, select the whole
  content of the field and don't complain about read-only selection
* When navigating between the fields using Tab / Shift+Tab, select only
  the content of the field without the field delimiters

Some comments cleanup is also included.

2010-11-19  Andras Timar  <timar@fsf.hu>  [5b20c40cd210941bf525f9bdcc7698392be003ea]

Made the "My AutoText" string localizable, #i66304#


2010-11-15  Jonas Finnemann Jensen  <jopsen@gmail.com>  [ae8f9d101f760d7ee96f515a941716999dfae4bb]

Commenting out defintion of DEBUG_ENABLE_DUMPASDOT


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [4042911879463849fc8a63a85cf445da316e4e49]

RTL_CONSTASCII_USTRINGPARAM used with nonarray


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [2e0ffc349acb5aa74528fbd57b57d5cf6d4e1d40]

RTL_CONSTASCII_STRINGPARAM -> RTL_CONSTASCII_USTRINGPARAM


2010-11-11  Jan Holesovsky  <kendy@suse.cz>  [25a97e7c5cd07558f46132b0f9083e51b2976812]

Merge commit 'ooo/OOO330_m14' into libreoffice-3-3


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [2a03a2e816b340d047a07de6ba189ef42b69a119]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-10  Caolán McNamara  <caolanm@redhat.com>  [f7516fcc66864146f3b365a237728a9821d2a827]

#i115495# fix type promotion problem (cherry picked from commit 9c2b85ef9b9a45526f5e4be2573a704364162cb8)


2010-11-09  Miklos Vajna  <vmiklos@frugalware.org>  [3aeeadee5a2e3bd12eac9f7e8d123ab004eb9585]

RTF: Delete leaky pStream after import (fdo#31362)

Not deleting pStream resulted not removing the lock file either.

2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [394aa30e6b6490203095cf7ecdac0f565a1b57f9]

Fix linker error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [fb034832a0076b60abbcf8d3989bf5c2559b6451]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [71186e2021b33093764b4887c537dc2e2eab8075]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [5cc4596e430019b3815ab5cb259e18708b143135]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [4dd53a245ed1454f32d3aef86573cb2fba3579c8]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [bde03bb9ab2805b21870e83d0adf00d40a6a762a]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [06d2aa8941dd38f3d47ca01538b3516e0ccbf5ae]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [fee4f215b7b4552bbcd3881014bdbe30e5e75359]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [c37ab708ef7a35ce2926e669647fd672a11324f5]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [0ba9005467e8ddb36dd65066b18df5e500f9e093]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [6dcf448819fc2fb2f42479b3a39dc7d4e3b8622a]

Fix compilation error caused by DBG_UTIL vs. OSL_DEBUG_LEVEL mixup


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [f2feb0d27a34c58defe5763524ffea50f9a87a62]

Fix compilation error in DBG_UTIL build

When using a testing flag which is defined inside #if OSL_DEBUG_LEVEL>1,
use the same preprocessor condition. Not #ifdef DBG_UTIL, which is
orthogonal (apparently).

2010-11-06  Kurt Zenker  <kz@openoffice.org>  [ea2f3cd49d7aa095e597cf5ec966dd33b77c2813]

CWS-TOOLING: integrate CWS tl88


2010-11-04  Luboš Luňák  <l.lunak@suse.cz>  [185865ab0073d8e06f338a5fd4df00641944fe97]

setup xml namespaces also for footers and headers (bnc#581954)


2010-11-03  Thomas Lange [tl]  <tl@openoffice.org>  [3ce1e3d5c494d5f467d43bdfe52be7b8c91eb684]

cws tl88: #i115354# crash when opening File/Print dialog fixed


2010-11-03  Jonas Finnemann Jensen  <jopsen@gmail.com>  [9e2d9edb05e0793bd32a84cde0a18dfd6fe0adde]

Fixed crash when choosing starmath from start screen


2010-10-31  Caolán McNamara  <caolanm@redhat.com>  [725d93619c03dbb51c9176ad91a8c71347708890]

use RTL_CONSTASCII_USTRINGPARAM avoiding possible ternary operator confusion


2010-10-31  Gert Faller  <gertfaller@aliceadsl.fr>  [3f8d06619facff9f9ed56437bda6f8e322a5e5c8]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-10-30  Jani Monoses  <jani@ubuntu.com>  [4aa89918486cf51a9ec4e95980292f7b1debb8de]

use RTL_CONSTASCII_USTRINGPARAM


2010-10-30  Jani Monoses  <jani@ubuntu.com>  [9aba25f28d58d2dac006ec88ab01e8764ff80b25]

Include header file instead of redefining a macro.


2010-10-29  Caolán McNamara  <caolanm@redhat.com>  [aba1769398485ae2d5973ba363719f7a381e9280]

fix crash I saw testing this earlier


2010-10-29  Michael Meeks  <michael.meeks@novell.com>  [0bee48e601da2f4ba07917e0327c5cc080865f1a]

Enable in-line formula editing when in experimental mode


2010-10-29  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [1ed42a4bc1437d844a4f4eeebc8a9fe5a266f17b]

writer: Remove emacs modelines in the middle of the file

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-28  Joseph Powers  <jpowers27@cox.net>  [670b5adf8016f7e6a5cea2e01ca0c26efcda2eb3]

Mac OS9 Cleanup #7


2010-10-28  Jonas Finnemann Jensen  <jopsen@gmail.com>  [5ec8ccbee30e4e6277fb1df68ae8d648ea8bf64a]

Updating todo-file for visual editor, and adding graph dump script


2010-10-28  Miklos Vajna  <vmiklos@frugalware.org>  [2a458260e4bc014b3be769fa75c5ed1886dcb360]

RTF: add missing doxygen comments for classes

Also remove duplicated modelines. The ones added automatically are
right, no need for the old ones.

2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [e2cc8e3395992267079539f412eab691a50b6c48]

add modelines to .h and .c files as well


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [babbd10f8616781e340abb6202d75f17ef577b42]

micro optimizations


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [ce3579e1cfbd3b4494e717e44e42db03a71bd88d]

micro optimize


2010-10-27  Katarina Machalkova  <kmachalkova@suse.cz>  [fef5d1414bb9238626962cb64d98b924a595c9da]

Merged xlsx-shared-oox-chart-export-part1.diff from ooo-build


2010-10-27  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [5e13f5238dc5d4534eabdf2dd95c39f97bab98d2]

Fixed some fields import bug: symbol visibility problem


2010-10-27  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c6e22d722aa520b71b0019553f4eea91948fe1ce]

Fixed a warning due to stupid unchecked changes (from me)


2010-10-27  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e784df90e8f253ee582aadadfaa0cef0cd5da844]

Fixed a word length minimum that was removed


2010-10-27  Mattias Johnsson  <m.t.johnsson@gmail.com>  [339eee93fd2a888b541eac4e7576d7091dfd1639]

Add character count exclusive of whitespace to document statistics part 1


2010-10-27  Michael Meeks  <michael.meeks@novell.com>  [816ad5ae7f3c32b20b6421541577fdf613e2aa58]

Merge branch 'feature/editable-formulae'


2010-10-26  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [047ad40f7bb0d7caaa6bef57bbe4cb7cffff2f51]

Fixed some inconsistent debug ifdefs


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e619136503ebb5b16171213a1ecb7f8887b2946f]

finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [109342a308b43d44447f59c643f8874aaf8dba57]

remvove vos/macros.h usage


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [fe9ee8c7b57291ecb79bca20761c69a5de1d7070]

rename osl::SolarMutexGuard -> SolarGuard to avoid namespace ambiguity


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [99b69249ec528250782eb8f7473935042e26312b]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e93d748106a8e52a88ce11d2fb3e0651505dd677]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [c561a3ed9bb98090ad46860e99818b7499ee760e]

use SolarMutexGuard to guard the SolarMutex


2010-10-25  Jan Holesovsky  <kendy@suse.cz>  [6978f3bb31b522fac22cf6e3abebab8681a1db0c]

Add few missing semicolons to fix the build.


2010-10-24  Jacek Wolszczak  <shutdownrunner@gmail.com>  [bf35001fc3055553c132c852ca04ff6c77214316]

DBG_* -> OSL_ENSURE cleanup, few German -> English translations.


2010-10-23  Michael Meeks  <michael.meeks@novell.com>  [f1b82f5c544e8e34ae46f3fabf284a113fc482ba]

re-instate the nasty old editing paths as a run-time conditional


2010-10-23  Jonas Finnemann Jensen  <jopsen@gmail.com>  [01f4b50072f4d06aad01d3a310e9b6e946988129]

Use the right license header


2010-10-23  Michael Meeks  <michael.meeks@novell.com>  [87a7f1813a40d73fadb430985d5601d1128fd057]

undo merging issue


2010-10-23  Michael Meeks  <michael.meeks@novell.com>  [2a51f7826f84c929aa82c9e1cbe37456bc9d70b9]

cleanup leading tabs etc.


2010-10-23  Michael Meeks  <michael.meeks@novell.com>  [2f7504f41dcd179e73728827d52f91de30815f2c]

Merge branch 'formula' into intformulae

Conflicts:
	starmath/inc/node.hxx
	starmath/source/edit.cxx
	starmath/source/node.cxx
	starmath/source/view.cxx

2010-10-22  Miklos Vajna  <vmiklos@frugalware.org>  [a8e76355d980ee015162023150ae48d68fbb4124]

#i114366# fix tables in page styles

Done at openSUSE Conference 2010

2010-10-21  Caolán McNamara  <caolanm@redhat.com>  [be0464f721b5b4b75fdfa1cbf2f74cf35bff07db]

make address book sub dialog behave correctly


2010-10-21  Nadav Vinik  <email@nadavvin.com>  [27442a0ffdd4ae178e5707ba041eee2df507bf2f]

Remove pam include in writer sw


2010-10-21  Katarina Machalkova  <kmachalkova@suse.cz>  [3b2b5aa1a61149b5faad8f945e85dcc17b0f838a]

Undoing pptx filter as a separate lib ( + related changes)

Shared ppt + pptx filter will be merged from cws later

2010-10-20  Miklos Vajna  <vmiklos@frugalware.org>  [c948afc129ac3dd80f0e0eb9b635bc32dbdaee9f]

RTF: fix order of entries in the revtbl


2010-10-20  Miklos Vajna  <vmiklos@frugalware.org>  [5bdae7c4e9960e7e6bbf2d502b8bb87592230964]

 #i66619# fix title pages


2010-10-20  Jacek Wolszczak  <shutdownrunner@gmail.com>  [f075ff1d9beb6a5d16e8705e272ae7987faeeca7]

convert to new OSL family of asserts


2010-10-20  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [aa289b0ad1f12cbb0038d4ebc8b56d8079388ba6]

Fixed a crash when importing some RTF file.

This is pretty hacky... any better fix is welcomed.

2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [06b90dae7441ecb504ed94682626b4b3de3861dd]

Merged oox-smartart-import.diff from ooo-build


2010-10-19  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [315e43a4e59c30a561783f70c2a16757a55613ba]

remove non-compiled code


2010-10-18  Miklos Vajna  <vmiklos@frugalware.org>  [16824cb6bb8b41a05cd836610814c04e1f0ed5eb]

RTF: fix non-text frames

Previously the exporter just crashed when the document contained a non-text
frame (e.g. table). Fix this by properly calling MSWordExportBase::WriteText()
instead of our custom method that handled text frames only.

2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [293edc6cdb4cb302920731287b98d3eac4194b16]

#i7065# add Title Page dialog


2010-10-18  Júlio Hoffimann  <julio.hoffimann@gmail.com>  [23c7fc6d88e365841c38d2dad8aa969f37a9470c]

comments cleanup


2010-10-18  Júlio Hoffimann  <julio.hoffimann@gmail.com>  [f00c3862356491374e4fd10531fa869728993d95]

comments cleanup


2010-10-18  Mattias Johnsson  <m.t.johnsson@gmail.com>  [2cf594642d90f0225d6bc90ceba4d08266d53f22]

remove bogus version control comments


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [406a352f49e94299b40a61fe20a4a55eb5a92c9d]

GetFontStyleName declaration without definition


2010-10-17  Julio Hoffimann  <julio.hoffiman@gmail.com>  [618e696f81f486cc1ada76c7fe9db8dbfda53342]

comment translation from german


2010-10-17  Norbert Thiebaud  <nthiebaud@gmail.com>  [1f1dfd21e1e65eefc528ddaed3373c8c38427cb0]

missing include <sal/macros.h> for SAL_N_ELEMENTS


2010-10-17  Kenneth Venken  <kenneth.venken@gmail.com>  [72a83e4c136d41e2923ac9fc5ed882cd0961fcdc]

use SAL_N_ELEMENTS macro


2010-10-15  Jan Holesovsky  <kendy@suse.cz>  [109c457dbaf8116327ce6a0fda18895fd1c518f5]

Don't set header in DDE tables, usually not what the user wants.

sw-dde-table-no-header.diff, n#634517

2010-10-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3a14ee169ab8303d9eb6d53dbb5708fac2557912]

Removed some useless code in debug build


2010-10-14  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [3c966007565c68a3f547ca69cdefd2e347e82add]

Add vim/emacs modelines to all source files

Fixes #fdo30794 Based on bin/add-modelines script (originally posted
in mail 1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-14  Jan Holesovsky  <kendy@suse.cz>  [8fab99ffae958bd48e99667e562075b5d65cefbe]

dos2unix on fltini.cxx


2010-10-14  Prashant Shah  <pshah.mumbai@gmail.com>  [d5ff3f84c3f1714a0eee0da21fdb9b5b3a88c246]

Cleanup: remove bogus comments from doc directory

This patch removes bogus comments found in the doc directory
including empty Beschreibung (translation: description) statements

Signed-off-by: Prashant Shah <pshah.mumbai@gmail.com>

2010-10-14  Miklos Vajna  <vmiklos@frugalware.org>  [c0e4c1a4c7949a756051a96bab19e5fb0e3b9fae]

RTF: stacked fix for nested tables

When the first cell of a table contains an other table, the definition of the
outer table has to be written after the inner table. Introduce a stack to
handle this.

2010-10-14  Prashant Shah  <pshah.mumbai@gmail.com>  [dd4140f60abf81c1d8addcc250e0eedb4d623376]

remove bogus comments


2010-10-14  Gil Forcada  <gilforcada@guifi.net>  [85288d73534394efa734548c5bbe731f2189041a]

Patch that removes death code and comments on writer/sw/source


2010-10-14  Kohei Yoshida  <kyoshida@novell.com>  [4b4795423cecd001eb93e934c7f8ffccf38d978d]

Fixed more OSL_ENSURE missing ';'.


2010-10-14  Kohei Yoshida  <kyoshida@novell.com>  [201fc6423bd950b35a9fa6e279394b9ef857a0a2]

Don't forget a ';' at the end of OSL_ENSURE.

Fixed a build break.

2010-10-13  Jacek Wolszczak  <shutdownrunner@gmail.com>  [ce31c8599b6930c37a515d4bf4925f2652706b01]

Replace ASSERT and DBG_ASSERT with OSL_ENSURE


2010-10-13  Arnaud Versini  <arnaud.versini@gmail.com>  [d16ddcc29ef8be972a53e63dc33841f9b1936397]

Removing some useless comments.


2010-10-13  Arnaud Versini  <arnaud.versini@gmail.com>  [06ee48f047a92f988a07a08b9e3721a3ef708813]

Removing some useeless comments.


2010-10-13  Arnaud Versini  <arnaud.versini@gmail.com>  [f3411cd27344b4b07da9349250cc4dc82f2495a9]

Removing commented source in macassgn.cxx.


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [f6a526b89d92870d411bd30e85cab61ca02d0a5a]

translate comments


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [a6a98d1a94469eea872b4c780dfb2d7b8b67855d]

#i114412# fix localedatawrapper crasher


2010-10-13  Noel Power  <noel.power@novell.com>  [d4bdfe99d56a606b6887d050c2dd9e640f48b535]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/writer


2010-10-13  Laszlo Nemeth  <nemeth@openoffice.org>  [b80c2253d8e625e536aaa371be200c9d072c94e0]

Fix fake small caps resizing factor #i1526#

See detailed explanation in IZ.

2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [d1e59f999923e818b594616f8e6187e384f30007]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/writer


2010-10-13  Noel Power  <noel.power@novell.com>  [9a47f274a399fcef2160fa0c6352d1fe7b32125e]

Merge commit 'origin/master'


2010-10-13  Prashant Shah  <pshah.mumbai@gmail.com>  [14f8ec5a744caf7966ec21fd24397b558d49ee22]

Cleanup: remove bogus comments from unocore directory

This patch removes bogus comments found in the unocore directory
including empty Beschreibung (translation: description) statements

Signed-off-by: Prashant Shah <pshah.mumbai@gmail.com>

2010-10-13  Prashant Shah  <pshah.mumbai@gmail.com>  [f76727c3882594fa613ee83f48d49f599bb16377]

Cleanup: remove bogus comments from unocore direcotry

This patch removes bogus comments found in the unocore direcotry
including empty Beschreibung (translation: description) statements

Signed-off-by: Prashant Shah <pshah.mumbai@gmail.com>

2010-10-13  Prashant Shah  <pshah.mumbai@gmail.com>  [7ebe3547e374475307e21653db26e3a32619f99e]

Cleanup: remove bogus comments from inc directory

This patch removes bogus comments found in the inc directory
including empty Beschreibung (translation: description) statements

Signed-off-by: Prashant Shah <pshah.mumbai@gmail.com>

2010-10-13  Miklos Vajna  <vmiklos@frugalware.org>  [d42e05c011a0a6dd50674d41cc6adca7910013f4]

RTF: fix for nested tables

The case when the original and the nested table has different cell / row number
is now handled. This is done by invalidating the table writer before starting a
new table and after finishing one.

This is needed to prevent a crash when exporting such tables and also to
produce correct output, which conforms to the specification.

2010-10-13  Noel Power  <noel.power@novell.com>  [43a65612e9014e4be6ca218721d171ae51e4a6b0]

Merge branch 'vba' fix trailing ws & tab issues

Conflicts:
	sw/source/ui/app/docsh.cxx
	sw/source/ui/uno/unotxdoc.cxx

2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [1f56d1f41b8812e861dd0b9b288e12b9122dde9d]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [d3d71f2f31c20081c09244ee75a31492d36bb201]

tidy this, cause it bothers me


2010-10-12  Prashant Shah  <pshah.mumbai@gmail.com>  [8bc0e77f23df2d9b19305d4f0a6f5ab8044ae4d3]

cleanup bogus comments


2010-10-12  Prashant Shah  <pshah.mumbai@gmail.com>  [7053280a7959903191979dbf3179083a8d1f72e4]

cleanup redundant / empty comments.


2010-10-12  Prashant Shah  <pshah.mumbai@gmail.com>  [24f066417f1ddc9f4c98510ecff97c1c2d439c49]

remove more bogus comments


2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [abe40b170c86426a08d072e839d1ecd9cdc60796]

#i112786# make ConfigManager a well-behaved singleton


2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [76a04d38a0916775ae7dd0d0f96832ef42211ac6]

Fixed the double-click behavior on enhanced fields

n#639288

2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [61d2b26a9479ff75bbfc60ee627bc8b984b1a81b]

WW8: Fixed the import of nested SET / FILLIN fields

n#634478

2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [27b84ceb96936e3918cbca235273168c9e79b0c1]

OLE Links roundtrip fixed for links as pictures

n#628098

2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [554cf2609b0e33018b443bbc2e99e4fa1b1b8d8e]

Fixed the frame surrounding in ww8 import

n#617593

2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1cf32df745c4025cf932de6a1fa53e4685d3c025]

WW8: Don't show the result of the fields with 0x01 code

Fix for n#623944

2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [92018a4c66b67391a9cddfa7442214d40bc59f71]

Fix the roundtrip of DOC unhandled fields

Partly fixes n#628098 (roundtripping OLE Links)

2010-10-12  Prashant Shah  <pshah.mumbai@gmail.com>  [9b4c7b4195e6cb3c6512ddea2d6aa351b172d638]

Remove bogus comment in sw


2010-10-11  Prashant Shah  <pshah.mumbai@gmail.com>  [6fd88f4d2453c09561ea62aa635f30df9a999aff]

Remove bogus comment in sw


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [5f10523f5e881b11001e91e06bff15734f9c1a1c]

#i112508# remove more dead code


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [056c3b80dd710700ccf07aa94611f6292fa790de]

#i114267# remove dead code


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [51170b0ed35a93f5add0e3e607d79caaf2ccac7f]

merge vosremoval-thread patch


2010-10-10  Prashant Shah  <pshah.mumbai@gmail.com>  [30b30e38d627479281a1cc4660284744304ba895]

Remove bogus comment


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [30e5418b2c50ba396d047a915c953d737a831dfb]

squash some  warning: suggest parentheses around && within ||


2010-10-10  Prashant Shah  <pshah.mumbai@gmail.com>  [d8d530bd33514e154c3109c3fd26bb8825519b73]

Remove bogus comment


2010-10-10  Prashant Shah  <pshah.mumbai@gmail.com>  [e4eddb0ed959387ce36785ebd80be06ebd5d2494]

Remove bogus comment


2010-10-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [12df8f23e74cc02697f7570e5ad0ae2933440f1a]

missing include for SAL_N_ELEMENTS


2010-10-09  Kayo Hamid  <revol.code@yahoo.com>  [a606d81ea3f82645b70409e609124ffc3655b836]

Use SAL_N_ELEMENTS macro


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [1e885e38193fa634fa0bf63a445611c94ff8ce49]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/writer


2010-10-08  Fong Lin  <pflin@novell.com>  [1627696c81ded6b3ee9cf37a4c0f68077bef7c18]

Port of Lotus Word Pro filter, by Fong Lin and Noel Power


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [9ecda7c87b32a7b1947e27e3dc283fb2c0425b8b]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [31f654d334dd2a59df0cf203ebc91660f52ba104]

CWS-TOOLING: integrate CWS sw33bf11


2010-10-08  obo  <obo@openoffice.org>  [b0ca12db0c6f617a00dc50cc9eec19b1f1929e2b]

CWS-TOOLING: integrate CWS hb22


2010-10-08  obo  <obo@openoffice.org>  [62af3142336936135e3c7ae1107324b8adf9e552]

CWS-TOOLING: integrate CWS dba33j


2010-10-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [818635d0734dcd0e680a8c6efd46401cb37a9ce6]

FASTBOOL to bool conversion


2010-10-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [07f2b6c76f2e4aa2b938570f65c5e12da2047000]

RTF export: fixed a bug in table export

Paragraph properties need to be reset after the end of a table or the
table may continue on the next paragraphs.

2010-10-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4937ffd09630d5796609f9d7614c6febef03a703]

dotted/dashed borders: some other BorderLine creation removal


2010-10-07  Miklos Vajna  <vmiklos@frugalware.org>  [44732b6537aee3c5a1a1bab61c9e3253856e5471]

Remove one more file from the old RTF export code which was still there


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [8069c03c64748662b36aa760181806af6cfa19b4]

#i114412# dubious delete in SwCalc::Str2Double


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [5e15a110c90b442709e4fbf702f1aec787e5bbeb]

#i112111# API test fails caused by property ShowHiddenCharacters


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [2f059bdf757fc64af34ddcb2b3b938921e33d96e]

dangling pointer dereference in SwCalc::Str2Double


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [220f844815c80a5ad65d176a016edddcc4caf35c]

#i114198# NULL pIndex in SwCallLink::~SwCallLink


2010-10-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0462ceb8b4444254030fc4b41239b83979dd1fca]

Remove the old RTF export code: not even built


2010-10-07  Jacek Wolszczak  <shutdownrunner@gmail.com>  [d374dba158d1b19953c38ee5d093f558cec75237]

replace DBG_ASSERT with OSL equivalents


2010-10-07  Jacek Wolszczak  <shutdownrunner@gmail.com>  [6170d13c6f1467e49679e9334288f5fed5fe91e0]

replace DBG_ASSERT with OSL equivalents


2010-10-06  J. Graeme Lingard  <jgraeme+git@gmail.com>  [6b791a252fc33234d125a8f9f6146f78f4f0fa8f]

Remove redundant #include directives & comments


2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [feeb8f98d57071bae2b70849a56cec4a1623de8c]

fate#307731, fate#307730: Dotted and dashed border types


2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f10edafd46ecc696c30977cff6bd0a7cc4f21400]

n#532920: Fixed some text position in ww8 import


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [dc0ee08d7146a6dd17556327a8c6b10f308c7c98]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Noel Power  <noel.power@novell.com>  [2b90812e6e7b9c4b04290138f1cb1894b9886850]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  Noel Power  <noel.power@novell.com>  [6aaea52f7281473a4fe4a27b6ce1c8c40834ceaa]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [a2e9a07a2c01155f900152b7ac8e7581c4963cfa]

fix warning


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [0065350c69c9307145cf9df693dc7b2c5fc0c9db]

#i113073# redundant dereferences


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [8e4bc146c26b953ab36378f38692c18b19d93b1e]

Ported dde-reconnect-on-load-*.diff from ooo-build.

Improve reliability of DDE connections between documents opened in LO.
With this change, LO tries to reconnect to a DDE server document upon
opening if that server document is being listened to by one of the
open documents.

Also, the old implementation would load a DDE server document
invisible, and would never close it when the user updates the link.
This had the consequence that when the user tries to open this
document while it's loaded hidden, it causes some weird focus issues,
and closing it and opening it again would disconnect the DDE
connection.  The new implementation closes the server document
immediately after the DDE link update is complete.

This change also fixes a bug in Calc where DDE link updates to cells
would fail when the formula syntax is set to something other than Calc
A1.

2010-10-05  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [bc7fe38f78ea43d5606e69fb4bab9828cc7753f8]

fdo #30604: Fixed the RTF tables export in copy/paste

In the copy/paste the RTF document to export isn't rendered as it's a
fake document. The width has to be extracted differently.

Beware SwTableBox->GetFrmFmt() isn't the same as SwTable->GetFrmFmt().

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [0f85353addf5fa26ede1dfa00eae4243a9cd4812]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [2d95c5e1c4c4439d1b83b0681ab87403fdbaa540]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [0f0c8591f93c568589df03eab07f08fe36ca4ac3]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3ea104b5e803f09114a7ebea9da7414440252d96]

fdo #30604: Fixed some color problem in RTF export when copy/pasting


2010-10-04  Caolán McNamara  <caolanm@redhat.com>  [8dd45f829532162a7186ff4858e0696ac20858cf]

use radio buttons for mutually excusive menu options


2010-10-04  Michael Meeks  <michael.meeks@novell.com>  [204c0dae3544a2ec7f5f612520c4af45dfc28db9]

remove bogus comment, and warning


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [c1717da83355c095826d24cb8e09ca8ffd9adb8d]

native bool support in SvXMLUnitConverter


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [4e6c62be03b4eb370db3cac115c0e4bb8a698891]

Convert all Query/Put Value() to bool


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [25315bd25fdc2d64996bdd099fd79e4dd3a263f2]

Renamed SwAttrIter to SwWW8AttrIter to avoid a name conflict

SwAttrIter is used in the ww8 filter but is also defined in
sw/source/core/text/itrtxt.hxx
this rename the former to make sure there is no posible confusion.

2010-10-04  Noel Power  <noel.power@novell.com>  [a2486209b950544c8db3650521d0c9689744f3b8]

ok, lets assert and code defensively


2010-10-04  Harri Pitkänen  <hatapitk@iki.fi>  [8b072fd99db5f6ca0f0b3adf9acfebddd3c47854]

silence cppcheck "possible null pointer dereference"


2010-10-04  Evertjan Garretsen  <egarretsen@upcmail.nl>  [2f57bc7eaa644a3146020ec7a1f55f03de7da5e4]

Translated comments in sw/inc/hints.hxx


2010-10-03  Jonas Finnemann Jensen  <jopsen@gmail.com>  [2d415c9854fb6111ac924ee95044c7e1a931433c]

Fixed issue with moving in/out of binom and stack.

Rewrote handling of SmTableNode in SmCaretPosGraphBuildingVisitor,
so that the special case where NTABLE is used as root node is handled
in the constructor, and NSTACK and NBINOM is handled in the visiting
method.

2010-10-02  Andras Timar  <timar@fsf.hu>  [00d2d7b05252b0aea97efcdb519d85e373e3b30f]

Omit caption separator, if caption text is empty, #i110287#


2010-10-02  Neil Stalker  <nestalk@gmail.com>  [fbdefd28b671b5bbd51ed3b23c13ffa1406bef00]

Properly comment a comment


2010-10-02  Phil Bordelon  <phil@thenexusproject.org>  [b82e0ad0b8cd6b9cc12d592ee7efb65280c959c6]

Remove executable bit from non-executable files


2010-10-01  Jonas Finnemann Jensen  <jopsen@gmail.com>  [11ddbed837eab61d2ff1dcbbf4c978c037a58ac9]

Integrated the visual formula editor patch

Ported the most recent version of the visual formula editor patch,
to LibreOffice. This patch is not finished yet, see README for more
information.

2010-10-01  Phil Bordelon  <phil@thenexusproject.org>  [0e3c82eaf31676273637b57ccc54299fe0d851bc]

Clean out dead code and comments from ui/app

This patch removes a bunch of commented-out code and content-free
comments from Writer's ui/app code.

Signed-off-by: Phil Bordelon <phil@thenexusproject.org>

2010-10-01  Nick Savage  <nagaten@gmail.com>  [1bd3f7bc2ea40bd9a4df4229bc3f1767c6893636]

Comments cleanup in layout codeOF


2010-10-01  Oliver-Rainer Wittmann  <od@openoffice.org>  [6c0855538c2e10a05c049abc2f8dcb56554f6dd6]

sw33bf11: #i114875# - method <SwXTextDocument::getRenderer(..)> - consider brochure print correctly in fix for issue i114210


2010-10-01  Caolán McNamara  <caolanm@redhat.com>  [e7afab12ef8e9975709fb5a10e75aabaa65b9f01]

&& || warning


2010-10-01  Caolán McNamara  <caolanm@redhat.com>  [d42559583400651e74aecabcff9585a35445be75]

&& || ambiguity in docfld.cxx


2010-09-30  Phil Bordelon  <phil@thenexusproject.org>  [4880e19059d2a51b2f2cfeef532878d215b9fe6d]

Clean up dead code and comments in starmath

This patch removes a bunch of commented-out code, gets rid of code
sitting in #if 0 blocks, and gets rid of #if 1 statements.  It
should have no functional changes.  Some revision-control-averse
comments were removed as well, but they were not the focus of the
patch.

Some comment removal required reformatting of code afterwards
(such as when all code in an else block was defunct, or when a
starting if statement was removed).

With a single exception, no line-internal commented-out code is
handled by this patch to ease review.  In addition, no code that
appears to have a debugging purpose was removed, even if it was
commented out.

2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [5ad2e1a56da50873516f7ae886eabff97ba4f30f]

#i113185#: SwDoc::SetEndNoteInfo(): fix conditional


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [ff74c1ca703a3911ca06d1f59be48e4732919264]

#i113190# bracket expression up to silence gcc warnings


2010-09-30  Phil Bordelon  <phil@thenexusproject.org>  [ff07bda04f10bbdceb47badf984f5da1c6f5e421]

Remove dead less-than-zero conditional checks.

A large number of conditionals in accessibility.cxx checked that
their values were above zero at some point, but that code was
commented out; this removes those (unused) checks completely.

Signed-off-by: Phil Bordelon <phil@thenexusproject.org>

2010-09-30  Phil Bordelon  <phil@thenexusproject.org>  [025a52fd24b40672c99eac4c35b31318607e67bf]

Remove dead code in starmath/accessibility.[ch]xx

Signed-off-by: Phil Bordelon <phil@thenexusproject.org>

2010-09-30  Phil Bordelon  <phil@thenexusproject.org>  [e7d36d77e96945446e75794e6138b5576a7075b1]

Fix commented-out null-pointer check.

In SmEditAccessible::addEventListener(), a previous commenting-out
of a line also removed a null-pointer check.  This axes the
commented out code but restores the check.

Signed-off-by: Phil Bordelon <phil@thenexusproject.org>

2010-09-30  Norbert Thiebaud  <nthiebaud@gmail.com>  [784a5776bfcb22166f16fdc5983b48ed277ed411]

remove 'precedence' warnings (corrected)


2010-09-30  Norbert Thiebaud  <nthiebaud@gmail.com>  [0eefd02098eefc40e9d191586541c29b090167fc]

remove precedence warning in sw


2010-09-30  Norbert Thiebaud  <nthiebaud@gmail.com>  [f21f789ba325dadb7c4a4c19d03defcd72b06c29]

convert BOOL to bool in class SwTableFormula et al


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [708165beed4dc4d5216799591a12dea4336affc3]

#i112384# crash on export of toc to .doc


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [d1454a6400d8485028e59fad583cdedfeaf6bd43]

avoid possible null pointer dereference on .doc import


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [c1415a360210c581064f5f4a22cc307767526459]

#i95369# avoid crash related to input fields if pointers are wrongly NULL


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [9a88c3104675e15d5b8a5399cd21360703c7bfec]

#i113310# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [5557f3cb55558d636a2930fd22e48a16daf10b11]

#i113311# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [921f949041fe5c9eaaf4467883b6f307bde5e509]

&& || ambiguity in frmpage.cxx


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [9f6add2e253a7f9010d56c87b754594b2a43d2b9]

#i113316# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [259ffea1d4010ec4e4e6f674786366ed6b6d433e]

&& || ambiguity in itratr.cxx


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [499a159e28fc45c7b15e0471d96d685e81432457]

#i113318# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [164d00d11b47a1ba8d581922b9996fb1bc8c7ae8]

#i113319# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [37fc9c50ad1ca46996c0ad5122acae30a4687eed]

#i113321# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [99ad71d308c6512fc72c69a8b48d173b1eb834f8]

#i113324# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [f3c5c8cd4554fe84313b9beafaa5a3dcf6060509]

#i113325#: && || ambiguity


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [b7564b467c671c749057a479b860aeefaf1a742d]

#i113327# silence gcc warning


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [4c00259db73d2b93e8ca1b5b8ee152b9339cc350]

#i113329# sw: && || ambiguity in frmtool.cxx


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [b026d6fd7b7468245c59e604fff5774fde940bfb]

#i113331# sw: && || ambiguity in layact.cxx


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [6459f4579008f5c473ab48d9f74f9fda9a93facf]

#i113332# sw: && || ambiguity in pagechg.cxx


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [32bf07e007d951e7a5bde231b82e0ddd5d76310b]

#i113322# sw: && || ambiguity in romenu.cxx


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [78f63216e0183f886f3b54a7db48cc9751838e6f]

WaE: unused parameters


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [d714e4583d0560fd0880fe4820e12f5a9114903c]

#i61927# bug from 2006


2010-09-30  Norbert Thiebaud  <nthiebaud@gmail.com>  [c88523c9b2171c0b70a51142d8dbd456b8c36f4c]

Convert BOOL to bool in SwAutoCompleteWord


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [d8515eef7bf87e506e5c6b0ebd13cd18151292cf]

Ported statusbar-fancy-modified-status-sw.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [e461add63db67fb26229aedcb68490b0f0bd0610]

Ported statusbar-fancy-modified-status-starmath.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [c885b0a968d383f3ab9dc610f524efda8073cc36]

Ported autocorrect-accidental-caps-lock-sw.diff from ooo-build.


2010-09-28  Gil Forcada  <gforcada@gnome.org>  [e97e57cecd7d1aeb6d53bec9c968aa4bd60aaa59]

Removed all //CHINA-like comments


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [a3a8223bd4301a4ab325af931d221199cf250fd3]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a08481f102728ff7e2fb47d5ce1b421172d5d097]

Replace the "Help Support" menu item by the "License Information" one


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [3e90c83c2439b4640131394b4f3999b643ce0c87]

CWS-TOOLING: integrate CWS sw33bf09


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [f5f6d4982b66dfec6d8364c622235bb60f7cb340]

CWS-TOOLING: integrate CWS tl85


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1d6942781ac24451d2bae028b075057f7985d960]

dba33j: merge after pulling OOO330.m8


2010-09-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [ae7968a673f66a17a9a17858688ed4db6505a4eb]

merged OOO330_m8


2010-09-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [51eb3620e42b8399843ac0287d3054463af2c8db]

#b6986082# InsBoxen: Do not insert a new cell beyond the end


2010-09-17  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [5af90594c6ac8e98c81bbd3f90ff92e794c7deee]

sw-ww8-ruby-export-fix.diff: Fixed wrong ruby export in WW8

i#79246

2010-09-17  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [32e1302830f938ae4897a5a43d1b91c025fa3f45]

sw-ww8-styles-import-fix.diff: wrong style import in french

i#21939

2010-09-17  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [155332642bf8d533aec11631261e5c3f2eb5aa7e]

sw-ww8-field-fix.diff: WW8 fields import fix

i#61075, i#89667, i#111684

2010-09-17  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e5693d5e14f8a53070b86ea1682201f5f2149b82]

docx-fixes02.diff: Some other misc docx fixes

n#581604

2010-09-17  Miklos Vajna  <vmiklos@frugalware.org>  [db6af6a208ed578625ef2df23f50ec982b562ca6]

cws-vmiklos01.diff: Better RTF export filter


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [8793553ce119b16f521a324cb961e070132ba7ef]

Update .gitignore for Windows builds


2010-09-16  Oliver-Rainer Wittmann  <od@openoffice.org>  [0173b351547dab06dfb268e29130d60184893bef]

dba33j: #i114522# method <SwEditWin::MouseMove(..)> on moving anchor handle: Use adjusted position for hit test on handle, because hit test based on primitives now has problem with floating point operations (0 becomes -1,77e-15)


2010-09-16  Jan Holesovsky  <kendy@suse.cz>  [cb10813a235b032ec1a60aae1421c3231b27a2ed]

docx-export-enable.diff: Enable the .docx export.


2010-09-15  Radek Doulik  <rodo@novell.com>  [89dc30f2be1b30fa51808938c4d2d866e7d0c561]

sw-auto-scrollbars-2.diff: Hide scrollbars in Writer - final.


2010-09-15  Radek Doulik  <rodo@novell.com>  [1a95ce282097c7ba315dd0eb7fd4e35d5ce61e66]

sw-auto-scrollbars-1.diff: Hide scrollbars in Writer update.


2010-09-15  Radek Doulik  <rodo@novell.com>  [6b464e0d29c72cf06b5c7bd7e3cc0e42d66b1ec3]

sw-auto-scrollbars.diff: Hide scrollbars in Writer when not necessary.


2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [8146734ddb4361f66e262b065c5130ae501fbcaa]

default-no-registration-menu.diff: Remove registration from menu.


2010-09-14  Jiao Jianhua  <jjiao@novell.com>  [11ab1028c5e354ac40ee58ace0dc84989eae8a27]

sw-default-cjk-fontsize.diff: default CJK font fontsize as 10.5pt

i#72010

2010-09-14  Florian Reuter  <freuter@novell.com>  [216f84e4b0933612276690a7f69f264e9ded5c71]

sw-graphic-save-problem.diff:

n240770

2010-09-14  Michel Loiseleur  <mloiseleur@linagora.com>  [9ec22325aba338803a96a373db97f3f4e2bc2b12]

sw-html-insert-unknown-tags.diff: paste html text between 2 unknown tags

i#59064

2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4b3a488ecb4e6810735825973bb9433249a19fb6]

sw-paste-table.diff: Refresh the cell formatting after pasting in it

n#564789

2010-09-14  Fong Lin  <pflin@novell.com>  [d4ad757a11eb662f853ea78fefd6d11ea1df2119]

sw-changes-format-fix.diff: show insertion change first

n#545815

2010-09-14  Fong Lin  <pflin@novell.com>  [33370870cc133b7cb7f470f752526cdd4a4339ab]

sw-ww8-import-list-fix.diff:fix bullet indent issue

n#547308

2010-09-14  Fong Lin  <pflin@novell.com>  [0589e7f8eb08119cee8ff1a186bfbb887d3838e4]

sw-ww8-textframe-background-fix.diff

n#547308

2010-09-14  Oliver-Rainer Wittmann  <od@openoffice.org>  [4abe1904132f0eb34228c41454ef0abcb167f65c]

sw33bf09: #i113730# - Assure that group objects containing control objects are on control layer


2010-09-14  Amelia Wang  <amwang@novell.com>  [b7551ace7e57ba3a4dbacf5d8906000600a43467]

sw-insert-pagebreak-in-numbered-paragraph.diff

n#396648

2010-09-14  Amelia Wang  <amwang@novell.com>  [edbd32ded9f6dddb75ebb57d03a10ac10d0fa107]

sw-outline-numbering-broken-fix.diff: outline numbering fix in master docs

i#96092, n#445536

2010-09-14  Florian Reuter  <freuter@novell.com>  [7dd2e230f9de2676be07d094a837a0167e275194]

sw-import-html-controls.diff:

n#485609

2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8208802eed76b29302c132dd0a0608cc71dd396f]

field-patch-lock.diff: enhanced fields lock fix


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7bd9bc8377047629a69450bf7d4c7dee67af517b]

field-patch-uno-fix.diff: enhanced fields UNO fix


2010-09-14  Florian Reuter  <freuter@novell.com>  [d19c7c96ee03fccc41fb5a74128304bd432eac81]

sw-table-join-fix-i99267.diff:

n#417814

2010-09-14  Florian Reuter  <freuter@novell.com>  [47472e8e70c1ae3dc55a5b00ef69eaa85f651a7f]

sw-collapse-empty-table-par-like-html.diff:

n#376690

2010-09-14  Florian Reuter  <freuter@novell.com>  [440bab6daea191ddf18b019fb88600b82e11a0ed]

sw-invert-border-spacing.diff:

n#391591

2010-09-14  Florian Reuter  <freuter@novell.com>  [70597695b23b5c45dfc735a7afd175f034428195]

sw-allow-negative-spacing.diff: correctly display linespacing < 100%

n#364534

2010-09-14  Florian Reuter  <freuter@novell.com>  [998c642599c9196e2249fe35cf1450711fdd5d75]

sw-section-import-fix.diff: Additional paragraph imported from ww8

n#364533

2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [70561fdb1c47bc0bcfdbb97ffed28fe13ab556f8]

g++44-debug.diff: Fixed some imports for debug more


2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [10c10ffa04a952c81e0a85e0606b46e2433705c3]

win32-vs2005-compat.diff: Fix build with Visual Studio 2005


2010-09-14  obo  <obo@openoffice.org>  [5fd7c99871b452da81233ee979a9f5f8c558d5d9]

CWS-TOOLING: integrate CWS jl158


2010-09-14  obo  <obo@openoffice.org>  [2b5213edaeac779555351e9136a896119bde149a]

CWS-TOOLING: integrate CWS dba33i


2010-09-14  obo  <obo@openoffice.org>  [919bff482001f0cedf598338b34ce475249acb54]

CWS-TOOLING: integrate CWS dba33h


2010-09-13  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [985b180a2fae4ffeaac83ead0a71e1e128db0f79]

sw-preserve-char-style-on-reset-format.diff:Perserve character style on links

i#47893

2010-09-13  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [46c042512344d9e714ea716efc8f707ede5e179b]

sw-show-Remove-Hyperlink-even-with-selection.diff:


2010-09-13  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1ccbb5d782056eeaf0c50333eed49ded73acfc5f]

sw-rtf-num-fix.diff:Fixes for RTF numbering export

n#569266

2010-09-13  Amelia Wang  <amwang@novell.com>  [934cea09a95d7d638d09f881629579c568a30621]

cjk-character-units-in-pggrid-fix.diff: add a new character unit


2010-09-13  Amelia Wang  <amwang@novell.com>  [dae07c66db3014b7f0eefada5e4ff8af8556e768]

cjk-character-units-fix-376788.diff: add a new character unit

i#376788

2010-09-13  Amelia Wang  <amwang@novell.com>  [6321ca557a2a188a3a3f8f6eeb2881f8e7eacce8]

cjk-character-units-fix.diff: add a new unit 'character unit'

i#356101

2010-09-13  Amelia Wang  <amwang@novell.com>  [723b3fc153061b39604a032d578409d7f22d708f]

cjk-character-units-rulers-sync-with-pggrid-fix.diff:


2010-09-13  Amelia Wang  <amwang@novell.com>  [baf4316376191dce3a3d070a07e745e0286b7bac]

cjk-character-units-ui.diff: add a new unit 'character unit'


2010-09-13  Amelia Wang  <amwang@novell.com>  [4cd64c0c68b4c81406d0075ac9d846014538840b]

cjk-character-units-imp.diff: add a new unit 'character unit'


2010-09-13  Jiao Jianhua  <jjiao@novell.com>  [825b1706ab0a71d86812cbb95ac056e78f6a5864]

plus-minus-sw-navigator2.diff: Folding for each heading in Navigator

i#64886, n#129410i

2010-09-13  Jiao Jianhua  <jjiao@novell.com>  [c2b6b1ab7a949fb80fd98f506486d45a1166fbc5]

plus-minus-sw-navigator.diff: folding for each heading in Navigator

i#64886, n#129410

2010-09-13  Oliver-Rainer Wittmann  <od@openoffice.org>  [4f9ba5a4ae34505b87caab78c0c8ee913d924f87]

sw33bf09: #i113730# - method <SwDrawContact::_Changed(..)>: on insert/remove of child assure that group objects containing control objects are on the control layer


2010-09-10  Henning Brinkmann  <hbrinkm@openoffice.org>  [53ecd0aafe1ae5d2583ca5c9b70834f74ff97e22]

#b6983105# applied patch and verified


2010-09-10  Joachim Lingner  <jl@openoffice.org>  [ee261e71c49c9622b0f17d808a2916dcb9f138e0]

jl158 #i114008#  sed problem on solaris fixed


2010-09-10  Henning Brinkmann  <hbrinkm@openoffice.org>  [85bf95a2fa8796da2578456519dcbbcc3f75e1a3]

#b6983098# applied patch


2010-09-09  Michael Stahl  <mst@openoffice.org>  [baaab1de7c8511b77d7bef687663054c2190d290]

sw33bf09: #i114163#: SvXMLExportItemMapper::QueryXMLValue():  write proper value "auto" instead of "0" for style:page-number.


2010-09-08  Henning Brinkmann  <hbrinkm@openoffice.org>  [9bd6527559cf12ef7b04761212e26149e1a229a7]

#b6983101#: applied patch and did some additional robustness checks


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [290f7aba51f626e259764487fec8795ef6b4043a]

Merge commit 'ooo/OOO330_m7'


2010-09-08  os  <os@openoffice.org>  [1b65cc1e16be2a48f20ee24e91ceb7f1e3590202]

OOO330 m7 merged


2010-09-07  Oliver-Rainer Wittmann  <od@openoffice.org>  [82bc76b1e81cd9e4655e6ac86c46d5fe9449475c]

sw33bf09: #i114210# method <SwXTextDocument::getRenderer(..)> - correct determination of page number from renderer index


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [d3ae4c683dda23722661cad8b5992586d2883bd0]

Merge commit 'ooo/OOO330_m6'


2010-09-06  os  <os@openoffice.org>  [ff2fb1deb0c3b699d470ec22f10f8c280aa8767e]

#i112518# prevent document modification while printing


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [4937fcb1c4fa15194c01a79c57523d9a9333c710]

CWS-TOOLING: integrate CWS fs33a


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ca2de07b2dc0c756973e311b3870bb426ddf9ca1]

dba33i: #i111146# migrated all SFX-based applications to use named views


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7b4f7b087c867af6a075d334107ca919a730c27a]

dba33h: merge after pulling OOO330.m6


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [28e9e96f76fc97db8dc8ee237ab8e3d7955f016a]

dba33h: merge after pulling in fs33a


2010-08-27  obo  <obo@openoffice.org>  [17b62cb5acad25dc82a95a40d545e6af6a185f55]

masterfix OOO330: #i10000# new exception file unovwr.cxx


2010-08-27  Michael Stahl  <mst@openoffice.org>  [d53deda0ec570a5b2e8ecab80841c60eed773df4]

dba33h: #i112652#: SwXCell::getValue(): do not filter out NaN


2010-08-27  Michael Stahl  <mst@openoffice.org>  [df3f69c1e8e003cde4fc59b1067bfa52b2e07883]

dba33h: #i112652#: SwTblBoxValue: items with NaN should compare equal


2010-08-25  Thorsten Behrens  <thb@openoffice.org>  [e0b0ca314f460e0bf278d93f2c166866e0bdee47]

linkwarn-dlg-in-apps.diff: Wire up link warning dlg in applications.

n#348149

2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [a3019ec68acb22c8f590ee104fd6e7aad20c4778]

CWS-TOOLING: integrate CWS sw33bf08


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [3a414d98714ce594920c6225beec9a01c522bd4f]

Update .gitignore.


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [1cdbfaeb83f2e0ef5eb4aa54319860e2add21e63]

Create .gitignore.


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [5fe3473967c81f2acc1444840b2f33cfc93f4fd6]

Merge commit 'ooo/OOO330_m4'


2010-08-17  Thomas Lange [tl]  <tl@openoffice.org>  [631d42da043d690b931e3750176a3a295b376c7e]

cws sw33bf08: #i113584#, #i113587# transliteration fixed


2010-08-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3274d37826fc2613aa5061a985d1aab476e3a6fc]

fs33a: make compile in non-pro build (removed seemingly dead assertion)


2010-08-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [013feef7fc5add0b3468b2c3d11bea8d4f830174]

fs33a: merge after pulling OOO330.m4's change sets


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [aa24f45a25b29d19d740ba1ddd2f3ca88d668f01]

CWS-TOOLING: integrate CWS tl83_OOO330


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [ea3180add6a2e63c485f9e34bdfb1018a9359eff]

CWS-TOOLING: integrate CWS l10nfixer01


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [180786f8a7c7d8cce82b43bb9a79542fed86a2d6]

CWS-TOOLING: integrate CWS writerfilter08ooo330


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [db3cc711f90a781bc8cd82a90d872f6e281ae205]

merging in latest changes from OOO330(m3)


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [80200b927554fbf3ad79b89255accc87c0306263]

CWS-TOOLING: integrate CWS mib17


2010-07-29  Thomas Lange [tl]  <tl@openoffice.org>  [629bf4759551e6008518a197141b561c1af2c8e8]

cws tl83: merge


2010-07-29  Thomas Lange [tl]  <tl@openoffice.org>  [5c009c5aa7bc0a312b8fcac5a4f7a5a3f75e07ed]

cws tl83: #i113276# auto-update for right context menu and 'Elements' window fixed


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [3079072bf7964b047341cd94d9d9d4f8fe89b5b9]

writerfilter08ooo330: merged OOO330_m2


2010-07-28  Thomas Lange [tl]  <tl@openoffice.org>  [c19d40dbcdabc4dbad4605a9643a1981be906fe7]

cws tl83: warning-free code


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [3d047bb3f7184b211d8f48afc77e308d19bafdc1]

writerfilter08ooo330: applied patch for writerfilter08


2010-07-28  Thomas Lange [tl]  <tl@openoffice.org>  [3883a4ba16cf9794222f9e839a8a0ef404eea257]

cws tl83: merge


2010-07-28  Carsten Driesner  <cd@openoffice.org>  [f19fd42478a6c3f649d9e4afad81ca9a815ea0f9]

l10nfixer01: #i113441# Remove wrong user defined text attribute for the Search&Replace function within the findbar.xml files


2010-07-28  Thomas Lange [tl]  <tl@openoffice.org>  [1c38b6ffb210eeca26e4ee14f800244411f5d8a0]

cws tl83: #i113276# default layout for 'Greek' characters changed; added new property 'GreekCharStyle'


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [f4ce9d6adedfc15c1c38e25fd498b9b8977d8e47]

mib17: rebase to OOO330_m2


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [a2f0a5fbe332bebb8f1e8d038f849bc69d2b3c11]

mib17: rebase to DEV300_m84


2010-07-23  Thomas Lange [tl]  <tl@openoffice.org>  [d2c5ec84ec2e082b38df5b318fc160cfeb7291f8]

cws tl83: #i113276# changes to Greek symbol set because of new OpenSymbol font


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [c1bf1dc2a21319f57e24f0ca48ddb94f128e12bd]

CWS-TOOLING: integrate CWS sw33bf07


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [fb91b7752c00aaadffd49026610ad663ff5337fe]

CWS-TOOLING: integrate CWS impress194


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [e09033994d6f4b50327ec05130e3eccd52c2f32a]

CWS-TOOLING: integrate CWS tl81_OOO330


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [73fe9e99f9b70b04118c10559a54854f44caac5f]

CWS-TOOLING: integrate CWS unoawt2


2010-07-19  os  <os@openoffice.org>  [1645a756bad8a7dbc62a1dff7e8997034dfd998c]

#i113084# check auto correction pointer before access


2010-07-16  Thomas Lange [tl]  <tl@openoffice.org>  [1e2dd38ceb8d7c1557dec48e5c0d9078fcba0d3b]

cws tl81: #i1122697# undoing spelling fix in unused string resource


2010-07-14  sj  <sj@openoffice.org>  [3c128b01e8d3da85dfa905d0e77061cda3996fec]

fixed build problem (missing header file)


2010-07-13  Thomas Lange [tl]  <tl@openoffice.org>  [da95941d66268cf907b7213e6aa5f96c2a045fdb]

cws tl83: merge


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [6b874cf26290c3c34d0593a429d2073645cc4fc5]

CWS-TOOLING: integrate CWS sw33bf06_OOO330


2010-07-12  Daniel Rentz  <dr@openoffice.org>  [d26428a27bbe210152332189a9cbe05c2f001a74]

mib17: #i112634# API changes


2010-07-09  Thomas Lange [tl]  <tl@openoffice.org>  [9104f202d1cfce4366e0c16f5cdf573101b93e2a]

cws tl83: #i113004# crash when spell checking in sd fixed


2010-07-07  Oliver-Rainer Wittmann  <od@openoffice.org>  [cfd56a7c662dd6e04fb1e84bc66301722404058f]

sw33bf07: #i112181# method <SwTxtFormatter::InsertPortion(..)> - assure that internal flag indicating existence of non-footnote-anchor portion is updated in all cases.


2010-07-06  Daniel Rentz  <dr@openoffice.org>  [f49f73df7cc69063dcccf6516849f323725074f4]

mib17: #i112634# add VBA sheet event handling, based on a patch from Noel Power


2010-07-05  Thomas Lange [tl]  <tl@openoffice.org>  [9f9b0dc93a3300a4cbaefd7dcf5f0f97076eb6fb]

cws tl81: warning-free code


2010-07-02  Michael Stahl  <mst@openoffice.org>  [310e75a6575826c9b42bb45a0f79cc281c842803]

sw33bf06: #i111185#: sw: re-enable tests  the unxsols4 compiler bug workarounds have been deployed: i112513, i111177


2010-07-02  Michael Stahl  <mst@openoffice.org>  [ae07853441187f6689f5d8cadbed43d7a82fb463]

sw33bf06: #i111886#: apply patch by od:  SwToCntntAnchoredObjectPosition::CalcPosition(): use the cached paragraph   portions; recalculating deletes layout frames that are on call stack (crash)


2010-07-01  Michael Stahl  <mst@openoffice.org>  [bda6a9f2967376cda75a75290d38b35a16d05d07]

sw33bf06: #i112577#: SwPaM::Find: apply patch by cmc: fix null ViewShell crash


2010-07-01  Michael Stahl  <mst@openoffice.org>  [a3b6db7ed19e01514b229b6449aa1abbbcb035ef]

sw33bf06: #i112516#: NewTabPortion(): apply patch by cmc: fix SIGFPE


2010-07-01  Thomas Lange [tl]  <tl@openoffice.org>  [00b5a789efac109173fd9be711de517173e9d4d0]

cws tl81: merge with DEV300_m84


2010-07-01  Michael Stahl  <mst@openoffice.org>  [ef44483a0b63549fcce88336db2487b659a2cf44]

sw33bf06: #i112657#: apply patch by dtardon: do not crash when there are  merged cells not started by \clmgf at the beginning of a row


2010-07-01  Andreas Bregas  <ab@openoffice.org>  [00933b7a55afc4d7a299eaabbcfe60c512b687ec]

mib17: #111144# Enable calls to module function via Sheet object


2010-07-01  Michael Stahl  <mst@openoffice.org>  [c21edbb0c405fcd208016e155e1b0a741bf7fea7]

sw33bf06: #i111742#: SidebarTxtControlAcc.cxx: apply patch by pjanik


2010-06-28  Thomas Lange [tl]  <tl@openoffice.org>  [799c89de8f3bc656d977ea5b9eb170aea8ec7800]

cws tl81: #i112697# spelling fixed


2010-06-25  Michael Stahl  <mst@openoffice.org>  [36896f03ecee8209d8382598c1f0ce712b653b45]

sw33bf06: #i111177#: preventively work around unxsols4 compiler bug everywhere


2010-06-25  Michael Stahl  <mst@openoffice.org>  [b4d98bf6f465afa175003d71aac470379158b66c]

sw33bf06: #i112513#: work around unxsols4 compiler bug


2010-06-24  Ruediger Timm  <rt@openoffice.org>  [01ede6790d338aa2b10327a0691f2bb168d53312]

masterfix: #i10000# Merge error corrected.


2010-06-24  Thomas Lange [tl]  <tl@openoffice.org>  [3cdd400a012300c2ef6dfef6eba45ab3641c7c8b]

cws tl81: #i112179# dictionary issue with context menus fixed


2010-06-22  obo  <obo@openoffice.org>  [925a413f5dff7499d9087d17a2057f5bef7cf6c3]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [25de7d105deef5ea6b66b11bcb51b53c5cea03d4]

CWS-TOOLING: integrate CWS cmcfixes75


2010-06-22  obo  <obo@openoffice.org>  [cd3e89e582ed3c96ebc2d3914df96bf6ae80b3bd]

CWS-TOOLING: integrate CWS mba33issues01


2010-06-22  obo  <obo@openoffice.org>  [d65a826c8032b50febb8c4c37a45f91688e95edd]

CWS-TOOLING: integrate CWS sw33bf05


2010-06-21  obo  <obo@openoffice.org>  [c59dd34038ccc7665705f26622acacbf18c1fddc]

CWS-TOOLING: integrate CWS mtclip01


2010-06-21  obo  <obo@openoffice.org>  [698864de9c898d4b31899d4d76ae1fae55d53590]

CWS-TOOLING: integrate CWS cbosdo03


2010-06-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e1a0f88e14e2207c122e0685867a8616107351d3]

unoawt2: #i10000#


2010-06-18  tono  <tono@openoffice.org>  [5bb7f39fb2f9f99ef0d3a0e39af09adb4ef9bb4a]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [81b5e2258fb36ee9f5540592167d5caab8962c55]

Backed out changeset: f63af3433bcb


2010-06-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [683ba460587a4adba80cc81ad234cae0a4465b26]

unoawt2: get rid of the ImageConsumer class - it has no clients anymore


2010-06-18  tono  <tono@openoffice.org>  [4fd652a2f0d6fba0db4b2a023e0a449456bc0f22]

Backed out changeset: d80a58fd55d9


2010-06-18  Mikhail Voytenko  <mav@openoffice.org>  [90f1a0a7faffbc2b87babec123e9ae421bf7192e]

rebase to m83


2010-06-18  obo  <obo@openoffice.org>  [8a4d1416746ffef7f1e996e19ca419bfed4b410f]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [3d1399b2ad0ffc2597dae5481eed6f398364b2d0]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [991424a5f4506f2f7c4980cea2fd44d7b8ebff1c]

CWS-TOOLING: integrate CWS tl78v3


2010-06-18  obo  <obo@openoffice.org>  [9ca24e718dabd621c32fdd0a5eb604d5805cd2e6]

CWS-TOOLING: integrate CWS tl78


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [a114d2371154ec61f76a9c297a92d704167e6f50]

CWS mba33issues01: rebase to m83


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [09f75570b00d108bd260ef6ae7c1b01e74d56f0b]

mib16: rebase to m82


2010-06-16  Mikhail Voytenko  <mav@openoffice.org>  [914e5a436986e1f012a23e8bbff84bc72ceacdeb]

tl78v2: #i112427# Support password to modify in calc and writer ODF documents


2010-06-15  Mikhail Voytenko  <mav@openoffice.org>  [580c6ffaacd9d60fef0bd367f60185624a51ea7d]

tl78v2: #i112427# Support password to modify in calc and writer ODF documents


2010-06-15  tono  <tono@openoffice.org>  [8e0a288576af14203964e139117b8dbe4c9c9bfd]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [9a87cfcb9e4ee1454b07998ff1b1740360696dd6]

cbosdo03: merged with m82


2010-06-15  obo  <obo@openoffice.org>  [634d41ae7f59dd48b6940d09e77ffd2554afa380]

CWS-TOOLING: integrate CWS unoawt


2010-06-15  obo  <obo@openoffice.org>  [d76f82d1bf6fda9d8e71136e13a812440b60da17]

CWS-TOOLING: integrate CWS chart47


2010-06-15  obo  <obo@openoffice.org>  [9c137d979973d23e18aa115a8de15d3646ccfa78]

CWS-TOOLING: integrate CWS fwk139


2010-06-15  obo  <obo@openoffice.org>  [a9f3140361acbb37c4171465190291e3ac0c14ec]

CWS-TOOLING: integrate CWS os140


2010-06-14  obo  <obo@openoffice.org>  [c53689efa1c2a8816ab9184f67bba02b5dfd9884]

CWS-TOOLING: integrate CWS tl80


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [d573268b778db3fd78042458c0808fcfbb35ba10]

CWS tl80: merge with DEV300_m82


2010-06-14  obo  <obo@openoffice.org>  [46a11b8c89aea2c7133ca3f4b450ea2193d69d3d]

CWS-TOOLING: integrate CWS hb33issues01


2010-06-12  Mathias Bauer  <mba@openoffice.org>  [1b0fad94af38d6f693cec25c5dccd2e55a743356]

CWS mba33issues01: put code to load libraries on demand into class SvLibrary


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [c718159913146f91fb29e50199e871ea6ad59f09]

cmcfixes75: merge with DEV300 m81


2010-06-11  obo  <obo@openoffice.org>  [7ff5c0b957249bcda3e0eb89d59cd95450151aa0]

masterfix: #i10000# disable assertions, sSymbols + aTmpSymbolName not defined


2010-06-11  obo  <obo@openoffice.org>  [53e3e176afd07b9398427537df404c0a55c43208]

masterfix: #i10000# bNothingSelected obsolete


2010-06-11  Release Engineering  <releng@openoffice.org>  [6dbd9761736fb12a8fe367595a8b7f0a4d655fa0]

masterfix: #10000# dialog.obj added to EXCEPTIONFILES


2010-06-09  Henning Brinkmann  <hbrinkm@openoffice.org>  [da127380c572fe5500e80e146efc6ce67f26b7d0]

tl78: Do not protect every section if document is protected.


2010-06-09  Mikhail Voytenko  <mav@openoffice.org>  [96de36f872725e75cd451c1cbe7474a2e3e23f18]

fwk139: #i10000# adopt for linux


2010-06-09  obo  <obo@openoffice.org>  [53d29308d4eb13e24f1a8b3189c7bd80ba115f77]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [6e95497022f678fe2f033985b3506a75062738ea]

CWS-TOOLING: integrate CWS findbar01


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [391e81ee09bf4613526db77a950df1480b3cb002]

cws tl74: merge with DEV300_m81


2010-06-09  Caolán McNamara  <cmc@openoffice.org>  [90092c8f9f7c20d1f2c41cd8d704e30c093d1bc8]

cmcfixes75: merge with DEV300 m81


2010-06-09  obo  <obo@openoffice.org>  [77ca51f8a116a69e0da9cadb3dd5b68e09e377ed]

CWS-TOOLING: integrate CWS hb33patches1


2010-06-08  Michael Stahl  <mst@openoffice.org>  [ee4c7910042052231e37d0980206e09fb79bca35]

merge DEV300_m81


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d86a48daf411b2182695dce3c0c0fc09800ae224]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [fdcef25b9c2b9595614716aac07cb5bf89879608]

cws tl79: merge with DEV300_m80


2010-06-05  tono  <tono@openoffice.org>  [d96f5f61e436423153994242aa229d497570bea1]

mingwport30: merge with DEV300 m80


2010-06-04  os  <os@openoffice.org>  [f7c1944a11b3128c62e1e4648136d7c8c9eef5ec]

#i103024# default tabs in non-relative mode in negative indents fixed


2010-06-04  os  <os@openoffice.org>  [8d40d462e9239929b8c3f3604996d4491fe4e675]

rebase to m80


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [78151b8490b5146e3f572e55852c826f4d92d18c]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Ingrid Halama  <iha@openoffice.org>  [3d459e584a52ed2a3f06b73b19f5f2695006ed43]

chart47: #i112111# disable broken api test


2010-06-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [ad29da789a5bb2fed95a95c841b26114b21db43b]

sw33bf05: #i111768# method <SwAccessiblePortionData::Special(..)> - include control characters


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [918e1dbb84a3b7c1c056cfa30c9ecb5b844ff1b2]

CWS-TOOLING: integrate CWS slidecopy


2010-06-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [c2cb8513d2acd010117cfc0863c2cee3829b6ef9]

sw33bf05: #i111681# method <SwNumRule::SetInvalidRule(..)> - making code robust


2010-06-03  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [19c5747df0a889970778266c53e73bec108d1eec]

merged CWS...


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7d7bdbcba5daa9c1be2af5efc6d81bb71fa0ce5b]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [5c8d733f224da976a2e2bba65616353bb98bbe1c]

fwk139: Merge changes


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bd09eae6495f4705d82493924cf8d67e7ad25ef7]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Oliver-Rainer Wittmann  <od@openoffice.org>  [dce15569e0bf80f0f123eb64d9b05b0e583c2c00]

sw33bf05: #i111750# method <SwFldPortion::Format(..)> - erase further control characters from field string to avoid layout loop


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [4b5c2bd021009396827d2ba0f24b707cf1816195]

fwk139: #i10000# avoid warnings on solaris


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [00298180d34537480507051549cdd70881f52e1b]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [895f273d0e30136f431f801dc1db93585a9061fe]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [c9d116fda2419a08d2a9610d54f2fcacd0f9efe6]

CWS-TOOLING: integrate CWS renaissance2


2010-06-03  Oliver-Rainer Wittmann  <od@openoffice.org>  [f47349a6bcb722a9fb9a0a31740850fc2f856b82]

sw33bf05: #i111964# - provide default sidebar position at <SwPageFrm> instance and include access guards for the anchor overlay object of annotations.


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [3c9e62c0d5ed8934342c448a64f194517c12490a]

tl78: #i110383# password to modify support for binary types only


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [684d285e5cf92b17e493107cceb7563cc6bd3725]

CWS mba33issues01: merge to m80


2010-06-01  Henning Brinkmann  <hbrinkm@openoffice.org>  [dd4c5f563af916775a54cc934e9884d053321ea3]

hb33issues01: merged DEV300_m80


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [2507e29bd427e7a6a1d10d6cbc7ea73874be07a3]

cws renaissance2: rebase m80


2010-06-01  hb  <hbrinkm@openoffice.org>  [2898dfd0e3c04f29c91dfac4b63fa3998e030fda]

hb33issues: merge


2010-06-01  Henning Brinkmann  <hbrinkm@openoffice.org>  [714ad7f113f6b3927cd417e406adffd02abb9b95]

hb33issues: #i111595# check for NULL pointer


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [960cbe622411daced925f1e9a26618bb6e70b996]

chart47: merge with DEV300_m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [0a4d98f9019562d174c575331a6f41b0b6ae30c9]

cmcfixes74: merge with DEV300 m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [278e89d22c480347180ed85250c5a77cb08cace1]

cmcfixes75: merge with DEV300 m80


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d72e9af4fb933ff0fb85e310f70d3cebd24fca95]

findbar01: Local merge with remote repo


2010-05-31  tono  <tono@openoffice.org>  [15707541a5ec0fe17b7303c6b97a378a6ae4dc9e]

i#111958: MinGW port enhancement: runtime-pseude-reloc-v2


2010-05-31  tono  <tono@openoffice.org>  [f86d25b36c690cc9279ca6b2bc09382594a388d9]

i#111956: MinGW port fix: dependency to shared library


2010-05-31  Henning Brinkmann  <hbrinkm@openoffice.org>  [3acd64dd65f95a0e1d765e1e4bcb850d575ba3f8]

hb33patches1: merged DEV300_m79


2010-05-31  Vladimir Glazunov  <vg@openoffice.org>  [8f943e727b1158cc8c11d74ea521ac1c2f9cb974]

#i10000# added missing headers


2010-05-31  hb  <hbrinkm@openoffice.org>  [aa2868fb6f39629b0df05dcce702b2b91406b3da]

hb33issues01: building errors in sw


2010-05-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [1bf48fa4f0a63b89c95f0fb5d9d09b1ca9bca682]

hb33issues01: merged DEV300_m79


2010-05-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [59346897bd4b908cae8c11959e6a7b77ac72f6f9]

#b6951450#

WW8TableInfo: Store information that text node is first in
 a table.
OutputTextNode: Output page break before on first paragraph in table,
 if table has page break before.
2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [ab274804f941ef80ed3d96a8a0da0fe95884e0c1]

CWS-TOOLING: integrate CWS hb33tablebylayout


2010-05-27  Oliver-Rainer Wittmann  <od@openoffice.org>  [981ab5ccebb9b573f927ccea7aee7bc7ec989409]

sw33bf04: #i111172# method <SwWrtShell::NumOrBulletOn(..)> - further adjustment of handling existing indent when current text node is already in a list.


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [c61fb6ddc501f7f0616c8c0cc34a0408e5daf626]

CWS-TOOLING: integrate CWS sb120


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [5421691f587859f16dbaefaa83303df04777723c]

cws tl79: merge with DEV300_m79


2010-05-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [75822d8a7c4780e007091d8d7ddfb64cd0968c90]

hb33issues01: #b6951450# export table spacing


2010-05-27  Wu Yan  <wuy@openoffice.org>  [8b3e46516f227f87a17a47bd3239808825e77d5b]

findbar01: #i111848#, #i111852# change title of findbar and show/hide the findbar according to specification


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [4986a9d0207450349c18686b7dd6e55ee33931cb]

fwk139: #i111034# integrate patch


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [e472521ce24bb9f7e205a5f7255c022d44fcb2e2]

cmcfixes74: merge with DEV300 m79


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [3c94c604112d85e60fa842ab00ee47d93ba47c8c]

cmcfixes74: #i110859 fix solaris compiler warning and disambiguate the AppendSeps


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [a4c0634619de2888e275d780b26fed4a81fc0fbe]

cmcfixes75: merge with DEV300 m79


2010-05-26  Carsten Driesner  <cd@openoffice.org>  [25ea490d03b909c0ebfb842641138e33a1e94731]

findbar01: Merge changes from m78


2010-05-26  Oliver-Rainer Wittmann  <od@openoffice.org>  [b20e1a1573d2fd5a2dfc269be3e9339766843886]

sw33bf04: merge with DEV300_m78


2010-05-25  Michael Stahl  <mst@openoffice.org>  [a7c2c622e4365fd98f28ca13f5235a19abce2dc2]

sw33bf04: #i111727#: SwDoc::DeleteRange should adjust cursors (via PaMCorrAbs)


2010-05-25  Michael Stahl  <mst@openoffice.org>  [3987cc446fb7e7ab6f64467afcc59621b3ae6460]

sw33bf04: #i111677#: prevent number string expansion in clipboard:  SwTxtNode: add member: number string cache.     [how to add this to SwNodeNum is not obvious, so add it to SwTxtNode.]  SwTxtNode::GetNumString(): use cached number string in clipboard.  SwTxtNode::CopyText(): cache source number string in clipboard.


2010-05-25  Michael Stahl  <mst@openoffice.org>  [673c68e31839571f9e31f6719ab39c65885e83cf]

sw33bf04: #i111677#: swdtflvr.cxx: call SetClipBoard() for clipboard docs


2010-05-25  Henning Brinkmann  <hbrinkm@openoffice.org>  [74516e30a63f68d793ef66f6afa7f302f0c5e5cc]

hb33issues01: merged DEV300_m78


2010-05-25  Thomas Lange [tl]  <tl@openoffice.org>  [ec3e52d44ef23a2023c527493b27d54f9bea7ef9]

cws tl79: #i110254# security tab page in 'File/Properties'


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f55e5e9f6a35b1b2b794eeb3998d27b818d66aa6]

unoawt: completely separated the controller functionality of a wizard page from the wizard page itself, by moving the canAdvance method from OWizardPage to the IWizardPage interface, which in this course has been renamed to IWizardPageController. This will later on allow to have implementations where the TabPage is provided by an external component (e.g. as UNO Service), but the controlling of those pages is still intercepted and handled internally.


2010-05-21  Michael Stahl  <mst@openoffice.org>  [966769301dad40137cb71724697eb14ae74341be]

sw33bf04: #i85766#: prevent field expansion in clipboard:  SwField: add a String member to cache the value.  SwField: wrap Expand() and Copy() methods to use/update cache.  update all callers to pass the clipboard flag to new SwField::ExpandField().


2010-05-21  Michael Stahl  <mst@openoffice.org>  [8f3bf8281479f4cdd8f65a53de66208f07fb77f7]

sw33bf04: #i58606#: ~SwExtTextInput(): do not do anything if in SwDoc dtor


2010-05-21  Malte Timmermann  <Malte.Timmermann@sun.com>  [e8011d697e0bd75013a38eeedef4c3a1bfe3693e]

mtclip01: #i111749# Removed SwMod::pClipboard, introduced SwTransferable::GetSWTransferable(...)


2010-05-21  Ivo Hinkelmann  <ihi@openoffice.org>  [7d4f5c86eb6337b1fc24146bb928d691b8c37341]

CWS-TOOLING: integrate CWS sw33bf03


2010-05-21  Thomas Lange [tl]  <tl@openoffice.org>  [222764ffefc2fb9daf8e3f79c41a815f3591bc85]

cws tl74: updating slots fixed


2010-05-20  Caolán McNamara  <cmc@openoffice.org>  [65387962ed1d5406461429c6489b250616182301]

cmcfixes75: #i111728# overly const warnings


2010-05-20  sb  <sb@openoffice.org>  [d60e626444303904612e5c0a84aaa7ccf8934c10]

sb120: merged in DEV300_m78


2010-05-20  Caolán McNamara  <cmc@openoffice.org>  [e0a28cc7f7193fbdedeb64ecef904dcd273b6b0c]

cmcfixes75: merge with DEV300 m78


2010-05-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [ddce325941be25382f7ade3c4fb72a682dab07ef]

hb33patches1: #i100709#: applied patch


2010-05-20  Vladimir Glazunov  <vg@openoffice.org>  [e05d9629eee06dac22fbcdbd05617d1b41aa901a]

CWS-TOOLING: integrate CWS sdfindall


2010-05-19  Thomas Lange [tl]  <tl@openoffice.org>  [f1d9fc466b96e54f80f9d29f6666c8b242c88e44]

cws tl79: #i110254# new security tap page in 'File/Properties'


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [8d28b7d4cdbe6db1dd220abb832638a8ac4a2c02]

CWS mba33issues01: #i99402#: typo RapairPackage


2010-05-18  Michael Stahl  <mst@openoffice.org>  [7c95004d871363c93485aea4d63c816db0f270c6]

sw33bf04: #i97421#: fix loop in AppendRedline:  SwUndoDelete::Redo(): recreate redline save data (based on patch by majun51).  SwDoc::AppendRedline(): fix loop on DELETE/INSERT without extent.


2010-05-17  Michael Stahl  <mst@openoffice.org>  [544a5b109986e0577ce0d007f9ecdd59ef6305db]

sw33bf04: #i101009#: doccomp.cxx: avoid creating redlines including EndOfContent


2010-05-17  Ivo Hinkelmann  <ihi@openoffice.org>  [a17368b2d3fc0a872c80459b0094b3602c2f1303]

#i10000# removed useless include


2010-05-17  sb  <sb@openoffice.org>  [c9ea2a0de3c3fd95ae73592e71f9905677b63e6e]

sb120: #i111220# disabled failing tests for now


2010-05-14  Oliver-Rainer Wittmann  <od@openoffice.org>  [137a5649dbe25d0551e6b7290c38915914519b58]

sw33bf04: #160026# method <WW8Export::DoComboBox(..)> - property "Help" does not exist and asking for it causes exception --> asking for property "HelpText"


2010-05-14  Michael Stahl  <mst@openoffice.org>  [d31c46db0a70e5e9baaf3f3a64c7fba2de846a0e]

sw33bf04: #i111177#: work around unxsols4 compiler bug


2010-05-12  sb  <sb@openoffice.org>  [cf7525c5a018d24ee959bac6c259ef71e55b3cd6]

sb120: #i111220# disabled failing tests for now


2010-05-12  Oliver-Rainer Wittmann  <od@openoffice.org>  [6b4fd7a0b6be9d4104d91d2b620f1bf57da0fee1]

sw33bf04: merging


2010-05-12  Oliver-Rainer Wittmann  <od@openoffice.org>  [b7b7d3cae2808c4df13d14e91c9d07cf496703c0]

sw33bf04: #i91658# method <SwHTMLTableLayout::GetBrowseWidth(..)> - remove unnecessary assertion


2010-05-12  Oliver-Rainer Wittmann  <od@openoffice.org>  [6d3ca69ced9f96d47dee4d184ff9a232b8cabad5]

sw33bf04: #i105562# - correct handling of empty set list style due to outline level attribute


2010-05-12  Henning Brinkmann  <hbrinkm@openoffice.org>  [d0d49414696149c8ecb15ef03f47b12ea395ad06]

tl78: get/set password to modify from SwDocShell


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [01d742abafaa5730a3ebaf138f83100d4306b91c]

#i10000# #i111317# linux non-pro build break


2010-05-11  Oliver-Rainer Wittmann  <od@openoffice.org>  [705241165bd1e107746990b566fe1a4b73f9922a]

#i105414# workaround in case that a paragraph only overrules the first line indent, but not the left indent of the applied list style


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [9f985270725117b020fe0a9c997e4fcda7334cc8]

fwk139: Rebase to DEV300m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [8b7486be92f275ce9f07a249d7f6a2789a6fb353]

cws tl80: merge with DEV300 m77


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [708bca0f1d5af440e5e56f31264716826b03947e]

CWS-TOOLING: integrate CWS npower14miscfixes


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [9b70288d9aa0b25151aadac9eac43e5fc3c698c6]

CWS-TOOLING: integrate CWS sw33a11y01


2010-05-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8c9bb3d7406dc58014a3969c66ba44e4f861f15b]

unoawt: merge after pulling from CWS slidecopy


2010-05-10  Michael Stahl  <mst@openoffice.org>  [f8b36015c7c9f1a72a9328c4673a2fb351542f11]

sw33bf04: #i111286#: clean up footnote cruft in SwTxtNode::CopyText()


2010-05-10  Michael Stahl  <mst@openoffice.org>  [97aa9f2bba4215d90c0918eed5ec24e0efa97ff9]

sw33bf04: #i111286#: crash when pasting footnote into frame (patch by dtardon)


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [2b820dc56e0fda0626bb1a1d14f426112311f9b9]

CWS-TOOLING: integrate CWS dtardon01


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [88ce07a999f2b0d316dd5354171e1bf4b5da3fff]

CWS-TOOLING: integrate CWS vcl110


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [df7da001b4f5318390d86563591c42978005a214]

CWS-TOOLING: integrate CWS odfmetadata4


2010-05-10  Mathias Bauer  <mba@openoffice.org>  [4fff7a7bc9e9e25540788fc57152c37a4ee093db]

CWS mba33issues01: #i93818#: prevent crash by not forwarding reference device


2010-05-07  Thomas Lange [tl]  <tl@openoffice.org>  [6cb77dbc711671d98be0dd0de969cf57169e090e]

cws tl74: #158766# problem with test tool fixed


2010-05-07  Thomas Lange [tl]  <tl@openoffice.org>  [0f05fe5096be6019d8fa89af94e67032ac4c2b89]

cws tl74: #158766# problem with test tool fixed


2010-05-06  Oliver-Rainer Wittmann  <od@openoffice.org>  [58f1e0cbd6b4b64b6f3af1a2cf5e23c678357f08]

#i103711# - workaround in case that a paragraph only overrules the left indent, but not the first line indent of the applied list style


2010-05-06  Oliver-Rainer Wittmann  <od@openoffice.org>  [104c42df7e106ef2d668f5929dbb356f06ac165a]

#i111172# method <SwWrtShell::NumOrBulletOn(..)> - adjust handling of existing indent in case that the text node is already inside a list.


2010-05-05  Oliver-Rainer Wittmann  <od@openoffice.org>  [7ff61b95227091b3ade0abc5df495fe52ec4454e]

#i111284# method <SwTxtMargin::CtorInitTxtMargin(..)> - correct treatment of list level indents


2010-05-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [83b1724f2e0f829bda9062a3efc970bab6b2576e]

#i101131# method <SwXNumberingRules::GetNumberingRuleByIndex(..)> - adjust conversion due to type mismatch


2010-05-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [b8869e6d59a335f1bbf0566445fc4f909f5bba84]

#i110750# - remove unused method <CheckPos(..)> - thx cmc


2010-05-03  hb  <hbrinkm@openoffice.org>  [a399c690d6d28de9cbef964420cd866a0661d4c6]

hb33tablebylayout: more fiddling with archticture dependant length of variables


2010-05-03  Henning Brinkmann  <hbrinkm@openoffice.org>  [ae0a9edee9acd1204c11841ea7d3e5822520eeb9]

hb33tablebylayout: #i110135# handle compiler warnings


2010-05-03  sb  <sb@openoffice.org>  [a8c2bec11231caafcc20e838e62c29d40c6826b6]

sb120: #i111332# disabled failing tests for now


2010-04-30  Henning Brinkmann  <hbrinkm@openoffice.org>  [4876ff8d35eabfd2559c1c309381b56a6f9f05fc]

hb33tablebylayou: #i110135# transplanted changes from OOO320


2010-04-30  sb  <sb@openoffice.org>  [2d06e18c8fda2ea462ba5ecda8a1cac0bdbdb76c]

sb120: #i111273# disabled failing tests for now


2010-04-29  Michael Stahl  <mst@openoffice.org>  [98c23f0ef2290956347a93805dcc9af803e28466]

sw33bf03: #i110454#: fix wntmsci12 build


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [8bce6f79904b09190febade418af9a3c52952c74]

cws tl78: merge with DEV300 m77


2010-04-29  sb  <sb@openoffice.org>  [51ae86c979d4d69ea7dff6d87fd806ccead134d9]

sb120: #i111249# avoid dereferencing null pointers


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [9140787c117fc3a43693d8b839207fe5da4bdbd3]

cws tl80: #i98575# memory leak fixed


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [b49e216bf103a3566fcbdd8eb989f682851b11db]

renaissance2: rebase m77


2010-04-28  Michael Stahl  <mst@openoffice.org>  [27bf4a7f0b5b4b182ef40553189e040b0a852c38]

merge DEV300_m77


2010-04-28  Michael Stahl  <mst@openoffice.org>  [b70579fa36aba012eed00bba758553623e59f4a0]

sw33bf03: #i110454#: try to fix harebrained lifecycle of Writer_Impl


2010-04-28  Wu Yan  <wuy@openoffice.org>  [73e0ad507b6230812f66f3354109ad7a6a16f98e]

findbar01: enhancements for findbar


2010-04-28  sb  <sb@openoffice.org>  [b15801966e9269f668cceec572360a045e54ded5]

sb120: #i111220# disabled failing tests for now


2010-04-28  Michael Stahl  <mst@openoffice.org>  [df79055f13466284bd6172acdf51d41b0acf76d5]

sw33bf03: #i110454#: fix warning by moving member to Impl struct


2010-04-28  sb  <sb@openoffice.org>  [869195d102746876eacc9625fdd2365a14953591]

sb120: #i111218# disabled failing tests for now


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [3fb0c03aa91784140de6b8d10179c1e647911248]

cws tl79: merge


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [fdef3e80c75cc006744c85d09c28c685dd977d9f]

cws tl80: #162104# remove Writer easter egg


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [b3c7c963796cebd152e2988c7b17e0db8a910ef3]

gridcontrol_03: merge with DEV300_m77


2010-04-27  sb  <sb@openoffice.org>  [fa1d0aff16c726923c8c71eca579aeec075e75f5]

sb120: #i111197# disabled failing tests for now


2010-04-27  sb  <sb@openoffice.org>  [5ee5ae85a05c97e4d74324b1d6604ad7c913c8ef]

sb120: #i111194# disabled failing tests for now


2010-04-27  Michael Stahl  <mst@openoffice.org>  [b6eedebf0b625ab759b8f68e47af4ce9b52eb616]

merge DEV300_m77


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [45b4a00f30c423bb2fc48a0c6f3a209c4ce20b99]

cws tl79: merge with DEV300_m77


2010-04-27  sb  <sb@openoffice.org>  [619c87292e2e6efe80d17873f2f51749a2294a71]

sb120: #i111190# disabled failing tests for now


2010-04-27  sb  <sb@openoffice.org>  [34d6ac2004ec2bad06d0493fd267ff7fe9033541]

sb120: #i111186# disabled failing tests for now


2010-04-27  sb  <sb@openoffice.org>  [9efbc70835c3d3cf8f67350033f239c7bb8f7311]

sb120: #i111185# disabled failing tests for now


2010-04-27  sb  <sb@openoffice.org>  [d4f588208a46193a1f0a290f62eadffc877478a0]

sb120: #i111178# disabled failing tests for now


2010-04-26  Michael Stahl  <mst@openoffice.org>  [749f45cb226b0bbd1982c03f47591e554088cfb9]

sw33bf03: #i108345# SwTxtNode::FmtToTxtAttr(): apply patch by dtardon:  create automatic char. styles correctly


2010-04-26  Michael Stahl  <mst@openoffice.org>  [7fb27f9df4cb21467692ca077669a64ffd539586]

sw33bf03: #i108345#: SwpHintsArray::Check(): check for overlapping AUTOFMT


2010-04-23  Thomas Lange [tl]  <tl@openoffice.org>  [148d41581ca3de670e78cc956cd1910ec68e61e0]

cws tl80: #i109020# 'nospace' command added


2010-04-23  Thomas Lange [tl]  <tl@openoffice.org>  [1f181f252cb04a9a61e75127f133d37583c846ad]

cws tl80: #i110180# printing options UI fixed


2010-04-22  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0c5ed170e71a13133cf8730fa3083d52bea07287]

cbosdo03: merge with DEV300_m77


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2f191408658302d5fbc8619a77164c4c333ab3f1]

slidecopy: removed accelerator/*/default.xml - they're not used for a long time now ... (accelerator config is now in Accelerators.xcu in officecfg. No need to confuse people with those dead files)


2010-04-22  Thomas Lange [tl]  <tl@openoffice.org>  [8e444939ac6d24a66eb359b126e433a397ba4d73]

cws tl80: #i110341# problems with spell check dialog fixed


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [106ba532700ad43305d7f59b82475bcb76c8c57e]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [0d93d66e1c85ac83218784edb6696d6842c9ea9c]

sb120: merged in DEV300_m77


2010-04-21  Henning Brinkmann  <hbrinkm@openoffice.org>  [8390211e4aaf1bda483a869b67ffbd67a5a34983]

hb33patches1: #i111038# applied patch and verified


2010-04-21  os  <os@openoffice.org>  [0ede2ba60325cbbe193e5bd248693e623ede4325]

change of issue 107843 merged


2010-04-21  os  <os@openoffice.org>  [11b324cc6564b4803dc2f22df3b99203d117e615]

rebase to m76


2010-04-20  Jens-Heiner Rechtien  <hr@openoffice.org>  [0cb776d2f4613762487a3d6f90e90d1cbd5ff389]

DEV300 masterfix: #i10000#: fix include because SvxPaperBinItem has been moved to editeng


2010-04-20  Thomas Lange [tl]  <tl@openoffice.org>  [6e1c05666d485915361f5814f9dcaebdb64bf724]

cws tl80: #i106004# selection window title changed


2010-04-19  Michael Stahl  <mst@openoffice.org>  [6cf700b7ed95a645644692164938a54b1907bbb4]

sw33bf03: #i110655#: SwRect::Justify(): fix regression from #i106401#


2010-04-19  Michael Stahl  <mst@openoffice.org>  [aa0279e08699df769f52d7e4ec083638124c25d6]

sw33bf03: #i110586#: use proper which range for autoformat item set


2010-04-19  Michael Stahl  <mst@openoffice.org>  [151e03f9420ab29586bb2bbc820e81d76b4a50b4]

sw33bf03: #i104585#: copy outline numbering rule to clipboard


2010-04-19  Michael Stahl  <mst@openoffice.org>  [9b070b75f0f1e0d1620bbc51943a6300533c80db]

sw33bf03: #i110241#: revert change from writerfilter32bugfixes01  this will break import of certain "format" redlines.


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d7316b0c59d13675f215431646a303dabe840e7f]

slidecopy: now using SID_TASK_PANE in all applications, also in Impress. Implies registering the respective child window in the apps, not in SFX. Also implies getting rid of SID_RIGHT_PANE in Impress. Also, renamed SID_TASK_PANE in Impress to SID_SHOW_TOOL_PANEL, which better fits its purpose, and avoids confusion with SID_TASKPANE.


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8b4e788c57b5f07b96624fdf19a947c706d78ad0]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [45d45d24ba1dfeb8cbb91665e8b44d971a67e1fd]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [e93f0ea453232f9b17e3aa25e1096e3f1b5dfb51]

CWS-TOOLING: integrate CWS sb118


2010-04-14  sb  <sb@openoffice.org>  [97c82f30d4ed262994af30cdff94cd5bb48a73e3]

sb118: merged in backout


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [dbb0cfc25df81ef3b7aa5fa6731e73e31d43fc4f]

cws tl74: merge with DEV300 m76


2010-04-14  Caolán McNamara  <cmc@openoffice.org>  [7dac29d714133c1d8f12979f40ea8b600463407f]

cmcfixes74: #i110859 fix lowhanging ww8 cppcheck warnings


2010-04-13  Caolán McNamara  <cmc@openoffice.org>  [8f2d4275a9654b3b5ba1e924772ade49513cf738]

sdfindall: #i110565 revert this one to regain icons


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d0424493c249ae87028e6d0ba96d9f5d315b1969]

slidecopy: merge


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [6a2ce4a46fa3515a30df9d28ec89cb57e3b760ce]

sdfindall: merge with DEV300 m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [c080da8ab7284d260e32f18c80c1b53b420a06d9]

cmcfixes74: #i110814 make ww8 .doc font importer a little more robust


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [58f6eee9194c6b6ab22c24c42af6da92daab5755]

cmcfixes74: #i110565 use radio buttons for mutually exclusive options in menus


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [ee55a8a5e0bc11f2b23c5b501dd5cb7966bcc30a]

cmcfixes74: #i110565 move the radiobuttons work to sdfindall


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [368eed71f60e2c7ebd034da84508bffb4248b137]

renaissance2: rebase m76


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [ceff704696a742ad8b7013ecb19fca0611264917]

cmcfixes74: merge with DEV300 m76


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [bc1711996a949d23e517abfd2b780f3099c05860]

cmcfixes74: #i110565 consistently set the menus to be checkboxes if the entries are mutually exclusive and one entry is set


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [ba25912f8b761edd04084f2a1230c2d3fc6ea449]

cmcfixes74: #i110565 set first paragraph to explicitly be a checkbox


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [a463e24b2920e5c89e3899f658708cfcb087c9fe]

cmcfixes74: #i110565 use checkboxes in popupmenus for mutually exclusive options instead of checkboxes


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [781b6f1a3f6dd1481d912263e00de62dbd4b2d71]

cmcfixes74: #i110565 use checkboxes in menus for mutually exclusive options instead of checkboxes


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d0b8689ca4703c8dcdebe93405b048051fec30a9]

slidecopy: add SID_TASKPANE support to Calc, Writer/Web, Writer/Global, Math, Writer/Form, Writer/Report, XMLForm


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0592c34ef818bc5e69592ea8ec1557cd37c1e531]

slidecopy: initial, empty ToolPanelDeck in a TaskPane (docking) window


2010-04-07  sb  <sb@openoffice.org>  [05a3a2384426cbd6f66f6c493939f9aba95afe47]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-06  Henning Brinkmann  <hbrinkm@openoffice.org>  [b73e368c95edb535f4c569a786d96d116f1ccf6d]

hb33patches1: #i110560# applied patch


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [317bb39133c33519ffb6ee00a27dba1ee5b6e171]

tl78: #i110383# support password to modify


2010-03-30  Michael Stahl  <mst@openoffice.org>  [f503cdd6afb46fac562752c35838f22905b7f9dc]

sw33bf03: #i110455#: fix inverted ASSERT in MSWordStyles::WriteProperties()


2010-03-30  Michael Stahl  <mst@openoffice.org>  [95b066f9f2faebedad4080aa92eb0e80ad314ed3]

sw33bf03: #i110454#: fix ASSERT from WW8Export::ExportDocument_Impl()


2010-03-30  Henning Brinkmann  <hbrinkm@openoffice.org>  [28fc6057917b949cc63a4b233ffc6b6ed368bea8]

hb33patches1: #i110463# applied patch and verified


2010-03-26  Michael Stahl  <mst@openoffice.org>  [69876b1976f69d358f0efdf1365483cbbe90a204]

sw33bf03: #i110408#: SwXFlatParagraph: apply patch by dtardon


2010-03-25  Christian Lippka  <christian.lippka@sun.com>  [f9785425cdd1fd817e45e394385d77605700ad6a]

merging


2010-03-25  Christian Lippka  <cl@openoffice.org>  [ad249b54bf4e70699d9a4ebca76d03ac331ada4a]

reworked ExtrusionDepthContoller to use toolbarmenu again


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [d71998152137c6547b8b735fe5358522fc75faa4]

cws tl78: merge with DEV300_m75


2010-03-24  Vladimir Glazunov  <vg@openoffice.org>  [69fdfa4f91c220902592c26fa9f58ae8c1033176]

CWS-TOOLING: integrate CWS mtaccfixes


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [b128939805b6b1598c9d8776c0bbef4dfca27f52]

cws tl74: merge with DEV300_m75


2010-03-23  Mihaela Kedikova  <misheto@openoffice.org>  [de38999b6fa24c3a05083f0a22575e04014310b2]

gridcontrol_03: merge with DEV300_m75


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [e5c150fccaac17c47893884615fcb323545a6b60]

CWS-TOOLING: integrate CWS autorecovery


2010-03-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [359c6dfc64001a908247bf37754fc5e9a1b56abe]

hb33patches1: merged DEV300_m75


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [7e675a6d3e002c361765ac73a5ff64d3ab676bb2]

CWS-TOOLING: integrate CWS sw33bf02


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [96e54e6b4c84966c661721cd90c1dad3777fb641]

CWS-TOOLING: integrate CWS aw079


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [8addc36f5587b0064a6638c37756c9b2bafd8091]

npower14miscfixes: merge with DEV300_m75


2010-03-21  Christian Lippka  <cl@openoffice.org>  [e75f5ddda0999e2851cce85188572debcf206e4f]

Adding PopupMenuController to allow PopupMenuControllerBase dervivates to be used in toolbars


2010-03-19  Kurt Zenker  <kz@openoffice.org>  [725728a3091ec3f812a6c6988d8f3753ea1f82f7]

c07v027: #i10000# change include svl/svstdarr.hxx to svtools/svstdarr.hxx


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [1e8b3e56c333f2a5a18447202de20ef151d2459d]

CWS-TOOLING: integrate CWS cbosdo05


2010-03-19  hb  <hbrinkm@openoffice.org>  [b0f87ff2f6519cdc0320ff4b297a4f3a0f3c7011]

sw321bf01: #i109284# moved changes form hb33issues01


2010-03-19  Thomas Lange [tl]  <tl@openoffice.org>  [2d6437a056acb00a4b67c969b4e21730edc52150]

cws tl79: #i110254# new 'Security' tab page


2010-03-18  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [a94361d3a6c0689eb2c167499212b07f9a17465f]

aw079: rebase to m75


2010-03-18  Henning Brinkmann  <hbrinkm@openoffice.org>  [e4fcd04b5d5ad374b410b7c4bcba9221e37c07a2]

hb33issues01: merged DEV300_m75


2010-03-17  Michael Stahl  <mst@openoffice.org>  [e1395fc0cf7b6b768aa37c0f5625ae4f115991b2]

sw33bf03: #i109921#: sw: unnecessary null checks: apply patch by cmc


2010-03-17  Michael Stahl  <mst@openoffice.org>  [5e4d820d2b55adc2f7e5a7e85b466cb77bdf88d6]

odfmetadata4: #i109599#,#i109600#: add test doc for xml:id on section/index


2010-03-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [0a9ea8ee0fec2e1e5f5a2fdfd2290902bc69964e]

merge with DEV300_m75


2010-03-16  Michael Stahl  <mst@openoffice.org>  [8468b556d18f1b3f30a81024a40c5e8fe7d87d2e]

sw33bf03: #i110140#: SwFldFmt::Modify: apply patch by cmc


2010-03-16  Michael Stahl  <mst@openoffice.org>  [8caa6ce3fd0757f2793a3346629cf7a2201bcb64]

sw33bf03: #i110140#: sw: ~SwTxtFld: unregister at field format


2010-03-16  Michael Stahl  <mst@openoffice.org>  [46fc2593884bdd9d47f469ea116435267e231185]

odfmetadata4: #i109599#,#i109600#: add test for xml:id on section/index


2010-03-16  Michael Stahl  <mst@openoffice.org>  [7fcc2af8120953f05d13a0a1145caf05c9fd4340]

odfmetadata4: #i109600#: SwXDocumentIndex: add support for xml:id.


2010-03-16  Michael Stahl  <mst@openoffice.org>  [d8322eb5fa7065bf2fc69c46cf72b986ab1e19ea]

odfmetadata4: #i109599#: SwXTextSection: add support for xml:id.


2010-03-16  Michael Stahl  <mst@openoffice.org>  [e5ad09dcac0af605bc9b15bd65018c40bcaf3bc2]

odfmetadata4: #i109599#,#i109600#: copy and undo for section xml:id.  SwSectionNode::MakeCopy(): copy xml:id.  SwUndoDelSection: store xml:id.


2010-03-16  Michael Stahl  <mst@openoffice.org>  [5d69294eef504a8cbd4217825ce96c32b4ba332d]

odfmetadata4: #i109599#,#i109600#: SwSectionFmt: support for xml:id at section.


2010-03-16  Michael Stahl  <mst@openoffice.org>  [81ff3f31f2804c07217e0fc9a10664485d055b8e]

odfmetadata4: #i109599#: remove SwSection::_GetSection()


2010-03-16  Michael Stahl  <mst@openoffice.org>  [12c4f45f59dc9ee76dfe43e37d2cc5ad0b5f32ad]

odfmetadata4: #i109117#: fix crash in SwXTextSection::setPropertyToDefault()


2010-03-16  Michael Stahl  <mst@openoffice.org>  [693cf865b7a27065874d3e322d7d9072049fed92]

odfmetadata4: #i109599#: move class SectRepr to uiregionsw.cxx


2010-03-16  Michael Stahl  <mst@openoffice.org>  [5f7092fdb3e2caa5954e081f6070aa038e265c1d]

odfmetadata4: remove obsolete macros OUT_HSTR_HINT and OUT_UNDOBJ


2010-03-16  Michael Stahl  <mst@openoffice.org>  [75a2e555813af1096fb753a4fa8fb6ca17c6f26d]

odfmetadata4: #i109599#: clean up SwUndoChgSection, and move it to unsect.cxx


2010-03-16  Michael Stahl  <mst@openoffice.org>  [4d29a99a9894a83715dfe9f8f5f703870207e1b2]

odfmetadata4: #i109599#: clean up SwUndoDelSection, and move it to unsect.cxx


2010-03-16  Michael Stahl  <mst@openoffice.org>  [1ee901bd54bafd23d4d9f45bd6bb65f2df6c7877]

odfmetadata4: #i109599#: clean up SwUndoInsSection


2010-03-16  Michael Stahl  <mst@openoffice.org>  [2a235750daf638b57c8e6b70970c13b3155c9bc9]

odfmetadata4: #i109599#: make SwSectionNode::pSection member const


2010-03-16  Michael Stahl  <mst@openoffice.org>  [ba03bd73688a3c65c8073a9f31b6738b529f77ba]

odfmetadata4: #i109599#: rename SwSection members


2010-03-16  Michael Stahl  <mst@openoffice.org>  [53c7ea55c3ee78ceea4bc8a1cfd6f685377ea1b4]

odfmetadata4: #i109599#: rename SwSection::[GS]etName() to [GS]etSectionName()


2010-03-16  Michael Stahl  <mst@openoffice.org>  [784e25125deeb0bdcd9da2618a783b374e90e37b]

odfmetadata4: #i109599#: remove SwSection::operator=():  move most SwSection members to new class SwSectionData.  replace evil SwSection::operator=() with SwSection::SetSectionData().  various method signatures changed to take SwSectionData parameter.  rename SwDoc::ChgSection() to UpdateSection().  SwUnodo{Ins,Chg,Del}Section: adapt to store SwSectionData/SwTOXBase.  regionsw.hxx: SectRepr: change SwSection member to SwSectionData.


2010-03-16  Michael Stahl  <mst@openoffice.org>  [74e7b72ce3531b793277124b93578aa5ee90155f]

odfmetadata4: #i109600#: refactor insertion of TOX:  SwDoc::InsertTableOf(): do not create a SwTOXBaseSection.  SwNodes::InsertTextSection(): take SwTOXBase parameter.  SwSectionNode ctor: if SwTOXBase is given, create SwTOXBaseSection.  remove gross hack SwSectionNode::SetNewSection().  SwUnodo{Ins,Del}Section: adapt to store SwSection/SwTOXBase.


2010-03-16  Oliver-Rainer Wittmann  <od@openoffice.org>  [9973cd175e26cf064f43d5c4140b6621720b6a75]

sw321bf01: #b6921213# - No keep of footnote portion with previous portion, if text line only contains footnote portions


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [7a3a0ca9844cf25abb1b2f944f7f0c53d6ba5bb4]

CWS-TOOLING: integrate CWS dtardon02


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [8bbd9662a33c709ce3e8a410d4d32f3e4a096096]

CWS-TOOLING: integrate CWS writerfilter07


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [218b9fbea9ebed99ca4d37399a49d5a65fd66828]

CWS-TOOLING: integrate CWS ppp02


2010-03-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [ece8d7b09ffca05b3f59a4294cb284e05feeaae5]

writerfilter07: merged DEV300_m75


2010-03-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [eb0e12b2e541dae583e4dafac97b0694318a7b73]

 ppp02: #i108824# string updates


2010-03-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2660337e821f6f4ef677993fec194e900f69bb64]

[cbosdo05] Fixed a usability problem introduced by cbosdo01

Removing the non-breaking space when the character typed immediately after the
punctuation mark if the last character typed isn't a blank.
2010-03-15  Michael Stahl  <mst@openoffice.org>  [4d2495628dc3882992412a52afc59e2b69e0e1cf]

sw33bf03: #i110144#: sw: ascii export: add space after list label


2010-03-15  Michael Stahl  <mst@openoffice.org>  [9ee8828cef7dbb0edc9506d2e96422d59a78041d]

odfmetadata4: sfx2::Metadatable: split CreateUndo() into 2 methods


2010-03-15  Michael Stahl  <mst@openoffice.org>  [2de4e7cadfbc57223726083bfdf65c32a4c59f49]

odfmetadata4: #i110070#: XMLTextImportHelper:  clean up: move all members to Impl structs.  replace const OUString members with function static OUStrings.  move XMLTextImportHelper::GetTextFieldAttrTokenMap to txtimp.cxx.


2010-03-15  Michael Stahl  <mst@openoffice.org>  [fa2d28a3d2d094a0c7c9d5be293bbf54d065af9e]

odfmetadata4: #i110070#: fix import of RDFa on text:bookmark-start:  XMLTextImportHelper: store parsed RDFa attributes in bookmark map.  XMLTextMarkImportContext::EndElement(): handle RDFa attributes properly.  TextPortionEnumerationTest: add test for bookmark xml:id and RDFa.


2010-03-15  Michael Stahl  <mst@openoffice.org>  [8a62257d86e9b38e8f8aece657ed7b74c3932910]

odfmetadata4: #i109983#: SwXDocumentIndexMark:  prevent setPropertyValue() and setMarkEntry() from calling disposing()  on listeners, and from un-registering at the SwTOXType.


2010-03-15  Michael Stahl  <mst@openoffice.org>  [754e2b281a0fa1c03bed0d4a566c8c9d5648894d]

odfmetadata4: #i107672#: SwXDocumentIndexMark: fix regression


2010-03-12  Christian Lippka  <christian.lippka@sun.com>  [679617e5cc63e4c6b2545c8d398568a5ebe3b956]

renaissance2: merge to m73


2010-03-12  David Tardon  <dtardon@openoffice.org>  [22bda44bf4970cff080b7aaa2f33439861c6ddaf]

dtardon02: #i108503# #i108505# #i108507# #i108508# #i110035# clean up makefiles and #includes


2010-03-12  David Tardon  <dtardon@openoffice.org>  [ee213918f20a051ce2528efbd2c03ebb1122de81]

dtardon02: #i18508# revert errorneously removed file in sw


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a25c3f5d7b47120b4b48d518fd97e81ed8f4e83f]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-03-11  David Tardon  <dtardon@openoffice.org>  [3ca2739b0efb3de7fccdd074a965da8fba9c38df]

dtardon02: #i108508# remove empty files in sw


2010-03-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [268c37577d063020397ebc4fb024818de87e1a56]

sw33bf02: adjustments due to merge with DEV300_m74


2010-03-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [ea36eec622061f83dca479b39a4aac274e3f05d4]

sw33bf02: merge with DEV300_m74


2010-03-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [cd57a8a3aee5d85bd2640daded02092857272cd2]

sw33a11y01: merge with DEV300_m74


2010-03-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [44e81015d695c1e29b7c3bcbb48cb635c167b065]

sw33a11y01: #i87532# - method <SwAccessibleTable::getAccessibleColumnDescription(..)> - provide text content of corresponding table cell of column table header


2010-03-10  David Tardon  <dtardon@openoffice.org>  [522c7b11094427d5ffc38d3851d3431a386e5b20]

dtardon01: update to DEV300_m74


2010-03-09  Oliver-Rainer Wittmann  <od@openoffice.org>  [dac8f64adeddd1cd30e076387c4b953fa1150761]

sw33a11y01 #i92233# - provide mm to pixel ratio as default paragraph attribute at Writer's implementation of <XAccessibleTextAttributes> for paragraphs


2010-03-09  Michael Stahl  <mst@openoffice.org>  [ea656d2a55e73def6197d76bc8b5370cf56e0ae0]

odfmetadata4: #i109601#: add parent link to SwXMeta:  SwTxtNode::GetTxtAttrAt: add another mode for getting parent of a meta.  SwXMeta: implement interface css::container::XChild.  SwXMeta::getText(): return this (for consistency with other XTexts).  TextPortionEnumerationTest: add test for XChild and NestedTextContent.


2010-03-09  Michael Stahl  <mst@openoffice.org>  [6ac4bdaa61a4b78481c735f5e83d17deb9c4ab44]

odfmetadata4: #i109601#: add cursor property "NestedTextContent":  cmdid.h: add FN_UNO_NESTED_TEXT_CONTENT.  SwUnoCursorHelper: add GetNestedTextContent().  enum SwPropNameIds: add UNO_NAME_NESTED_TEXT_CONTENT.  SwUnoCursorHelper::getCrsrPropertyValue(): handle "NestedTextContent".


2010-03-09  Michael Stahl  <mst@openoffice.org>  [2002cec82fdfb7b694f4f420e4378100b9964532]

odfmetadata4: #i107672#: SwX{Reference,DocumentIndex}Mark attach to right fmt:  replace SwTxtNode::GetTxtAttr() with methods:   GetTxtAttrAt() handles only those hints where only 1 can be at same position.   GetTxtAttrsAt() handles all hints and returns a vector.  refactor SwXDocumentIndexMark to create InsertTOXMark() method.


2010-03-09  Michael Stahl  <mst@openoffice.org>  [9e74c0895b73f6304ef4bee824699789eee730ce]

odfmetadata4: #i109787#: make SwIndex constructor explicit


2010-03-08  sb  <sb@openoffice.org>  [04e1421cc62406f2c6b375ddb3fcb6edc137b670]

sb118: #i109917# disabled fragile unoapi test


2010-03-04  sb  <sb@openoffice.org>  [d6de4ef66324e35792b1efbfdee8f5cfe9850930]

merged in re/DEV300_next towards DEV300_m74


2010-03-04  sb  <sb@openoffice.org>  [61c5a62373b3852752170ab0592affdf94dc5e1f]

sb118: #i109791# improved CPPUNIT_CFLAGS handling


2010-03-04  Ivo Hinkelmann  <ihi@openoffice.org>  [6d466e187b459263b41a33122bb7cd244bd1ea1c]

#i10000# build fix (missing includes etc )


2010-03-04  Ivo Hinkelmann  <ihi@openoffice.org>  [80d15cc8d4053f121707248070cba9047e58c36c]

#i10000# build fix (missing includes etc )


2010-03-04  Ivo Hinkelmann  <ihi@openoffice.org>  [7eb1725e0b7f29a58e8f277cd75b9f36bec75fc0]

#i10000# build fix (missing includes etc )


2010-03-04  Rene Engelhard  <rene@openoffice.org>  [7c96c23b51ece5ae038ef72fd3f7fc8f35e143b4]

sb118: add missing CFLAGS+= $(CPPUNIT_CFLAGS) to loads of other makefiles, too


2010-03-03  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [326c94dad1684a1523f21ea476294348dcf49a04]

fixed some rebase issues


2010-03-03  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8c2c5543a67de48606146aa149a3242cdd208a7f]

cbosdo03: rebased with m73 and removed some printfs


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [612dbdf15f062afca909fd8f91e9a6e76d489f7a]

CWS-TOOLING: integrate CWS chartshapes


2010-03-02  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [b59790a02f4c65e16570ddfcf93e416cd37f65d6]

mtaccfixes: merge with DEV300_m73


2010-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [8706946b7fbd965cfb279a54e105732779e3e9dc]

CWS-TOOLING: integrate CWS cbosdo02


2010-03-01  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [9beced7426fa4caeb3eb5a30de4eef3ad1333f44]

ppp02: #i109540# adapt print monitor to new workflow


2010-03-01  Thomas Benisch  <tbe@openoffice.org>  [d26093dd97b48edb4f563921353c89f986d24824]

chartshapes: merge with DEV300_m72


2010-03-01  Thomas Lange [tl]  <tl@openoffice.org>  [bf8508c1c07fcc10c7ad192bd0775a6bc909d95c]

cws tl74: include statements fixed


2010-02-27  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [68d77132bb7278e49ad835b99e183c57b4c0924c]

vcl110: #i90907# new IsDeltaPixel function on CommandWheelData


2010-02-27  David Tardon  <dtardon@openoffice.org>  [c3ab175e35f824f42f032c6cf2109a0823472732]

dtardon01: update to DEV300_m72


2010-02-26  npower Developer  <npower@openoffice.org>  [02e7e12562b6ac6df238004c7a3c0fc8ca9b3d43]

npower14miscfixes: #i109644# don't load vba stuff for odf document ( untill you go into vbamode in basic )


2010-02-26  Oliver-Rainer Wittmann  <od@openoffice.org>  [6b2871554495820398e2724d6fe118eee65c450c]

sw33bf03: #i100611#,#i107834# - method <SwFntObj::CreateScrFont(..)> - remove adjustment to determined screen due to an arbitrary text string rendering and                                 apply cmc's patch to preserve "faked" font properties (weight and italic)


2010-02-26  npower Developer  <npower@openoffice.org>  [b21e68e5b83e5111691ff1c3cf651317e784bb69]

npower14miscfixes: #i107591# apply caolans' fix for removing unused methods


2010-02-26  npower Developer  <npower@openoffice.org>  [be0a7a746b534ec41a4313c830b15da6eec0c341]

npower14miscfixes: #i108853# fix build break


2010-02-26  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f4348c5a54cf20c406b19dc758b6a4f6dd64398c]

fix a warning


2010-02-26  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [890a68501e2e62f829571651c832517c42fef90b]

fix unused variables


2010-02-26  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [6da189f7428b2bea1cc2a9ebfd383cff9f4e50c4]

ppp02: #i109540# fix mail merge (thanks os)


2010-02-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d232a02125d3ba6da5bc509f124247f49613e07e]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-02-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5460e9c13732b7aa4a51422cb4354876cafd2d94]

dba33f: #i108712# setPrinter: always set MAP_TWIP


2010-02-26  Thomas Lange [tl]  <tl@openoffice.org>  [74b61e4da8557c6b08e9712bd0f7d866bd2e9dea]

cws tl74: merge with DEV300_m72


2010-02-25  Oliver-Rainer Wittmann  <od@openoffice.org>  [99ae3571f528bfca68149d34dc334916239ce97b]

sw33a11y01: merge with DEV300_m72, resolution of merge conflicts, adjustments due to changes on master


2010-02-25  sb  <sb@openoffice.org>  [000faf58e9c3bde373af8ad1ee6b74f2c5e18874]

sb118: merged in DEV300_m72


2010-02-24  Oliver-Rainer Wittmann  <od@openoffice.org>  [47ae407a5a3779dde78871b9599d3c293a1d57b4]

sw33a11y01: #i108125# - include new source file <parachangetrackinfo.cxx> into the exception files.


2010-02-24  Oliver-Rainer Wittmann  <od@openoffice.org>  [c80464e5c508d3294d516b45a1c8a6ae4ad8f9da]

sw33a11y01: #i108125# - provide tracked changes of type insertion, deletion and format change at a paragraph as text markup at the UNO-A11y-API


2010-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [47e32fab31a8756397874a7d0ee3abdccfd10954]

merge


2010-02-23  Thomas Lange [tl]  <tl@openoffice.org>  [400e88eee597ce36432562f8825fa484c3b19c28]

cws ppp02: merge


2010-02-23  Thomas Lange [tl]  <tl@openoffice.org>  [30e69cabf5b35afa60aed107b0a77e31c379fb77]

#i103700# empty pages and 'print selection'


2010-02-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [644fa6c0fc8cc952f19c2d754ee4f540f12fdb3a]

hb33issues01: merged DEV300_m71


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [de456ad8b9fb1195511fd7646258e35d35c08501]

dba33f: use Ctrl-F5 to toggle the focus between a control and the document. At least in Writer. In this course, SID_FM_GRABCONTROLFOCUS has been renamed to SID_FM_TOGGLECONTROLFOCUS (with the UNO slot name also being affected.). Also, now Writer handles the SID_FM_TOGGLECONTROLFOCUS slot (instead of the FmFormShell), and calls the newly introduced ToggleControlFocus at the FmFormShell. A part of SwFEShell::GotoObj has been outsourced into SwFEShell::GetBestObject, which now can deliver the object (not only object group) of the given type, which is neares to the current position.


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2f2c66a2f9994401780daf36618292d7c7a8f230]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [5cd1eb69b21d07b00803cfe46c662c47e9636c69]

ppp02: #i109401# use correct page range


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [af08369ab07abb1afd62154bca8522ae7afab293]

dba33f: #i108572# SwXShape::AddExistingShapeToFmt: allow for the given SdrObject to be an object list, and iterate over all elements


2010-02-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [dba46497815e56d1c877bf7fc3193d4cba46fad0]

ppp02: #i108327# set papertray if necessary


2010-02-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [76beed7ef2d7350be933c53b9c8c3f76e09624ed]

fix a return value issue


2010-02-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [9c35ee440d3f1c96047c33ae3fa11a496fc63341]

merge


2010-02-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [47a26b7a464581f8b0dfed2f95fc733e50b79381]

fix a snafu


2010-02-18  Oliver-Rainer Wittmann  <od@openoffice.org>  [aa9fad34a667c48582442803f3c704afa7342217]

sw33a11y01: #i103961# - correct notification of accessible objects for insertion and deletion of table cells


2010-02-17  Thomas Lange [tl]  <tl@openoffice.org>  [c7cb3380c8d14795e6c38bfee6785c1d6a2ed4a4]

#i108805# patch for crash applied


2010-02-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [79e0acda8d95fcac79a42181d25b1aa6cffde74e]

hb33patches1: merged #i109325#


2010-02-17  Henning Brinkmann  <hbrinkm@openoffice.org>  [2082af0db53e6dcb715c312f10201988a7c0ad6f]

hb33patches1: #i109325# applied patch


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [ff36133da8fe89832e089f9f92f6c0fb7534f5e5]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-17  Oliver-Rainer Wittmann  <od@openoffice.org>  [2174d36f9bb42c1dd268024154a961980310bf28]

sw33a11y01: #i104008# method <SwTxtFrm::Modify(..)> - notify accessible object about attribute change of paragraph's characters


2010-02-16  Vladimir Glazunov  <vg@openoffice.org>  [81c601fe9bd3e113fc1db46cb07215aa63efe43e]

CWS-TOOLING: integrate CWS cbosdo01


2010-02-16  Henning Brinkmann  <hbrinkm@openoffice.org>  [99470f3c6d454dc9665ee3c0e0b5c0fe226d50bc]

hb33issues01: #i109284# SwRTFWriter::OutBookmarks: Do not read name of NULL bookmark pointer


2010-02-16  Thomas Lange [tl]  <tl@openoffice.org>  [b4b7707777a42d567709f53f265f6e4353012afd]

#i109267# assertion fixed; quick return introduced


2010-02-16  Thomas Lange [tl]  <tl@openoffice.org>  [dad29c7eedc0f0e75771b7d7c2390bfb608ffda0]

#i109267# assertion removed


2010-02-16  Thomas Lange [tl]  <tl@openoffice.org>  [86316ff4a410afe29c2e47ddd290d04d04182c7a]

#108327# handling of paper tray for printing


2010-02-16  Oliver-Rainer Wittmann  <od@openoffice.org>  [21a0ea93f125391ff958b72c8e292fe8e36100eb]

sw33a11y01: #i88070# - accessible Writer comments - part 4


2010-02-16  sb  <sb@openoffice.org>  [603e79ed1dfb353c708d3ef0593dce6f6267a545]

sb118: adapted remaining */qa/unoapi tests to new framework


2010-02-16  sb  <sb@openoffice.org>  [3be1eed603019064774b5019a0560a3e46c602f7]

sb118: handle --without-junit gracefully


2010-02-16  Thomas Lange [tl]  <tl@openoffice.org>  [7fc549f7fa71d1af87c98fe43543b7c3f31d6ef1]

cws tl74: merge problem fixed


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [b7b48e10da9fe5771bd1f5effeff5a5bb84af4fa]

CWS-TOOLING: integrate CWS ooo321gsl02_DEV300


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [ec9b67f5c9dcc15c4e83bff54c618aa386ce7f20]

CWS-TOOLING: integrate CWS cmcfixes71


2010-02-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [05c4116ba525f8c0c1a78f5a12d89ae9509c95cb]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-02-15  os  <os@openoffice.org>  [11d8ea29f01ea3ca48b19c07e5a241b640ecc20e]

unused code removed


2010-02-15  Oliver-Rainer Wittmann  <od@openoffice.org>  [1f38ee2d66a58331d57a5edbbec897bc2d502043]

sw33bf02: #i107834# - remove applied patch for deeper investigation


2010-02-12  sb  <sb@openoffice.org>  [f45dd631674975fb831cb6641cb46a54c68e4451]

sb118: removed erroneous dependency of sw/qa/unoapi on sw/util from previous commit again (unoapi tests against an OOo installation, *not* any local parts, anyway)


2010-02-12  sb  <sb@openoffice.org>  [a36d18214c1ff571b629ebe5ab5dc85550a2c052]

sb118: moved test OOo installation stuff to new solenv/inc/installationtest.mk (makefile parts) and new test module (C++ and, new, Java unit test parts); adapted sw/qa/unoapi to new (Java) test framework


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [c9087717d464d2abe3e9d5ea95e548f25537a829]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [2272602dd4743326e8e5b4f21295ae6956d7b6a1]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  Thomas Lange [tl]  <tl@openoffice.org>  [069a98f0d8afc0e5dbaf214de131be6c9e2d7741]

cws tl74: merge


2010-02-12  Henning Brinkmann  <hbrinkm@openoffice.org>  [26bede307950122ec18d32e9216f1d74846ee044]

writefilter07: merged DEV300_m71


2010-02-10  os  <os@openoffice.org>  [c5583bb79dc1b1eea2251a05459ae2dd3247bd9b]

update to m71


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [293163d45c02742f670280a930783b7608d2f26f]

dba33f: #i108959# check if null before calling


2010-02-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [c589dbb45cbe2a5474bc7b97d5f146addf47a475]

sw33a11y01: #i88070# - accessible Writer comments - part 3


2010-02-10  Vladimir Glazunov  <vg@openoffice.org>  [52c49083999d9588d8656f7a78cf7d23a3d67ca7]

#i109048# fix for translation build breaker


2010-02-09  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [6f9342f32987d3a2231f9c491fec308e7989fa50]

cbosdo02: merge fixes


2010-02-09  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [611b6e7bfe9e12ae3a888a9a3a4031d17d4d2c59]

cbosdo02: merging changesets up to DEV300_m71


2010-02-09  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [a3984beff2a3adf6f76dd9949a2e27b6910d176c]

aw069 changes after resync to m71#


2010-02-08  os  <os@openoffice.org>  [1273878636fe1a470d238b897365845c9b2b8d86]

#i103024# display and use of tab stops fixed


2010-02-08  sb  <sb@openoffice.org>  [4942355a6c3d664f7167301c0cb0cc87519509a4]

sb118: merged in DEV300_m71


2010-02-05  Vladimir Glazunov  <vg@openoffice.org>  [d834ec7782ce6f542d0a98c9399684ef2b4b077b]

CWS-TOOLING: integrate CWS svxsplit


2010-02-05  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7478cbcc4cca4fce9b0f995a7fa5a81c63ccb109]

cbosdo03: fixed a wrong property for image import + clenaup


2010-02-05  Mathias Bauer  <mba@openoffice.org>  [77e17532898ffec8ee709e239c5ae59534dbe773]

cws svxsplit: some corrections after merge


2010-02-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [2aa40d075c3f3390e987e4e40e61e0b29643418d]

merge with DEV300_m71


2010-02-04  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [572be6b6b65622595df592c9850f59d18193020a]

cbosdo03: Merged with DEV300_m71


2010-02-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [b7e2a0604dc5f79327224239dcefdcc18ae7a929]

ppp02: #i108543# check whether ViewOptions need to be reinitialized


2010-02-04  Mathias Bauer  <mba@openoffice.org>  [fb184b9cb42d5acd7ca4b011211286f9da0dc54b]

CWS svxsplit: merge with m71


2010-02-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [cf3f0a49fe824f517c47ffcef176ee8990a9e5cd]

sw33bf02: correction needed to general changes between DEV300_m68 and DEV300_m71


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [833a718e63093eb490e7497e454e505d019cdb5c]

autorecovery: post-rebase build problems solved


2010-02-04  os  <os@openoffice.org>  [f1fba610072f935d75a02b877f141226a659903e]

#i108920# GotoNext/PrevMark: Check if field exists


2010-02-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [558842a7b4400786664d85a74135fd1940a9e4c0]

sw33bf02: merge with DEV300_m71


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [36cc1c25152561f94553bc107a42d5c521472dc4]

autorecovery: commit resolved merge (after rebase to m71)


2010-02-04  David Tardon  <dtardon@openoffice.org>  [c44ada89e2451e7da86237923480e54f92436aff]

dtardon01: update to DEV300_m71


2010-02-03  Caolán McNamara  <cmc@openoffice.org>  [3b5229de0020283ea955a0ee330fefd7d69c2040]

cmcfixes71: #i108919# && || gcc ambiguous warning


2010-02-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [402270515923f593de22453807933b23a53beffe]

ppp02: #i108740# distibguish between preferred and formatting paper size


2010-02-03  Caolán McNamara  <cmc@openoffice.org>  [c6929e712c97c7936013765c24a99f4905133f4f]

cmcfixes71: merge with DEV300 m71


2010-02-03  Oliver-Rainer Wittmann  <od@openoffice.org>  [d020435a5bfd70f3a7e3baa26578b2fb3a10a5a8]

sw33a11y01: #i88070# - accessible Writer comments - fixes and part 2


2010-02-03  Christian Lippka  <cl@openoffice.org>  [6fb45339f1fa28ddfad753a52c514e316847f3d0]

hg resync m70


2010-02-02  Oliver-Rainer Wittmann  <od@openoffice.org>  [644bcb6f129fefc0f7779c7bafefc9b8e95d54b2]

sw33a11y01: fix compiler warnings


2010-02-02  Oliver-Rainer Wittmann  <od@openoffice.org>  [537697525122cc241a0d42d377bd84a89e77f832]

sw33a11y01: #i88070# - accessible Writer comments - part 1


2010-02-02  os  <os@openoffice.org>  [26058738c01d5d6933b8c4ec6eae944c1f30b0de]

#i107142# crash in mail merge of single-paragraph-documents fixed


2010-02-02  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [8376ab24d19bca13dbd8146c89aa499e674b8039]

cbosdo02: #i107658# fixing build breakers


2010-02-02  os  <os@openoffice.org>  [1a05cdd7ba1a05014c6924fb78bf8fc4d29da9b3]

#i108736# acces to TableBorder: find top/left bottom/right cell


2010-02-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [adf406e1b6de2ae615bd708377c4e50df45a3398]

merge


2010-02-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [7aee928c9353ec8e72a52f8a1be2265aaaceaccf]

merge


2010-02-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [994ce8c707a6b74b00b514715353c6466df93468]

ppp02: #i108824# string updates


2010-02-02  Mathias Bauer  <mba@openoffice.org>  [5b95aa9cd99b7bc4593622ab8cf6d112e09ee104]

rollback last change


2010-02-02  Mathias Bauer  <mba@openoffice.org>  [1a0185ed870107d46ce7ea35cb2dedac15fb5f87]

errorneously added file removed


2010-02-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a59ce2f12a1b334d79c77b417476473dbd94eab7]

autorecovery: more sophisticated configuration data for interaction handlers The generic css.task.InteractionHandler implementation in module uui is now able to instantiate "sub handlers", i.e. components to delegate a request to, based on the type of the request, and some configuration data.

The "old" (and now deprecated) configuration scheme at org.openoffice.ucb.InteractionHandler did not contain type
information, so any handlers registered there were always called when no default implementation for a given request
was available.

The "new" configuration scheme at org.openoffice.Interaction contains UNO type information. That is, a given handler
implementation can declare itself responsible for an arbitrary set of UNO types, and for each of those types, whether
it is also responsible for sub types.
The generic interaction handler implementation uses this configuration data, when it encounteres an interaction
request it cannot fullfill itself, to instantiate a component to delegate the request to.

As with the "old" data, such a component is required to support the css.task.XInteractionHandler2 interface. Also,
if it supports css.lang.XInitialization, then it will be initialized with a name-value pair, the name being
"Parent", the value being the XWindow interface of the parent window for any message boxes.

As an examplary implementation for this feature, the css.sdb.InteractionHandler has been deprecated. Now the
css.sdb.DatabaseInteractionHandler is reponsible for database-related interactions, and the new configuration scheme
is pre-filled with data assigning this responsibility.

Consequently, a lot of places previously creating an css.sdb.InteractionHandler have been modified to create the
default css.task.InteractionHandler.
2010-02-01  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [e3fc8fac416edb428150c575ac2577378f387ed0]

ppp02: #i108649# fix accelerator


2010-02-01  Malte Timmermann  <Malte.Timmermann@sun.com>  [f138fd8ff879a328cb2e6b78e042f1a978d78947]

mtaccfixes: #110498# Enable zoom in preview even if AT support is turned on


2010-01-29  sb  <sb@openoffice.org>  [0acec7aff4f5ee1e181439b4936d7e0e34bbc0e1]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Oliver Specht  <os@openoffice.org>  [d96e3f2eda874ffd2d44aedd5e6502d307c10168]

#i108426# missing increment added


2010-01-28  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [bbd679fe9b16c448ed8ea213de398082d489bf97]

aw079: #i99147# corrected diverse aspects of invisible object visualisation and interaction


2010-01-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [812bb99aa111b85fa28b86b0ce4d20d31c6097fb]

writerfilter07: merged CWS swunolocking1


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [65d792a0b8508a931221451c6e1e5072681fd3db]

CWS-TOOLING: integrate CWS swunolocking1


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [80cde3fce610d599e28a33d8ec6f06cf268be4d1]

CWS-TOOLING: integrate CWS dba33d


2010-01-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [ea2171ac343fbf8db9fe02784c20024de592db9e]

writerfilter07: merged DEV300_m70


2010-01-27  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [3570fc044fee6fda1478ea5beeada013d8b7734e]

aw079: #i99147# attribute rework and others


2010-01-26  Thomas Lange [tl]  <tl@openoffice.org>  [2cdacf6c43db6658a1cb01e31402962d914dd90f]

cws tl74: #i107721# further changes to new thesaurus dialog


2010-01-26  Michael Stahl  <mst@openoffice.org>  [b64f5b9cbdb1e0b508eb0f6a0c4e90815c9b3e18]

merge DEV300_m70


2010-01-26  Henning Brinkmann  <hbrinkm@openoffice.org>  [e06909e8063acf89b0150d38f7d717b69a4a53dc]

hb33patches1: merged DEV300_m70


2010-01-25  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3f2d37258f683a13a196d3fa356372f8a2560cbe]

cbosdo01: merged with DEV300_m70


2010-01-25  os  <os@openoffice.org>  [5516cda28df7d8c21f38c5e8ec82d99b911f5b0c]

#i108582# strict aliasing warning fixed (cmc)


2010-01-25  Henning Brinkmann  <hbrinkm@openoffice.org>  [1323fe33418eb3d5813d900da03cae9c98430049]

hb33patches01: #i105645#: applied patch


2010-01-23  Caolán McNamara  <cmc@openoffice.org>  [b73996da9e4f862e52ea03c7ac0dca408353f372]

cmcfixes71: #i108597# fix uninit warnings


2010-01-22  Michael Stahl  <mst@openoffice.org>  [e832b802d33f63a8ae62df1ce053d978cbd1b908]

swunolocking1: fix regression:  SwXParagraphEnumeration constructor really needs the start node as a  parameter because determining it from the cursor cannot work in nested tables.


2010-01-22  Caolán McNamara  <cmc@openoffice.org>  [029375abbe0396965b7bdbe592aaeb230dccc3a0]

cmcfixes71: #i108580#: fix sw strict aliasing warnings


2010-01-22  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [3af7176db44dd878224023159a2951d2312cb662]

cbosdo02: #i107658# disabling enhanced fields for now


2010-01-22  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7461702ef70ea1e4aef55d30c0ba861ff6954d20]

cbosdo02: merging changesets up to DEV300_m69


2010-01-22  Henning Brinkmann  <hbrinkm@openoffice.org>  [a388b5e7ed43982b635504e69cce8fd748dff24e]

writerfilter07: SwNodes::ExpandTableRanges not needed. Correct node range for each table cell in convertToTable


2010-01-21  David Tardon  <dtardon@openoffice.org>  [a51fa0b98d6cd14ed79ba84c591948bb5462ee27]

dtardon01: update to DEV300_m70


2010-01-21  Henning Brinkmann  <hbrinkm@openoffice.org>  [6e3c17e84a163c151099dfed00b93cd5a7571b13]

writerfilter07: ExpandRangeForTableCell: Expand over surrounding StartNodes/EndNodes


2010-01-21  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f10c7be67241d8917de5bd6ce36aecd241cc3a28]

cbosdo01: Changed the behaviour of nbsp autocorr

* The Non-breaking space insertion autocorrection is now done when typing the
:!?; character instead of the word separator following it.

* Removed the custom quote replacement option in autocorrection.
2010-01-21  Mathias Bauer  <mba@openoffice.org>  [7107b53f7ede12988e0de9fe024f71b03a316f84]

resync to DEV300_m70


2010-01-21  Henning Brinkmann  <hbrinkm@openoffice.org>  [0675cdcdeb6d7cb5d38c78dd6d68693821c57554]

writerfilter07: new in SwNodes: ExpandRangeForTableBox, ExpandTableRanges


2010-01-21  sb  <sb@openoffice.org>  [298485cf835d6bfc17b548ecab7245d26ebaa69d]

sb118: merged in DEV300_m70


2010-01-20  Michael Stahl  <mst@openoffice.org>  [a609fbf16e0df2cbe9fcbd8dd6ddd603e8e26d26]

swunolocking1: #i108489#: fix crash:  XTextRangeToSwPaM(): do not prematurely release newly created text cursor.  SwXTextViewCursor::gotoRange(): do not throw IllegalArgumentException.


2010-01-20  os  <os@openoffice.org>  [f92fd37f4d19e5ee6cee4531ca4d700b09dc35a1]

#i108081# take care of OLE objects in mail merge


2010-01-20  os  <os@openoffice.org>  [ec23ab025fa3f49d7552ed989f38bc0a12135e99]

#i108455# check configuration pointers before call of RemoveListener()


2010-01-19  hb  <hbrinkm@openoffice.org>  [7b702ddbf370c9ba872f699b1bf19df9a7fed7d4]

merged DEV300_m69


2010-01-19  Oliver-Rainer Wittmann  <od@openoffice.org>  [86e03f723f3dd91a4a72eac04b58f0929b6a0446]

sw33a11y01: #i88070# classes <SwPostItMgr> and <SwPostItHelper> - minor refactoring


2010-01-19  Oliver-Rainer Wittmann  <od@openoffice.org>  [3eef4c8ab1eaef8d1eb3ab17fdc31da312ad9ca7]

sw33a11y01: classes <SidebarTextEditSource> and <SidebarTxtControlAccessibleContext> - forward needed a11y information/events to <AccessibleTextHelper> instance


2010-01-18  Kurt Zenker  <kz@openoffice.org>  [6adbd7aec7e0a5dc76ee62ba91ba4660c3896290]

masterfix: #i10000# syntax error fixed


2010-01-18  Kurt Zenker  <kz@openoffice.org>  [92d105a5d128da30264e1fa06a612c67d1e152aa]

masterfix: #i10000# bBoolVar does not exist, use rValue


2010-01-18  os  <os@openoffice.org>  [47eaaebf0c798c53869bfe3115d2f39c2159c176]

#i108426# missing increment added


2010-01-18  Oliver-Rainer Wittmann  <od@openoffice.org>  [0b7113c0b7c33009e3ac7ba9e5874272186aa806]

sw33a11y01: class <SwFrmOrObj> - one-parameter constructors are now explicit


2010-01-18  Oliver-Rainer Wittmann  <od@openoffice.org>  [d420f937acc45c7deb520008b10f4b71fd7ed9d5]

sw33a11y01: #i88070# method <SwSidebarWin::~SwSidebarWin()> - adjust order of destruction


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [5623bced093490e9d9452323dc96658246d55e24]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [cb7b01d0ffac123fefde5841af967db66b730345]

CWS-TOOLING: integrate CWS fwk120


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [8f147d277d38c47f6cadef0eb2a2cd46db28db35]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [90dd39c016275cb414e404ebe288de9b8f009ed2]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b50e36ebc9e4ca438c9918bbd5de77f10fba47c4]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a5763be80c9c1c9a90963951357a704d9fd5a9f6]

dba33b: merge m69


2010-01-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f8f953eb5854dd29067c652f6c2b1ee7601bd343]

solve some merge problems


2010-01-14  Mathias Bauer  <mba@openoffice.org>  [efc5bc01d58786caea0cbef0bfb457c95d988bf1]

#107450#: warning for unused variable fixed


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [8bee7f907f64160e3d6b4f8daef0ff241fafae09]

undo previous erroneous change, solar.hrc belongs to svl instead vcl now


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [2336ad3511caae7f9ba3d84aa5276d02ba6b8ad3]

CWS-TOOLING: integrate CWS exchgcmtdoc2


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [2c43a6f991e6d2342f80e54157268023e61c8c4b]

rebase to DEV300_m69


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [c251880ffcf88abe278657411faadf094d736a85]

CWS-TOOLING: integrate CWS tl76


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [faa1ff31284aeecbd4acedcdfa1eaf401b892c33]

CWS-TOOLING: integrate CWS sw32bf10_DEV300


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7b9b762caa9438d8378906645b3d7fe2528cef67]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2374f3ef9b9bb8071d6b41e6b3196ffe831baa10]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-13  Mathias Bauer  <mba@openoffice.org>  [c7bf23c20d3a82f83cdd2d43d780991e7f1e2bc9]

#i107450#: move more code out of svx


2010-01-13  Oliver-Rainer Wittmann  <od@openoffice.org>  [2fd80edbbf554ca22992bbec2a45882fa14f0d43]

sw33bf02: merge


2010-01-13  Oliver-Rainer Wittmann  <od@openoffice.org>  [ed963dc6d712f7fe65489095765514892b19a188]

sw33bf02: #b6912256# - assure consistent Writer core attributes if list styles are deleted via UNO-API


2010-01-13  os  <os@openoffice.org>  [81eb8cf2c18aa2692410d5aa80ea1dfe117d5cb6]

#i108288# IS_TEMPLATE and VBA_DOCOBJ removed


2010-01-13  Michael Stahl  <mst@openoffice.org>  [b83943dbd42b67fa0914c5d8bfa351f6b72df75e]

#i107826#: apply patch from cmc


2010-01-13  Thomas Lange [tl]  <tl@openoffice.org>  [5f69f49aef4f265f1f014b52beb26a4017a6ead3]

#i108219# SwWeb print options fixed


2010-01-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dc74261bdcf9f2ca767254ce7a005beb58676383]

autorecovery: initial implementation of a new save/recovery for database documents

For the moment, the document only stores and loads itself, as before.

In this course, the AutoRecovery service now delegates the decision whether or not a document
needs to be stored (to the "salvage location") to the document itself, using the new method
XDocumentRecovery::wasModifiedSinceLastSave, superseded the previous E_MODIFIED_SINCE_LAST_AUTOSAVE
flag.

XDocumentRecovery::wasModifiedSinceLastSave has been implemented for SfxBaseModel, yielding the same
behavior as before.

It has also been implemented for database documents, where the implementation is somewhat "sloppy",
in that it returns always <TRUE/> when any of the opened sub components of the document is modified.
2010-01-12  sb  <sb@openoffice.org>  [e84d5eb492d307eda9aa3309fd9decf1a0a3d32e]

sb118: #i108269# first step of removing tcsh support


2010-01-12  Oliver-Rainer Wittmann  <od@openoffice.org>  [71a644bc90a8a5d1bab102e3620227971b109638]

sw33a11y01: #i88070# fix of compiler warnings for Linux, Solaris and MacOS X for the refactoring of the sidebar window code


2010-01-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [71b162e585f34ebfbe4bd419196fe7ae35094856]

cbosdo01: merge with DEV300_m69


2010-01-12  Thomas Lange [tl]  <tl@openoffice.org>  [61295594e6bff0b095446968652667144279c49a]

cws tl74: build errors/warnings after merge


2010-01-12  Oliver-Rainer Wittmann  <od@openoffice.org>  [af44da87d7a100d661b077bafbd981c49fad32ff]

sw33a11y01: #i88070# refactoring of sidebar window code used for visualization of comments/annotations


2010-01-11  Thomas Lange [tl]  <tl@openoffice.org>  [bcf0708ba9f51b5e168e551624356521dbf22f11]

cws tl74: merge problems


2010-01-11  os  <os@openoffice.org>  [e033c5dfe806dc546f83d59ffae28a32ec171195]

#i105646# unused code removed


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b4f7e86a37f4a542e2f5e16a09d10fb53e2b8b5b]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33b


2010-01-11  Mathias Bauer  <mba@openoffice.org>  [a2a75109d4fbe0ea06c06b916c8ce0dd129f12ac]

#i107356#: uninitialized variable fixed


2010-01-09  sb  <sb@openoffice.org>  [6c434c145260bc0699236f374b280da399c8e66f]

sb118: merged in DEV300_m69


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cc2d71d9b57b97de97803f123b9a56f71ac7e091]

autorecovery: merge after rebase to m69


2010-01-08  Mathias Bauer  <mba@openoffice.org>  [10c4d4978bed7610eb4879f2c12028b7f4781f11]

#i107450#: build all other modules with new editeng lib


2010-01-08  Michael Stahl  <mst@openoffice.org>  [f6ace25c679545cff5c18e781b2067df9ad00329]

swunolocking1: #i107771#: SwXDocumentIndexMark:  register at SwTOXMark instead of UnoCallBack.  implement instance caching with a WeakReference in SwTOXMark.  [the ODF export depends on caching: see XMLIndexMarkExport::GetID()]


2010-01-08  Michael Stahl  <mst@openoffice.org>  [7caf10ec48f530f4702a954e878695027e84674a]

swunolocking1: #i105557#: remove class SwUnoCallBack.  everything SwUnoCallBack class does has unfixable race conditions.  in SwDoc, the uno callback is now a plain SwModify.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [04dfba1fe39ee428e812417c47704353aede0423]

swunolocking1: #i105557#: fix locking for SwXDocumentIndexMark:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  disable broken SwClient iteration.  make constructor private, and add factory function CreateXDocumentIndexMark.  use new XUnoTunnel helpers.  clean up the implementation a little.  remove SwXDocumentIndexMark::GetObject().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [fd8c8bf1502e9c77665e116a8a024f35f4389f0f]

swunolocking1: #i105557#: SwXDocumentIndexes:  use new XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [fd162033b86e6baef8488e0f540a5d5e488a2c36]

swunolocking1: #i105557#: move SwXDocumentIndex helper classes out of header.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [b5e921ac550454d75c90bdff511c95b263e9a124]

swunolocking1: #i105557#: fix locking for SwXDocumentIndex:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  replace broken SwClient iteration with a WeakReference in SwFrmFmt.  make constructor private, and add factory function CreateXDocumentIndex.  use new XUnoTunnel helpers.  clean up the implementation a little.  remove SwXDocumentIndexes::GetObject().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [7c0b2caa588121ab5c4061046a0fe1c668666a0c]

swunolocking1: #i105557#: fix locking for SwXFootnote:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  disable broken SwClient iteration.  make constructor protected, and add factory function CreateXFootnote.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [2cfba5835c734c1b761e58454f2bbd1306e9eb98]

swunolocking1: #i105557#: fix locking for SwXHeadFootText:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  replace broken SwClient iteration with a WeakReference in SwFrmFmt.  make constructor protected, and add factory function CreateXHeadFootText.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [1e8f5622f9bdfc964cc95b3120380a5c6c02e1e7]

swunolocking1: #i105557#: fix locking for SwXBodyText:  use new XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [a9e1a67de6aefe1231e00f5531e1f4ec7d6296a7]

swunolocking1: #i105557#: clean up implementation of SwXText::convertToTable().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [61f644ad8e16e0bda13339e962f3c90fd933c384]

swunolocking1: #i105557#: fix locking for SwXText:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [e083a56e6c7b427c5b922d6489d4854c08d10f28]

swunolocking1: #i105557#: SwXTextCursor:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  remove ugly destruction of SwUnoCrsr via Application::PostUserEvent.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [ad2df713b5baf3aca1b767071be75f3543efc026]

swunolocking1: #i105557#: SwXBodyText:     make SwXBodyText::CreateTextCursor() return a pointer, not a UNO reference.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [4c6944934cdebd18960a5e9c9e4c2e0358bbe685]

swunolocking1: #i105557#: SwXParagraph: move static methods to namespace sw.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [707a8056246df700f59a3dfec7f6cecfdabeee50]

swunolocking1: #i105557#: SwXTextCursor:  move enum SwGetPropertyStatesCaller to unocrsrhelper.hxx.  move static methods of SwXTextCursor to namespace SwUnoCursorHelper.  move various not-actually-local functions with declarations in multiple     cxx files to namespace SwUnoCursorHelper.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [cfc15a4cf1a5e2b5208f772e1e321b2bb648915d]

swunolocking1: #i105557#: SwXTextCursor:  move implementation of all non-static methods into unoobj.cxx.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [47b2dc4fec279f53321a29c231fd9ad76e6b41aa]

swunolocking1: #i105557#: fix locking for SwXParaFrameEnumeration:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  replace PARAFRAME_PORTION_ macros with an enum.  use new XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [f1bb18796899fe48e916b7b92ef99c394febf07e]

swunolocking1: #i105557#: SwXTextRange:  move static methods to namespace sw.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [9b80f003bbccd42794138744d3568cf41cda7568]

swunolocking1: #i105557#: fix locking for SwXTextRange:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [bbcb60bb7c1720f0af75e330021a8d23a718e0c5]

swunolocking1: #i105557#: SwXTextRange:  try to hide the implementation detail that SwXTextRange registers at a  bookmark from its clients by using SwXTextRange::GetPositions().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [68a096a220703d302073c492cffdb3ac87eff26d]

swunolocking1: #i105557#: fix locking for SwXTextRanges:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  use new XServiceInfo helpers.  replace SvWeirdArray with STL vector.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [6fb8fe3272621a26de9d81f3cc15b5e335a166f0]

swunolocking1: #i105557#: fix locking for SwXTextSection:  replace SwXTextSectionClient with Impl struct, use UnoImplPtr to lock dtor.  move all implementation details out of header, into Impl struct.  remove ugly destruction of SwUnoCrsr via Application::PostUserEvent.  replace broken SwClient iteration with a WeakReference in SwSectionFmt.  add factory function CreateXTextSection.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [6018f5f979b4f375fa4141c8e8f6a0e936befb9e]

swunolocking1: #i105557#: fix locking for SwXParagraphEnumeration:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  use new XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [b76a788b6b8891e51bfaed31d3ee605dc721d46c]

swunolocking1: #i105557#: fix locking for SwXParagraph:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  make SwXParagraph instances reusable with a WeakReference in SwTxtNode.  make constructor private, and add factory function CreateXParagraph.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [a6b0df979b785e88fad9a13b4827ebdfde5987b2]

swunolocking1: #i105557#: fix locking for SwXBookmark:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  replace broken SwClient iteration with a WeakReference in sw::mark::MarkBase.  make constructor protected, and add factory function CreateXBookmark.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.  remove SwXBookmarks::GetObject().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [696b293fa817d394f92ad95ce6e9c49c01daee4f]

swunolocking1: #i105557#: fix locking for SwXReferenceMark:  add Impl struct, and use UnoImplPtr to lock destructor.  move all implementation details out of header, into Impl struct.  disable broken SwClient iteration.  add factory function CreateXReferenceMark.  use new XUnoTunnel and XServiceInfo helpers.  clean up the implementation a little.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [1115bc8db0a08bd3bc99e20919f700d30f286664]

swunolocking1: #i105557#: fix locking for SwXMeta:  move SwClient base to pImpl struct, and use UnoImplPtr to lock destructor.  replace broken SwClient iteration with a WeakReference in sw::Meta.  make constructor protected, and add factory function CreateXMeta.  use new XUnoTunnel and XServiceInfo helpers.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [7aebbae28405cfd42be4d2d681942ed395e4e2af]

swunolocking1: refactor Meta registration at its text node.  Meta will now be registered via SwTxtMeta::ChgTxtNode(), with additional  workarounds necessary in SwFmtMeta::DoCopy().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [42576a9b4331120c4735a5d68e4779e61433a3bf]

swunolocking1: #i105557#: unobaseclass.hxx: add XServiceInfo helpers:  new functions GetSupportedServiceNamesImpl and SupportsServiceImpl.


2010-01-08  Michael Stahl  <mst@openoffice.org>  [2343c63e83fd92513d09afb242e0eeac72804983]

swunolocking1: #i105557#: unobaseclass.hxx: add UnoTunnel helpers:  new template UnoTunnelImpl to implement XUnoTunnel::getSomething().  new template UnoTunnelGetImplementation to use XUnoTunnel::getSomething().


2010-01-08  Michael Stahl  <mst@openoffice.org>  [b52a742c0e16ee38c397033100853b8b0feb4857]

swunolocking1: #i105557#: unobaseclass.hxx: add UnoImplPtr:  new smart pointer template UnoImplPtr: calls dtor with SolarMutex locked.


2010-01-08  David Tardon  <dtardon@openoffice.org>  [83a778ece62a23925011dfa9b450aecca1e29ca7]

update to DEV300_m69


2010-01-08  os  <os@openoffice.org>  [961e20a1a96ab3dba7e24f31d9d9bafd204d861b]

#i105734# patch applied (cmc)


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [8e5ae4d275dc9d2e529b384543a2f1a4695bdeda]

dba33f: merge from dba33e


2010-01-08  Caolán McNamara  <cmc@openoffice.org>  [b8270114099b3778cc0e4e14d4cd1f4ff9cbcb56]

exchgcmtdoc2: merge with DEV300 m69


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [12fca6b273e468dce6fb311b861cf2916423023b]

autorecovery: need to compile some files (which indirectly include sfxbasemodel.hxx) with exception support


2010-01-07  Oliver-Rainer Wittmann  <od@openoffice.org>  [d3c001f6e069f93e1385fabd3c9fcd334ccb28dc]

sw33bf02: #i107811# method <SwDoc::_MakeFlySection(..)> - Assure that at-page anchored fly frames have a page num or a content anchor set.


2010-01-07  Oliver-Rainer Wittmann  <od@openoffice.org>  [3777106e7544414a26293fb20ea1ffb2ede7d097]

sw33bf02: #i107834# [patch from CMC] - method <SwFntObj::CreateScrFont(..)> keep "faked" font properties at font metric


2010-01-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f57279adbc278db3ba1aef327d8568c581d82d9e]

autorecovery: allow creating SFX-based documents which do not support the XDocumentRecovery interface For this purpose, the SFX document factory methods got an additional parameter respectively flag ("DocumentRecoverySupport" resp. SFXMODEL_DISABLE_DOCUMENT_RECOVERY). This flag is used by database documents to remove the interface from sub documents (aka forms/reports). In this course, some of the functionality around those SFXMODELL_* flags, previously duplicated in all applications, has been consolidated into a new SfxObjectShell constructor.


2010-01-06  Thomas Lange [tl]  <tl@openoffice.org>  [a59a5e5ea78a8d98a61817ca56e550f78553aa93]

cws tl74: merge with DEV300_m68; AND Unix LF conversion for some files!


2010-01-05  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [e1414e6525d64bbf3dfa75dfa2021988ff3e58c8]

writerfilter07: merged DEV300_m68


2010-01-05  Michael Stahl  <mst@openoffice.org>  [106e60da5471448468698ef526d1f5b67eb3f234]

swunolocking1: #i105557#: remove unoobj.hxx


2010-01-05  Michael Stahl  <mst@openoffice.org>  [f5b430ddfdc01f33e06df017fbf6c21c3538a687]

swunolocking1: #i105557#: unoobj.hxx: move misc stuff:  move GetPageDescByName_Impl from unoobj.hxx to pagedesc.hxx.  move UnoActionContext, UnoActionRemoveContext, ClientModify,   CreateUnoTunnelId from unoobj.hxx to unobaseclass.hxx.  move UnoActionContext, UnoActionRemoveContext from unoobj.cxx to unoobj2.cxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [58e65878cc6edd5f05e6200ae81c19ebd9162b1e]

swunolocking1: #i105557#: unoobj.hxx: split out unoparaframeenum.hxx:  move SwXParaFrameEnumeration from unoobj.hxx to new unoparaframeenum.hxx.  move FrameDependSortList_t, CollectFrameAtNode to unoparaframeenum.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [6b2544de9e78c37bea8cc7c302e1447b326bcc78]

swunolocking1: #i105557#: unoobj.hxx: split out unotext.hxx etc.:  move SwXText from unoobj.hxx to new unotext.hxx.  move SwXBodyText, SwXHeadFootText from unoobj.hxx to new unotextbodyhf.hxx.  move SwXFootnote from unoobj.hxx to new unofootnote.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [0f11ef538ffc40a5b4a2a9ca15af0d8d6ff2e965]

swunolocking1: #i105557#: unoobj.hxx: split out unotextrange.hxx:  move SwXTextRange, SwXTextRanges from unoobj.hxx to new unotextrange.hxx.  move SwUnoInternalPaM to unotextrange.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [89257fb5ea7c062c81379d3d05fa1c229067515a]

swunolocking1: #i105557#: unoobj.hxx: split out unotextcursor.hxx:  move SwXTextCursor from unoobj.hxx to new unotextcursor.hxx.  move enum SwGetPropertyStatesCaller to unotextcursor.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [1ec6e9d8665c760588eddff9adb23bafc087d347]

swunolocking1: #i105557#: unoobj.hxx: split out unosection.hxx:  move SwXTextSection from unoobj.hxx to new unosection.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [3425397152b30ff898aae071eb6cac444eab3bb5]

swunolocking1: #i105557#: unoobj.hxx: split out unoparagraph.hxx:  move SwXParagraph{,Enumeration} from unoobj.hxx to new unoparagraph.hxx.  move enum CursorType to unobaseclass.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [afa5e928c33d7fc88e6be3ca893bd5186df821af]

swunolocking1: #i105557#: unoobj.hxx: split out unobookmark.hxx:  move SwXBookmark, SwXFieldmark from unoobj.hxx to new unobookmark.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [fd85cba270698decca9fcf85a0f2af4dd4b5923a]

swunolocking1: #i105557#: unoobj.hxx: split out unorefmark.hxx:  move SwXReferenceMark from unoobj.hxx to new unorefmark.hxx.


2010-01-05  Michael Stahl  <mst@openoffice.org>  [0d4542e529f449e4e73c54a743cead227baad16c]

swunolocking1: #i105557#: remove unnecessary includes of unoobj.hxx


2010-01-05  Michael Stahl  <mst@openoffice.org>  [892dc54c9e2bf28b429482050bfb7d3175b88f09]

swunolocking1: swtable.hxx: SwTable::FindTable() takes a const parameter


2010-01-05  Michael Stahl  <mst@openoffice.org>  [0c9c0896608beab01bca96d410b5c83043108fd5]

swunolocking1: calbck.hxx: SwClientIter constructor takes a const& parameter


2010-01-05  Michael Stahl  <mst@openoffice.org>  [74de865de2ce48ba9df59f4604d8a7a3ad01df41]

swunolocking1: swtypes.hxx: rename frame anchor types  enum RndStdIds: rename frame anchor types (FLY_*) to be more intuitive.  [note the completely ridiculous number of files that care about anchor types]


2010-01-05  Michael Stahl  <mst@openoffice.org>  [034c7a711ca65234fd9995c8f02c86452824550b]

swunolocking1: #i106930#: thints.cxx: tweak isNestedAny() a bit  with the fix for i106930, inserting a nesting hint without extent never  overrides an existing hint; but overriding is actually desirable in the  corner case where the existing hint is _also_ empty.  [the unoapi test sw.SwXTextTableCursor relies on this]


2010-01-05  Michael Stahl  <mst@openoffice.org>  [865a5fa3a07d26ae43fd40df64b58e3965ea61b8]

swunolocking1: #i107171#: fix crash caused by SwXParagraph::attachToText():  register at the text node, not at an uno cursor.


2010-01-05  Mathias Bauer  <mba@openoffice.org>  [9690e2ebe8cf9143689a16cec1057186187d5742]

merge commit for m68


2010-01-05  Oliver-Rainer Wittmann  <od@openoffice.org>  [cbfb4cdb8d2e9f893774f21cf50ec36767f7ccee]

autorecovery: method <SwPagePreView::OuterResizePixel(..)> - no call of method <ScrollDocSzChg()> for window of zero size.


2010-01-05  Oliver-Rainer Wittmann  <od@openoffice.org>  [6b76223a810933da9eedbfd7e555a9990fd4e92c]

sw33bf02: #b6884103# correct consideration of actual indent when starting new list.


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [0329cf725b6af7f4df33e1ee9a5845e45a9be673]

CWS-TOOLING: integrate CWS cmcfixes68


2010-01-05  sb  <sb@openoffice.org>  [adad3e93252d4329f972ffa030d77902afc8a3f6]

sb118: merged in DEV300_m68


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [8bfd7efc07f735520771ff50eb044835602567c8]

CWS-TOOLING: integrate CWS sb116


2010-01-05  Thomas Lange [tl]  <tl@openoffice.org>  [4f0e7cf25de7015ea1e7ab4263279f0097b0b01e]

cws tl76: merge with DEV300_m68


2010-01-05  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [bb56950f7fb4fc98ad6c85c9d7c7670b6090b28a]

hb33patches1: merged DEV300_m68


2010-01-04  Jens-Heiner Rechtien  <hr@openoffice.org>  [382d9d48dd6edf55504b165d6b8d7bd7e0c52b83]

CWS-TOOLING: integrate CWS aw078


2010-01-04  Christian Lippka  <christian.lippka@sun.com>  [e6cbedb6c3e061c8532bfc1e30f3c067bb941b63]

merge to m68


2010-01-04  Caolán McNamara  <cmc@openoffice.org>  [71cf01e1596b958d568cb8241155f1ff9910f6c0]

exchgcmtdoc2: #i98634#: export writer change-comment as normal msword comment


2010-01-04  Oliver-Rainer Wittmann  <od@openoffice.org>  [d4c00f03734113379982660060c99b7d32d6d7e1]

sw33bf02: #i105243# Output of graphic in Writer with corresponding PDF handling


2009-12-31  Oliver-Rainer Wittmann  <od@openoffice.org>  [ff1f87167b855ae65a8f9bd270ede8dba89994c9]

sw33bf02: #i106452# method <SwFlowFrm::MoveFwd(..)> - check page description not only in situations with sections


2009-12-31  Oliver-Rainer Wittmann  <od@openoffice.org>  [4ebd4b4b9598f0ba6115dcf1c1ebbcaafa96c17a]

sw33bf02: #i106906# method <SwDocShell::ConvertTo(..)> - lock view during action to avoid jump to cursor


2009-12-31  Oliver-Rainer Wittmann  <od@openoffice.org>  [fc9db6e205cec074f72595cbed8571a3908b6caf]

sw33bf02: #i89920# adjustment of fix due to compiler warning


2009-12-30  Oliver-Rainer Wittmann  <od@openoffice.org>  [9b43a2f3e03843fa2813aa47a50ecfba688ccb21]

sw33bf02: #i107447# method <SwCrsrShell::LeftRight(..)> - do not reflect reset of <bInFrontOfLabel> flag in return value on normal cursor move.


2009-12-30  Oliver-Rainer Wittmann  <od@openoffice.org>  [08e076bf9c2f5f657c94ae54d963e0c29608462e]

sw33bf02: #i89920# method <SwFEShell::InsertDrawObj(..)> - adjustment of object's attributes

		   - renaming of method.
		   - setting object's wrapping style to WRAP_THROUGH.
	   	   - bringing object into foreground.
2009-12-30  Oliver-Rainer Wittmann  <od@openoffice.org>  [21355e3315c0a3e28935c9287d6a5ea8173a2911]

sw33bf02: #i89920# Improvement of selection of objects in background


2009-12-29  Oliver-Rainer Wittmann  <od@openoffice.org>  [c5ac0cc278ee4a7bec9ff577ce2c700fd6f7a7bb]

sw33bf02: #i105901# method <SwFntObj::GetCrsrOfst(..)> - skip character cells for all script types


2009-12-29  Oliver-Rainer Wittmann  <od@openoffice.org>  [95cff757517664a27fb0646d0527e761430558dd]

sw33bf02: #i104750 removal of "scrolling instead of painting optimization"


2009-12-28  Oliver-Rainer Wittmann  <od@openoffice.org>  [d7460cdc3d7b8d2ebd3bee3c340814cab15571d7]

sw33bf02: #i104291# method <SwTxtFrm::FindBrk(..)> - adjustments avoid overflow.


2009-12-28  Oliver-Rainer Wittmann  <od@openoffice.org>  [215e99fd69496c67b6f1d5b644548a26c614e33e]

sw33bf02: #i105535# method <SwDocShell::UpdateStyle(..)> - no update of anchor attribute for frame styles.


2009-12-28  Oliver-Rainer Wittmann  <od@openoffice.org>  [972c6442de965ee6672d1b7d46c0aa264d7e6e26]

sw33bf02: #i105535# method <SwFlyFrmFmt::MakeFrms(..)> - handle unexpected situation for to-frame anchored fly frames

		    - Save determination of content node for to-frame anchored fly frame
		    - If no fly frame for to-frame anchored fly frame is found, fallback to to-paragraph anchored fly frame.
2009-12-21  David Tardon  <dtardon@openoffice.org>  [4d0d5227784b3fa918324f6e820102a5b41619cf]

dtardon01: update to DEV300_m68


2009-12-21  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [7c8604497d16481d54465b425f099f2891b8e233]

aw078: resync to DEV300m68for integration


2009-12-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [74b79c6ce8f1e4908ed36c73a55b92909a801445]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/autorecovery


2009-12-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [62ab156d40f3bcda1c02f1a5a95c89e837b6a9cc]

autorecovery: oops, *this* version of LoadDocumentIntoFrame was just removed


2009-12-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1e9cfa6fd263969e6751fa68e7c2cb36df821c18]

autorecovery: ensure that unsaved XML forms are properly recovered, by properly respecting the 'Hidden' load parameter


2009-12-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c27ae1bd9321fb0a9eafa1fa6bb5c2d306886e1f]

autorecovery: removed a few unused slot IDs


2009-12-17  Vladimir Glazunov  <vg@openoffice.org>  [de57598aa9998ea53b606e6cd89160a27515910a]

#i100000# corrected includes


2009-12-17  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [b1f80cf2b8ba01ea62532c7825d9481d0a3113f8]

writerfilter07: merged DEV300_m67


2009-12-16  sb  <sb@openoffice.org>  [eab589be7524eff11752b4bd4689e102d2254771]

sb118: removed obsolete cppunit/simpleheader.hxx from precompiled_sw.hxx


2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [50d7d9dae9ccdc2f38a79c4177366c8faa5c0f00]

autorecovery: Sfx(View)Frame::GetTopFrame now also returning a SfxFrame& instead of an SfxFrame*


2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bf11fdb06da187fc262448c8ae03fdbdbf998665]

autorecovery: SfxViewFrame's SfxFrame is a reference now, no pointer (it can never be NULL)


2009-12-15  Mathias Bauer  <mba@openoffice.org>  [b72e74484ff19bb151ff428acb03019edd0931b0]

#i107706#: liquidate goodies module


2009-12-15  David Tardon  <dtardon@openoffice.org>  [8c2d8935fc90896e329b90b6c3a8f9d150ebd229]

dtardon01: #i107683#: remove duplicate code


2009-12-14  Henning Brinkmann  <hbrinkm@openoffice.org>  [f3c6bdfbb0f4b245897880265fde514cf0a722e4]

#161286# applied patch and solved crash


2009-12-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [41914dd4eaec84f227db3412c978c980b8164b95]

autorecovery: replace some SfxFrameItem occurences by SfxUnoFrameItem As a consequence, replace some occurences of SfxFrame with XFrame.

This allows getting rid of yet some more Sfx code in the (SFX) doc loader. Also, it prevents premature
creations of SfxFrame instances during loading, since now the frame is really created when it is needed only.
2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [0cdc5c6aa454876000d64ba4cc5c47eea1caa583]

#i10000# resolve conflict


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [2b3084dc6262c18390c934605302d8c9fb4785d3]

CWS-TOOLING: integrate CWS ooo32gsl09_DEV300


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [a98984185068a0a3ba26dd11e06965857649ce2e]

CWS-TOOLING: integrate CWS os139_DEV300


2009-12-12  Mathias Bauer  <mba@openoffice.org>  [4098379d09eefd4169d7ea5e95d2b1799396a467]

#i107450#: changes caused by header cleanup in svx


2009-12-11  Bjoern Michaelsen  <bjoern.michaelsen@sun.com>  [63259d48b144694cca642985be32e000acd34652]

cbosdo02: #i33737# formatting


2009-12-11  Vladimir Glazunov  <vg@openoffice.org>  [82cc6b7302bcfb10496a6a87ba2432c467542c19]

CWS-TOOLING: integrate CWS fwk129_DEV300


2009-12-11  Bjoern Michaelsen  <bjoern.michaelsen@sun.com>  [9690566d603522e8e73793a5d84b5f6de0f1542e]

cbosdo02: #i33737# odf export ---------------- cbosdo02: #i33737# odf export ---------------- cbosdo02: #i33737# odf import ---------------- cbosdo02: #i33737# fixing uno sequence for field parameters

HG: Enter commit message.  Lines beginning with 'HG:' are removed.
HG: Remove all lines to abort the collapse operation.
2009-12-11  Thomas Lange [tl]  <tl@openoffice.org>  [0f10ad03ef1b037de4c64c5d0e68afde5120bf65]

#i106926# fixing view settings after rendering


2009-12-11  Thomas Lange [tl]  <tl@openoffice.org>  [90e42903e90e4c6d336c0108c34ef17223b38cbe]

merge


2009-12-11  Thomas Lange [tl]  <tl@openoffice.org>  [83b7cbd2222167ce2b7ce04dbc19bb010d4c43c6]

#i106926# fixed hidden text in view when cancelling print to file


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [99c1f2b171b3827478dbe6427d76c435db36da3a]

SvxBrushItem does not use sfx code anymore


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [2cf9abe58b506641311a068027a7b6bcdfe54797]

#i107450#: move SvxSearchIten to svl


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [2ef632201efe7cc3e63211297921b81d71d0a8ce]

#i107450#: move ThesaurusDialog and HyphenWordDialog to cui


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [ffcbbc332d3e2b2f1debbe27e914a8be1626b26e]

#i107450#: move GetLanguageString to class SvtLanguageTable


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [2410a8d74c0ce05ed57d6acc3ac92767498fbe96]

#i107450#: remove SdrObject dependency from OutlinerForwarder; EditEnginePool for ItempropertySet of EditObjects; split unoprov.hxx+cxx


2009-12-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [a7171c8ae2018a3170b89235689fcba5ea75c076]

fix warnings


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [01e9df13d113a36f1afecc6c1a1eb3005c614257]

CWS-TOOLING: integrate CWS os137


2009-12-10  Thomas Lange [tl]  <tl@openoffice.org>  [e031b9ddb7cdfd778eaaa09a6683246992254f96]

#i106914# apply configuration settings in UI


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d8e0cbeba71f0bc784f8b9ab8b8b79b1d74faafa]

dba33d: merge with DEV300_m67


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0d33059328e090621c74e9552f9efab61fe3791f]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  David Tardon  <dtardon@openoffice.org>  [db87eec24d1e109512c1def77eea329a54d07c9a]

dtardon01: update to DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [b3e32c9acb9b7a7f7c8309ed949868a194549b3e]

CWS-TOOLING: integrate CWS killnonpro


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9c748d718f06205b3ad936b61d8b1cd8c03aadbf]

autorecovery: substituted some more usages of SfxViewFrame::CreateViewFrame with their new equivalents


2009-12-08  Bjoern Michaelsen  <bjoern.michaelsen@sun.com>  [e86bc7aa7aece32a81946a0616d6a44e74d370fc]

cbosdo02: #i33737# removing unused defines, moving remaining ones into vnd.oasis.opendocument namespace ---------------- cbosdo02: #i33737# renaming defines from ECMA to ODF ---------------- cbosdo02: #i33737# removing ecma namespace ---------------- cbosdo02: #i33737# removing ecma var ---------------- cbosdo02: #i33737# ecma -> odf ---------------- cbosdo02: #i33737# ecma -> odf

HG: Enter commit message.  Lines beginning with 'HG:' are removed.
HG: Remove all lines to abort the collapse operation.
2009-12-08  Mathias Bauer  <mba@openoffice.org>  [abc424a00734262acf3fbd2d47cbcdde3c27259a]

some more fixes after resync


2009-12-08  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [2fd179bf0591fda4f1aabde1e69ebb3c73f8ad44]

writerfilter07: merged DEV300_m66


2009-12-08  Thomas Lange [tl]  <tl@openoffice.org>  [5f04872a2d5b6a37791da0d8df61079cb300a5ee]

#i105728#, #i105730#, #i105727# intelli UI thingies


2009-12-07  Thomas Benisch  <tbe@openoffice.org>  [f45a3f6155442cea2b5d7ba185ffaef586e0fc76]

chartshapes: merge with DEV300_m66


2009-12-07  Oliver Düsterhoff  <od@openoffice.org>  [71bd453d5eaeef25bb8864f6ccdf97d2f5faad36]

#i107365# method <ViewShell::ImplEndAction(..)> 	  - take care of transparent child windows after direct paint.


2009-12-07  Thomas Lange [tl]  <tl@openoffice.org>  [1c79d03c8ea5bf85ed0b2c5562d00bf8255628a6]

#i104312# fixed print objetcs for pictures and graphics; nopw works for drawing objects as well and does not effect form controls


2009-12-07  David Tardon  <dtardon@openoffice.org>  [932c92f6840062c7438cd5339f04a820273641a2]

dtardon01: #i107466#: add missing includes in nonproduct build


2009-12-07  sb  <sb@openoffice.org>  [588ab4c41627d18c063c40871f8f5c8c81923ad7]

merged in DEV300_m66


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [f6f2be25b6facdff83c8351c5c05c1aca3c48049]

merge to m67


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [af0bb268664ddf0f2f893eb7d16c04bcae24ce4b]

merge to m67


2009-12-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6a407979c1085fdeccc3e3d2439bdce7d4485794]

autorecovery: rename SfxViewFrame's LoadDocument to LoadDocumentIntoFrame, and introduce a new LoadDocument, which does not take any frame-like argument. Makes writing code easier (and more explicit) for clients which do not have a frame, but want to load non-hidden.


2009-12-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3f0d0c9bbd793ad32315a3d92be1a6bf6c170905]

autorecovery: replace some calls to SfxViewFrame::CreateViewFrame with calls to the (newly introduced) SfxViewFrame::LoadHiddenDocument This way, we got rid of some more clients of InsertDocument_Impl. Final goal is to remove SfxViewFrame::CreateViewFrame completely, so the UNO loader is the only (indirect) client of InsertDocument_Impl.


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [f9637c9a6b44a7f53afd4190bc7c104ec9b8dd3a]

CWS-TOOLING: integrate CWS sw32bf08_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [ed3c740619c90bf1d2d6a4e43eb44492cda051c4]

CWS-TOOLING: integrate CWS hb32showstoppers2_DEV300


2009-12-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e8955286cb408da7a6412c8a5128cc4a34be9a06]

autorecovery: another client of InsertDocument_Impl died ... SfxFrame::InsertDocument has been replaced with SfxViewFrame::LoadDocument, which now uses the UNO loader to load the existing document into a frame, instead of going the direct (non-UNO-, pure-SFX-) way


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [d2669cac586a72c060f8468f0c007ab0bad00ccc]

CWS-TOOLING: integrate CWS sw32bf07_DEV300


2009-12-03  Caolán McNamara  <cmc@openoffice.org>  [79018ea0d1127408bc83c6a9ef9c810116799ec4]

cmcfixes68: #i107420# remove trivial warnings from sw with newer gcc


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [ca462ec2b9fe56449f9c4227914b42c7f277429e]

update to current version


2009-12-03  Thomas Lange [tl]  <tl@openoffice.org>  [2891eaf355b6a736a94d2933a8e714a143b4a939]

#i106926# printing of hidden text fixed


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [bac48dee45960d6c2faa5ec99141ace33f43d089]

CWS-TOOLING: integrate CWS hb32showstoppers3_DEV300


2009-12-03  Oliver Specht  <os@openoffice.org>  [49a1ef1150933fb8fc8db5fb069e6ae927037025]

#i107401# page number of page bound frames fixed


2009-12-02  Bjoern Michaelsen  <bjoern.michaelsen@sun.com>  [29b3c145c1e9bde432125bae2311fce1571cd36c]

bosdo02: #i33737# implementing Fieldmark parameters as XNameContainer


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [880519b1085de26980d4bfc3248af78e169e4f08]

CWS-TOOLING: integrate CWS npower12


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [9c450197660f9561305fe74e7d7bd5f50bdcfd4c]

CWS-TOOLING: integrate CWS sw32bf06_DEV300


2009-12-02  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [983edf2ab72cd8dc261c72b4d3f6d03e00046ddc]

merge to m66


2009-12-02  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [43a1cddd9704c2577542d2834e704ab147f7d869]

[cbosdo03]Applied the patches to upstream

These patches are fixing docx import problems like:
  * Page breaks added at wrong places
  * Additionnal paragraphs added at the end of some sections
  * Hierarchy of numbering properties wasn't working nicely
2009-12-01  Jens-Heiner Rechtien  <hr@openoffice.org>  [a58c0b022b3fcddcfa033f15dd7588e7ab5a0bd4]

chartshapes: merge with DEV300 m62


2009-12-01  Jens-Heiner Rechtien  <hr@openoffice.org>  [db5fc1153a2c913557fac669030a0cc7109365b2]

chartshapes: merge with DEV300 m55


2009-12-01  David Tardon  <dtardon@openoffice.org>  [2ae2311336dec0202de87e44d3564a12a54f6f6c]

update to DEV300_m66


2009-12-01  Caolán McNamara  <cmc@openoffice.org>  [30089f3f23fed594eeada447d09056f45e7a6aae]

cmcfixes68: merge with DEV300 m66


2009-12-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a30e4dbede483bb5fe87d5fb777057d85309f69d]

#i10000#


2009-12-01  Oliver Bolte  <obo@openoffice.org>  [d2560618f739c2fdadfe3fcc4c54cc4aec26cf55]

CWS-TOOLING: integrate CWS hb32showstoppers2 2009-11-05 14:28:58 +0100 hbrinkm  r277370 : CWS-TOOLING: rebase CWS hb32showstoppers2 to branches/OOO320@277262 (milestone: OOO320:m3) 2009-11-04 16:04:47 +0100 hbrinkm  r277357 : #i102434# write background color/shadow like WW8 does 2009-11-03 12:22:27 +0100 os  r277319 : #i106515# call to LeaveDrawCreate() moved from SwWrtShell::UnSelectFrame() to SwPostItMgr::AssureStdModeAtShell() 2009-10-30 14:58:39 +0100 hbrinkm  r277272 : #i103374# set default style on table row ends 2009-10-30 13:19:38 +0100 hbrinkm  r277265 : #i106057# applied here because otherwise saving DOCs crashes 2009-10-28 13:50:44 +0100 hbrinkm  r277240 : applied patch for OOO320_m2 #i105052# debugging code #i102420# rewritten debug output for SwNodes. #i105052# debugging code sw/source/filter/ww8/wrtww8.cxx: MSWordExportBase::WriteText: Keep track of nodes already exported and assert when a node is exported for the second time. sw/source/filter/ww8/WW8TableInfo.cxx: WW8TableNodeInfo::setNext: Announce from where to where the next pointer points. #i105052# save pointer to next SwNode in WW8TableNodeInfo merged DEV300_m60 #i105653# applied patch #i105941# crash on initialization fixed merged changes from hb32showstoppers 2009-10-27 16:39:40 +0100 mst  r277223 : #i106349#: SwBaseShell::ExecUndo(): do not access members after dying


2009-11-30  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [ba11e933b9426faeeaaa31ecfd99ea87ca89e29f]

hb33patches1: #i106569# applied patch


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4de97c35d576fd1bf10a97c67ef327be0ac0aa5c]

#i10000#


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [daa6a8b8e2db669b38e114fed048466b078a99c2]

[CWS autorecovery] removed some dead/unused stuff SID_BACKTOWEBTOP, some SFX_VIEW_* flags, some SFXFRAME_* flags, all BROWSE_* flags


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [704d79c4fb13ccd81468d8ec9566d34b035df305]

[CWS autorecovery] forgot to remove some includes


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e80de0687b5384787476e1585eccde4a71fb58a4]

[CWS autorecovery] merged SfxTopViewFrame into SfxViewFrame SfxTopViewFrame was the only class deriving from the abstract class SfxViewFrame, so both can effectively be treated as one class. This change was done to make subsequent refactorings easier.


2009-11-27  Bjoern Michaelsen  <bjoern.michaelsen@sun.com>  [f15cfc2c05f4e8671621c21982250aa4b9b33b96]

cbosdo02: #i33737# keeping IMark position references const


2009-11-27  Oliver Specht  <os@openoffice.org>  [24fa9729d1e09f155fe6a428863990f42f4322b5]

#i101821# find correct frame and SwPageFrame to print (or PDF export) selections


2009-11-26  os  <os@openoffice.org>  [0e0a301b84aeacf41164b21591b4ca0dc979f618]

custom property field - add type css::util::Duration


2009-11-26  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [8681a4dea368c832ba04229b24a2487b4291428f]

writefilter07: merged DEV300_m65


2009-11-25  Thomas Lange  <tl@openoffice.org>  [181cf18d194b7f7a75c6cfa312120ddbde9acde8]

#i51258# thesaurus for right click context menu


2009-11-25  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4be7feb426d59046e97f78f459049d0368fd3dbf]

cbosdo01: Implemented i#107083.


2009-11-25  Oliver Düsterhoff  <od@openoffice.org>  [b391df7c03a9f43c754795fc70be2948e9736c74]

#i107143# method <SwFldPortion::Clone(..)>           - pass placeholder property to created <SwFldPortion> instance


2009-11-25  Vladimir Glazunov  <vg@openoffice.org>  [b4528e495f967184f1eae0420a6e4f64ceefe976]

CWS-TOOLING: integrate CWS controltextrendering


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [970e293c4717738e7b374054f4879d2684e424dd]

CWS-TOOLING: integrate CWS cmcfixes64


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [e5acd44bd1c12eb87836e94cb0c62cedfca74771]

CWS-TOOLING: integrate CWS writerfilter32bugfixes01_DEV300


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [a296ef0e892862959725506e95bb1772cb964714]

CWS-TOOLING: integrate CWS c07v026_DEV300


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [3ee0f60e251fc31f13cac15047ca3d3b9d2f56b6]

CWS-TOOLING: integrate CWS sw33bf01


2009-11-24  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6facff4d1199fc4c335a4bf6aa23106878e1cf90]

dba33d: #i104949# show cell value when set field text nodes exits


2009-11-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [164c30e0519685c64bd0444cbfdb3c4c373363b6]

merge


2009-11-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d41a3576837ef1ea87a242f0090cc26e91fdc4b0]

[CWS autorecovery] while we are at it .... SID_BROWSE_STOP is dead, for a long time now ...


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [71eaab652d0e062b909c526718f09e8e1b0bd4be]

merge commit for m65


2009-11-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [73f5cdce567bf1a010f2e5a927a5c003f6405179]

[CWS autorecovery] removed SfxCancellable/SfxCancelManager, and (part of) its transitive closure No real-life use cases for this exist anymore, since nowadays document loading happens synchronously all the time.


2009-11-23  Oliver Specht  <os@openoffice.org>  [c23b21a885ea2e8831fc78496313745d9757d536]

#i107064# copy styles in SwDoc::CreateCopy()


2009-11-23  Oliver-Rainer Wittmann  <od@openoffice.org>  [e6d9cb4aae6736b2ea508ff05c30ad7a0d6d5e44]

cbosdo02: fix compiler warning for Windows


2009-11-23  Oliver-Rainer Wittmann  <od@openoffice.org>  [4802b300b36d10537245197c8a12957d851ae1c0]

cbosdo02: Use <SwInsTxt> instead of <SwInsChr>, because class <SwInsChr> has been already removed (in some other cws)


2009-11-23  Oliver-Rainer Wittmann  <od@openoffice.org>  [a40d66cc3f5389527060ec34426c73d7e06c1bfa]

cbosdo02: fixes of compiler warning on Linux, Mac OS X Intel and Solaris Sparc


2009-11-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bd377014470f796bc52b679e19e2ed596f906858]

[CWS autorecovery] introduced status SfxFrame::InsertDocument which encapsulates a usage pattern comprised of the old InsertDocument/CreateViewFrame pair


2009-11-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [82fc750ace74fbc471d2fcf56bdeb42fe54ee13b]

cbosdo01: merge with DEV300_m65


2009-11-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [5e0c03ba115c04341bc876a785642d0ac6d110a9]

printerpullpages: #i106505# brochure RTL only if CTL is enabled


2009-11-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [e737508ab9045913dcbd7945a2596897d0b60a65]

printerpullpages: #i106507# remove layout page for math


2009-11-18  David Tardon  <dtardon@openoffice.org>  [41a05251ae55ce287f6cec381c25ae618ad43d28]

update to DEV300_m65


2009-11-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [bb03977e030141b6275d7561d20788a42de30aa5]

cmcfixes64: merge with DEV300 m63


2009-11-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [e92fb53049f2b16c3cc01b892760ea0969680e93]

#i106541# commit afer merge


2009-11-17  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c0cd0c7a51e9a6d26ca901a125ca24233a61368c]

cbosdo02: field patch to upstream applied


2009-11-16  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [26743ae0bbc6cf283b676c9560558932de1fc4dc]

cbosdo01: migrating from SVN to HG.


2009-11-16  mst  <mst@openoffice.org>  [c7c48dbb284be21b83c1a94a98ef9250e48d22e5]

#i106930#: thints.cxx: isNestedAny: new empty hints at start/end _not_ nested


2009-11-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [227a0ec400004026a8be189edc5fa553e522f255]

dba33d: pull from dba33b


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [8eeb6688770ab12a2243926098526417764fa38b]

CWS-TOOLING: integrate CWS cmcfixes66


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [bb326d8d6bf4a682a498061d70f5b169dbc739cc]

CWS-TOOLING: integrate CWS cmcfixes65


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [1ea8aa3f62fad18e8f968ac6999f24b540867f26]

CWS-TOOLING: integrate CWS changehc02


2009-11-13  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [ac943262f411d1094216064adc4d737342f39d94]

hb33patches1:#i59648# applied patch


2009-11-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [190c2dd18816466577141afc05a5b0dd6402cc49]

merge with DEV300_m64


2009-11-13  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [b4a8b8bc80ff1baa62ceb3a1c2994b3fe6f78a5d]

writerfilter07: merged DEV300_m64


2009-11-13  sb  <sb@openoffice.org>  [9fdd1e0ad0fd37c6f7aa72005551a7e211beab1a]

sb116: #i106845# removed obsolete IRIX port


2009-11-13  Oliver Düsterhoff  <od@openoffice.org>  [627d75fae24a557d9b920fb8d5c228d75826a032]

#i106218# method <HasOutlineStyleToBeWrittenAsNormalListStyle(..)> 	  - consider that the outline style itself is set at the parent paragraph style of             one of the to the outline style assigned paragraph styles.


2009-11-13  Oliver Specht  <os@openoffice.org>  [39a497be3ce92361239ddbc6573095a0ca76ca34]

#i106730# load styles from source, not from working document


2009-11-13  Thomas Lange [tl]  <tl@openoffice.org>  [71a2e2ebd56a715d015248c2e912d8227605d4cf]

tl76: #i106815#: Math related changes because of the new OpenSymbol font


2009-11-12  Thomas Lange [tl]  <tl@openoffice.org>  [e1b1937d9efa0807cd47f680c611d3e797120e79]

tl76: #i106815#: Math related changes because of the new OpenSymbol font


2009-11-12  os  <os@openoffice.org>  [c8dd5752a22df03566e4ef218e037735f06d3cc4]

merge conflict resolved, again?


2009-11-11  Henning Brinkmann  <hbrinkm@openoffice.org>  [e4ef7edb19f2f36bb7ef9912a3595e969caeaed8]

#b6898803# WW8TabBandDesc::ProcessSprmTSetBRC: check bounds


2009-11-11  sb  <sb@openoffice.org>  [3503604065ea7f678aeb9e76e455cbe8963d4d17]

sb116: merged in DEV300_m64


2009-11-11  Michael Stahl  <mst@openoffice.org>  [ac926713efc96ddd53f84099d46bca7d94ee5823]

#i97384#:  fix regression: respect redline mode in document's settings.xml


2009-11-11  Mathias Bauer  <mba@openoffice.org>  [0f0f9256c57df2281fb54089697444e0f608285c]

#i103496#: sandbox removed


2009-11-10  Michael Stahl  <mst@openoffice.org>  [7595f782937b4d2281a6dbbafdc21a18c7989554]

#i105643#: fix regression by making singleton SwThreadManager ctor public


2009-11-10  os  <os@openoffice.org>  [262f2ae25f5d8e27eb7723786a998aac0f5c2be0]

rebase


2009-11-10  Caolán McNamara  <cmc@openoffice.org>  [d93679312dc00d3ee3bb8d584784b4e9657a8cdd]

cmcfixes66: merge with DEV300 m64


2009-11-09  Michael Stahl  <mst@openoffice.org>  [2ca8afdf9abef10c1b00c9e089efd2d6a068af9d]

#i106724#: SwXTextPortion::GetPropertyValuesTolerant_Impl: remove bogus ASSERT


2009-11-09  Henning Brinkmann  <hbrinkm@openoffice.org>  [1daef2a5120798e6c7fc59230551102b79af7a94]

#b6898803# ensure to read only as many TCs as are there


2009-11-09  Noel Power  <npower@openoffice.org>  [23d848a79a31fc00fa164d68e1fa3085968d8aa2]

i#105455#


2009-11-09  os  <os@openoffice.org>  [ffa60f0f562f4208057d76df774647e1cfbc7393]

#i106342# change reverted


2009-11-06  os  <os@openoffice.org>  [6036abebd28cd4afb8f47b1f949fe809ccf28d5f]

#i106342# printoptions ProspectRTL, Placeholder and HiddenText fixed


2009-11-06  Caolán McNamara  <cmc@openoffice.org>  [c00ea79e4a272ac16cc1d94d4f2eb14404d59043]

cmcfixes66: #i106674# fix remaining new[]/delete mismatches


2009-11-06  Thomas Lange  <tl@openoffice.org>  [98d713fc06c06fb7d64a492de3e11cd79a1f2cbc]

#i106487# fix for unnecessary calls to timer


2009-11-05  Michael Stahl  <mst@openoffice.org>  [c18f5c2ae97afe6b19734367967f819fb7423aaf]

#i58667#: sw refactoring:  remove class SwTxtXMLAttrContainer.  adapt code to the fact that there are no RES_UNKNOWNATR_CONTAINER text hints.


2009-11-05  Michael Stahl  <mst@openoffice.org>  [c5bad04172a876c131c66bad8297bb2071037606]

#i58667#: lcl_InsAttr(): fix insertion of user defined attributes


2009-11-05  Michael Stahl  <mst@openoffice.org>  [c146d21745cea65f88235d373d690215f3b68243]

merge DEV300_m63


2009-11-05  Mathias Bauer  <mba@openoffice.org>  [8f6ba6f21b5528b4618dab1247df01d295b595b5]

forgot to add filter to build.lst of apps using msfilter


2009-11-04  Mathias Bauer  <mba@openoffice.org>  [b466e57d62a01931d6cddeae54a715b47f7c07f2]

#i196421#: some problems with pch on Windows


2009-11-04  mb93783  <mb93783@macpro-dev1>  [7279344b928d97699e35c4be877530a331646ea5]

#i106432#, #i103496#: some fixes found while building on more platforms


2009-11-04  Michael Stahl  <mst@openoffice.org>  [2218cdff62ab1d63134c81f7b0eae170b742a3e0]

#i97570#: SwReader::Read(): also create UNDO object for frames anchored AT char


2009-11-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f01172f02b6fd51583db4f334acc1a9a2477a0dd]

#i104678# use high contrast mode setting instead of IsDark (paradigm shift begun with issue i35482)


2009-11-02  Mathias Bauer  <mba@openoffice.org>  [66a868a4fec81583babd0597acdb61fd5edac6bf]

#i106421#: create new cui resource file


2009-11-02  Michael Stahl  <mst@openoffice.org>  [5ed994513e6c898f0c31ab9158ab684268f77f05]

#i105745#: tools/stream.hxx: API change:  make SvMemoryStream::GetSize() private  introduce new public SvMemoryStream::GetEndOfData()


2009-11-02  Michael Stahl  <mst@openoffice.org>  [e866ee8eb2361296ef719b840f0f2aa3670a00e6]

#i104106#: fix wrong initialization of variable, causing reset of AUTOFMT


2009-11-02  Vladimir Glazunov  <vg@openoffice.org>  [58b46ffc5a4bebd91548a4bfc2317189bbdb2889]

CWS-TOOLING: integrate CWS oooimprovement5_DEV300


2009-10-31  Mathias Bauer  <mba@openoffice.org>  [d4b365e6009e6ad2dc7036212bd183e62508a859]

#i106421#: move msfilter to filter


2009-10-30  Michael Stahl  <mst@openoffice.org>  [cd864bb8782492d0fb2b39c1232aaafd627af98b]

#i105295#: fix various uninitialized variables reported by valgrind in:  SwTxtFormatter::CtorInitTxtFormatter(), SwArrowPortion::SwArrowPortion(),  SwAccessiblePage::SwAccessiblePage(), SwXShape::_AdjustPositionProperties(),  SwFrm::SwFrm(), SwGlosDocShell::SwGlosDocShell(),  SwXPrintSettings::_getSingleValue()


2009-10-30  os  <os@openoffice.org>  [07bdc2db729e9bc5a4eee409740641163debfdae]

#i105552# autoformat button size increased


2009-10-30  os  <os@openoffice.org>  [5add557413f8541cebaa1433f5d3f25074692545]

#i105552# autoformat button size increased


2009-10-30  os  <os@openoffice.org>  [045c0a835e8566a3933486e3816fd990d3df955b]

#i106399# unsafe cast removed


2009-10-30  Caolán McNamara  <cmc@openoffice.org>  [82bda281b09443be24399ea3f2987a1870fefc76]

#cmcfixes65: #i106472# fix ww8 aliasing


2009-10-29  Michael Stahl  <mst@openoffice.org>  [bb84813f15c61941ebc6d0bcbb511edd82f69e5f]

#i106401#: apply (slightly modified) patch from cmc


2009-10-29  Michael Stahl  <mst@openoffice.org>  [0391735e7f91176adba6b8ce6fb844285deab2fe]

#i105643#: apply patch from cmc


2009-10-29  Henning Brinkmann  <hbrinkm@openoffice.org>  [7eede51e5f5a26e0b7db350024a16ddd196a4c41]

applied patch for #i106057#


2009-10-29  Henning Brinkmann  <hbrinkm@openoffice.org>  [8c092b950271e6572bda2de905a9691a27656e17]

applied patch for #i106057#


2009-10-29  Ivo Hinkelmann  <ihi@openoffice.org>  [d6ab00ec4be95303cfbd34acae8ae9b841229b5e]

CWS-TOOLING: integrate CWS c07v026_OOO320 2009-10-19 10:26:11 +0200 mav  r277008 : #b6886425# use standard solution to encode the URL for the Gnome 2009-10-19 08:38:28 +0200 mav  r276998 : #b6886425# encode the URL correctly for the Gnome 2009-10-07 12:49:32 +0200 os  r276749 : #b6887668# resize items depending on the item text length 2009-09-28 18:42:32 +0200 dr  r276499 : #b6883075# shrink print ranges to Excel sheet limits 2009-09-28 16:50:25 +0200 od  r276497 : #b6882166# method <SwSectionFrm::SimpleFormat(..)>            - assure notification on position changes, otherwise the layout will not be correct. 2009-09-15 18:31:37 +0200 dr  r276185 : #b6872823# check cursor before using, patch by aw 2009-09-09 10:52:52 +0200 od  r275975 : #b6879723# correct handling of new list level attributes regarding paragraph indent values, 	   especially in case of OOo 2.0 and former hidden compatibility option "Ignore first line 	   indent on numbering" 2009-09-08 11:10:31 +0200 od  r275918 : #b6876367# method <lcl_SetTxtFmtColl(..)> 	   - do not reset list attributes at paragraph, if its applied list style 	     will not change due to the newly applied paragraph style. 2009-09-07 12:48:58 +0200 obo  r275890 : Merge from c07v025 into this CWS


2009-10-29  Michael Stahl  <mst@openoffice.org>  [cbf11ed0d64a73104686051fa5e0a39d0e0ae1a7]

#i91504#: SwDoc::SortText():  fix ASSERT from ~SwIndexReg() on creation of DELETE redline.  fix warning on unxsoli4 (rename variable).


2009-10-29  Michael Stahl  <mst@openoffice.org>  [d5f5381641b1009d3de726a6fa333ffe6dc0fb6e]

#i91504#: apply patch from majun51


2009-10-28  Ivo Hinkelmann  <ihi@openoffice.org>  [3881a247efc96641f69c80f9884308ae0878e9ec]

CWS-TOOLING: integrate CWS writerfilter32bugfixes01 2009-10-16 10:25:35 +0200 os  r276956 : warning fixed 2009-10-16 10:18:35 +0200 os  r276954 : using namespace std removed from headers 2009-10-16 10:18:19 +0200 os  r276953 : using namespace std removed from headers 2009-10-16 10:17:35 +0200 os  r276952 : using namespace std removed from headers 2009-10-14 12:14:16 +0200 cedricbosdo  r276890 : Fixed warnings 2009-10-09 08:36:35 +0200 cedricbosdo  r276796 : Rebased to OOO320_m1 2009-10-05 11:32:53 +0200 cedricbosdo  r276668 :  * Fixed namespace_preprocess for windows build  * Removed some unused variable  * Set a default value for GetCurrentToken 2009-09-07 13:05:30 +0200 os  r275892 : #i104155# support for empty URLs if called from writerfilter re-introduced 2009-09-04 14:36:14 +0200 cedricbosdo  r275803 : CWS-TOOLING: rebase CWS writerfilter32bugfixes01 to trunk@275331 (milestone: DEV300:m56) 2009-05-15 17:36:28 +0200 cedricbosdo  r271958 : Added file to test docx numbering import fixes 2009-05-15 17:28:27 +0200 cedricbosdo  r271955 : * Implemented a VML import basis. * Fixed some docx numbering import bugs * Implemented docx outline style import 2009-03-16 11:42:06 +0100 hbrinkm  r269515 : moved clog inside #ifdef 2009-03-13 18:30:14 +0100 cedricbosdo  r269493 : Fixed a dummy paragraph ending problem 2009-03-13 13:57:58 +0100 cedricbosdo  r269477 : Added the missing headers 2009-03-13 12:03:25 +0100 cedricbosdo  r269466 : Fixed i#93786 and i#100176 2009-03-12 11:39:10 +0100 cedricbosdo  r269377 : Fixed a crash in the redlines patch 2009-03-12 10:11:48 +0100 cedricbosdo  r269362 : Fixes for the docx import 2009-03-12 10:10:37 +0100 cedricbosdo  r269361 : docx import fixes for:   + tables styles   + pictures positionning   + redlines Started to implement the docx settings.xml import


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [41996420a61270fce8071823a4a231f8b397772e]

merged last changes


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [92d9a245ee7cbb27295dd602005691db09cbf7ea]

merged DEV300_m62


2009-10-27  Frank Schönheit  <fs@openoffice.org>  [e8ffdc47b1c5c96e6d1cb395d622db91d0b8a033]

#i105717# properly propagate the (changed) reference device to the drawing layer


2009-10-27  Frank Schönheit  <fs@openoffice.org>  [8f85a43a6c47ecb5e354bfaeab6357a1946dc79f]

#i105717# properly propagate the (changed) reference device to the drawing layer


2009-11-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [8fad978d35e585ce8b1871bd43bad3dded254562]

controltextrendering: merge changes from DEV300_m61


2009-10-27  os  <os@openoffice.org>  [0c89648ce8602e5c1d4c0751de71ea05eaf89ef5]

#i96415# delete PrintProgress on abort


2009-10-27  Release Engineers  <releng@openoffice.org>  [d21c39abb8529540853982e657a7464a439c9b29]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [cc86464cee9bae86bd5805b1c5b9de66b04dd0f4]

merge commit for m62


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [3e0c76a36730e0f0b654802e06952b36b75f5dce]

step 0 of an UNOization of the css.form.(X)FormController implementation: move the API to css.form.runtime, so we can later add new API chunks without breaking compatibility of the existing API in css.form


2009-10-22  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [08b61a3029c22a96fb105eaf7e303defb2e81db9]

commit after rebase to DEV300m62


2009-10-21  Mathias Bauer  <mba@openoffice.org>  [654088c1902d0cb88ea1f52684c5648b0fccc970]

#i104396#: some warnings, PCH and windows only fixes


2009-10-20  Michael Stahl  <mst@openoffice.org>  [3fb34a77eba25f9924dd72577d6faec8a28a99a0]

#i93174#: fix progress bar reference for ODF export  SwDocStat: add a counter for all paragraphs  SwDocStat: remove unused SwInternStat member  SwPostItField: add GetNumberOfParagraphs()  SwDoc::UpdateDocStat(): count paragraphs in SwPostItFields (notes)  SwTxtNode::CountWords(): count all paragraphs  SwXMLExport::exportDoc(): count paragraphs only once, not twice


2009-10-20  Michael Stahl  <mst@openoffice.org>  [65f74b1a17cc502578fc26585c6433e50ae28c09]

#i106098#: SwFntObj::GetFontHeight(): make ASSERT rounding-tolerant


2009-10-20  mst  <mst@openoffice.org>  [1cb968220f0d1ae7c5745dc65cbf11d3c42d5578]

#i106033#: SwTOXBaseSection::_UpdatePageNum(): force expansion of hyperlink


2009-10-20  Thomas Lange  <Thomas.Lange@Sun.COM>  [221b7276bbfb422982c3acc06356a2569b53bfac]

#i105730# comment edit


2009-10-20  Oliver Düsterhoff  <od@openoffice.org>  [b18ec95051d48406c67eae35e85a16f89cb8b1b7]

#i106057# method <WW8Export::WriterFkpPlcUsw()> 	  - assure that external data for SttbfAssoc and Fib exist before accessing it.


2009-10-20  tl93732  <tl93732@x42-so3.germany.sun.com>  [6a6f175c63d4065f35d3027106c70bfce1526200]

#i105730# selection printing


2009-10-20  Caolán McNamara  <cmc@openoffice.org>  [d0ce791f9e2b4710f7d7303f0deaaae1a72bb617]

CWS-TOOLING: rebase CWS cmcfixes64 to trunk@277035 (milestone: DEV300:m62)


2009-10-20  Release Engineers  <releng@openoffice.org>  [462617a3de008ca5cb7806622bedbca71c3550fd]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-19  Mathias Bauer  <mba@openoffice.org>  [cf3ba611598f4103ce2c7f41f1f4978150ee24ec]

#i103496#: move some fontsubstitution stuff from vcl to unotools to get xmloff vcl free


2009-10-19  Thomas Lange  <tl@openoffice.org>  [08e7f21124ef0acac8b1046aa336bcfb8138ee75]

#106019# 'reset languages' menu entry


2009-10-19  Thomas Lange  <tl@openoffice.org>  [a0750015fa30610a55236c9907acb48ac62a2ab1]

#106019# 'reset languages' menu entry


2009-10-16  Michael Stahl  <mst@openoffice.org>  [8c9e849a90a957dba0ede272212cefa551391c12]

#i93179#: fix ASSERT triggered by debug code


2009-10-16  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [392b42de47acc3573c36931e7254eb9f5bae85f7]

#i105860# allow choice between selection and whole document when printing directly


2009-10-16  Kurt Zenker  <kz@openoffice.org>  [a68c13b632b7040e4e442f4c90f11a06c926e22e]

#i10000# parse problem unxsoli4


2009-10-16  Mathias Bauer  <mba@openoffice.org>  [f65e72ec1f4520c150d9841e2b2f3538eef6ff39]

#i103496#: split svtools; improve ConfitItems


2009-10-15  Kurt Zenker  <kz@openoffice.org>  [1be22206766d989ee848110d4bb3ef1ad824622f]

CWS-TOOLING: integrate CWS c29v001a 2009-10-06 hb #160731# use SetReadOnlyUI instead of item at medium to get read only functionality 2009-10-05 hb #160731# added virtual destructor to IDocumentExternal data to make compilable under wntmsci12 2009-10-02 hb #160731# store fReadOnlyRecommended/fWriteReservation in WW8FibData 2009-10-02 hb #160731# handle stepping of offset correctly when reading strings 2009-10-02 hb #160731# write SttbAssoc/fReadOnlyRecommended/fWriteReservation 2009-10-02 hb #160731# Added new class WW8FibData 2009-10-02 hb #160731# new identifier for external type: FIB 2009-10-02 hb #160731# Added new class WW8FibData 2009-10-02 hb dbg_out for OUString 2009-10-01 hb read and write SttbfAssoc 2009-10-01 hb store external data in SwDoc 2009-09-29 hb merged DEV300_m60 2009-09-29 hb merged changes from private repository 2009-09-04 Henning Brinkmann added WW8Sttb for reading the WW8Sttb 2009-09-15 hb137859 #160401# made compilable 2009-09-15 hb137859 merged changes by hb 2009-09-15 sj93757 #160376# fixed shadow problem 2009-09-15 Henning Brinkmann merged changes for #160401# 2009-09-01 Henning Brinkmann #160401# added fReadOnlyRecommended and fWriteReservation to WW8Fib. If one of those is set, the document is read read-only.


2009-10-15  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [0909c4ea122fdda8d6c5fbe7f4c97352f2d8ac69]

merge


2009-10-15  Kurt Zenker  <kz@openoffice.org>  [73558f619d10171194f9909adb455b033db334bc]

CWS-TOOLING: integrate CWS fwk122 2009-10-06 09:16:04 +0200 mav  r276693 : #i10000# let be compiled on all platforms 2009-10-05 17:02:17 +0200 cd  r276688 : #i105343# Fix build problems under Linux/Mac 2009-10-05 16:23:29 +0200 cd  r276687 : #i105489# Remove uiconfigurationmanagerimpl.obj from makefile.mk 2009-10-05 15:17:05 +0200 cd  r276680 : #i105326# Fix crash when opening file with notes 2009-10-05 11:02:22 +0200 mav  r276665 : #i105343# allow the view shell to disconnect from listener 2009-10-02 11:33:45 +0200 cd  r276619 : #i105489# Revert changes done to aggregate sources due to too much regressions


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [b161b93be684ab4c7a7e1048e77aa7782b1ca7bb]

CWS-TOOLING: integrate CWS sw32bf05 2009-10-08 12:41:26 +0200 tl  r276785 : #ii102766# updated de_* hyphenation patterns 2009-10-08 11:09:24 +0200 tl  r276775 : #i105715# update for hu_HU dictionary 2009-10-06 09:25:53 +0200 tl  r276694 : #i105565# fix for dictionary.xcu in dict-de.oxt 2009-10-05 12:29:46 +0200 mst  r276675 : #i105453#: hintids.hxx: change order of RES_TXTATR_WITHEND hints 2009-10-05 12:28:49 +0200 mst  r276674 : unochart.cxx: fix warning on unxlngi6 debug=t 2009-10-05 11:46:18 +0200 tl  r276672 : #i105490# Hebrew dictionary added 2009-10-05 11:39:41 +0200 tl  r276670 : #i105490# Hebrew dictionary added 2009-10-05 11:33:56 +0200 tl  r276669 : #i105490# Hebrew dictionary added 2009-10-05 11:21:02 +0200 tl  r276667 : #i105490# Hebrew dictionary added 2009-10-05 11:17:37 +0200 tl  r276666 : #i105565# de_* dictionay updates 2009-10-03 09:54:58 +0200 tl  r276654 : #i105565# de_* dictionay updates 2009-10-03 08:52:38 +0200 tl  r276653 : #i105564# pt_BR dictionaries updated 2009-10-03 08:46:42 +0200 tl  r276652 : #i105510#, #i105278# outdated dictionary.lst removed 2009-10-02 14:17:03 +0200 tl  r276644 : #i105510#, #i105278# fr_FR and da_DK dictionary updates 2009-10-01 10:05:28 +0200 od  r276577 : #i105447# method <lcl_GetUndoIdAndName(..)>           - assure correct access to undo stack objects


2009-10-14  Oliver Düsterhoff  <od@openoffice.org>  [380cc1a7b30b7fc52bd036f1db01c5150c5a9e0c]

#i105571# method <SwFntObj::GetCrsrOfst(..)>           - skip character cells also for CJK


2009-10-14  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [d2a9d0cd67ed9c9dd3dca610fd2675395e69ab4e]

fix a windows build problem


2009-10-12  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [b96fa2d38b691a829027ee734fa3aecaabbef338]

solve rebase problems


2009-10-12  os  <os@openoffice.org>  [c7cc30ae918350686b2a8e0b086243a1475127d5]

#i105687# enable number format for custom date/datetime/time data


2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [eb5cdebdf7e3ff4c8d9c4f26682892c861b0a2d2]

merge with m61


2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [73c391c15da3961be45133e152e8417f4407cd37]

fix an erroneously committed merge conflict


2009-10-09  os  <os@openoffice.org>  [4966a31519e3eb1e15e470b8129e853e09e624d3]

unused variable removed


2009-10-09  Michael Stahl  <mst@openoffice.org>  [daad365c6e5c1bc7d177728358f6d8a609044602]

#i97384#: apply patch from majun51


2009-10-09  Michael Stahl  <mst@openoffice.org>  [5fb9b55ba43167de8fef3e81dee621f04ee83461]

#i96786#: SwDoc::UpdateDocStat(): do not set modified flag on Doc/Shell


2009-10-09  Michael Stahl  <mst@openoffice.org>  [bfb9c45c4b685979f0c30259c75f9b4e0145be2d]

#i100658#: SwDocInfoField::Expand(): do not add properties that are not found


2009-10-08  Caolán McNamara  <cmc@openoffice.org>  [2efffff93c106ce24cd9609092ff626719ded72d]

#i105732# low hanging warnings, logic unchanged


2009-10-08  os  <os@openoffice.org>  [cf2b4e12c603b648cbc756580ba085cf88abaa4a]

#i105687# enable number format for custom date/datetime/time data


2009-10-08  os  <os@openoffice.org>  [744196ea5e80798ee722ca1a12e8831491bdfd53]

old comment removed


2009-10-07  Philipp Lohmann  <pl@openoffice.org>  [f9a5bc62d9b304b2f8905bd4bb645ee3f451a15e]

#i105695# do not miss cleanup of m_pPrintUIOptions and m_pRenderData


2009-10-07  Philipp Lohmann  <pl@openoffice.org>  [a3b2d4a6b7a165254fbd68ad2fd048903c653560]

#i105265# pass correct number of options


2009-10-07  Philipp Lohmann  <pl@openoffice.org>  [0e805487b1bfb8c2c041be74087f2ec47e722880]

#i105596# Notes are nowadays called Comments


2009-10-07  Noel Power  <npower@openoffice.org>  [e58a8f4fc6aac02561cd7aea5c64ea2994af26ef]

warning as error fixes


2009-10-07  Thomas Lange  <tl@openoffice.org>  [7fa50ee067ebb623c46507ccda822e4f5c9bda22]

merge problem fixed


2009-12-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [2af8496d45df74889dfacdffe276203aa61da0f2]

tl74: merge with DEV300 m60


2009-10-06  os  <os@openoffice.org>  [bf70c384bbd7b49f36fba51299ae18d188e14f83]

#i105641# isRunning() removed


2009-10-06  os  <os@openoffice.org>  [9ed9f4710fe74b2e848026fdb70f0df102051e43]

invalid assertion removed


2009-10-06  os  <os@openoffice.org>  [22d63e07995cd0dc2e580462e9be5912d35fdd1a]

#i105636# #i105634# SwInsChr and SwNRuleLowerLevel removed


2009-10-06  mathias  <mathias@mba-tecra>  [24490b1205d3559ba850ea7619d66d3313150628]

warning fixed


2009-10-06  Release Engineers  <releng@openoffice.org>  [b4fca3befd4ada3c6288c6f5c3826fefd3e3b7cf]

Create DEV300_m61 milestone tag from trunk@276697


2009-10-06  Mathias Bauer  <mba@openoffice.org>  [38522812ceb2f975d4043a3f3a85ce76ea7cac6e]

#103496#: move VCL free ConfigItems to unotools


2009-10-01  Vladimir Glazounov  <vg@openoffice.org>  [0c81e79b10cfa6a27ae111501a9b0577bccd4374]

